2019-08-27 15:46:37 +0200 Mike Gabriel (885116a4b)

	* release 3.5.99.22 (HEAD -> 3.6.x, tag: 3.5.99.22)

2019-08-27 15:15:47 +0200 Mike Gabriel (7d07442d7)

	* debian/copyright: Update copyright attributions.

2019-08-27 15:14:49 +0200 Mike Gabriel (e428e39de)

	* debian/{nxagent,nxdialog}.install: Move nxdialog files from
          nxagent.install to nxdialog.install.

2019-08-27 15:14:25 +0200 Mike Gabriel (1b967c701)

	* debian/control: Split-out nxdialog bin:pkg.

2019-08-27 14:11:53 +0200 Mike Gabriel (6bca289af)

	* Merge branch 'uli42-gh-sunweaver/pr/autograb-without-inputlock'
          into 3.6.x

2019-08-14 20:59:49 +0200 Ulrich Sibiller (6181aa911)

	* Events.c: introduce separate debug level for autograb debugging
          only

2019-06-27 23:43:44 +0200 Ulrich Sibiller (063813d35)

	* Make AutoGrab work in more situations

2017-07-24 14:48:29 +0200 Mike Gabriel (14d8e0a2a)

	* Dialog.c: Add NXTransDialog() call for autograb toggling.

2017-05-25 23:20:50 +0200 Ulrich Sibiller (03aa5d743)

	* Events.c: Autograb only for windowed modes

2017-05-18 15:09:29 +0200 Ulrich Sibiller (a4d7a04c4)

	* Events.c: do not ungrab keyboard on LeaveNotify when in autograb
          mode

2017-05-18 15:08:29 +0200 Ulrich Sibiller (6dcdc578f)

	* Events.c: improve debugging output for FocusIn/Out

2017-04-20 14:19:27 +0200 Ulrich Sibiller (ebfd8742c)

	* Args.c: make autograb available via options file, too.

2017-03-16 13:12:01 +0100 Ulrich Sibiller (4eaedd002)

	* Args.c: Add command line option -autograb.

2017-03-16 13:00:48 +0100 Ulrich Sibiller (8bf3429bc)

	* nxagent: Make autograb an nxagentOption.

2017-03-05 23:51:24 +0100 Ulrich Sibiller (58183b7ce)

	* nxagent: Add autograb mode.

2019-08-27 08:33:22 +0200 Mike Gabriel (daa50fd80)

	* Merge branch 'uli42-pr/fix_double_free' into 3.6.x

2019-08-12 23:11:34 +0200 Ulrich Sibiller (a7abd45a8)

	* Screen.c: initialize RandR only on startup...

2019-08-27 08:27:42 +0200 Mike Gabriel (6f80a06fb)

	* Merge branch 'uli42-pr/safe_free' into 3.6.x

2019-08-16 13:11:38 +0200 Ulrich Sibiller (f39b81d31)

	* NXdispatch.c: move nxagentWMtimeout into the function

2019-08-16 13:08:42 +0200 Ulrich Sibiller (4202d5094)

	* NXdispatch.c: drop currentDispatch variable

2019-08-16 13:02:01 +0200 Ulrich Sibiller (60a3c9b0a)

	* nxagent: move nxagentWMPassed to Splash.c

2019-08-16 12:55:28 +0200 Ulrich Sibiller (db4c220b2)

	* nxagent: add NXAGENT_ONSTART where missing

2019-08-16 12:54:10 +0200 Ulrich Sibiller (0f5e873dc)

	* nxagent: drop NXAGENT_SPLASH

2019-08-16 12:46:21 +0200 Ulrich Sibiller (784846317)

	* nxagent: rename nxagentWMStart to nxagentReadyAtom

2019-08-16 12:38:53 +0200 Ulrich Sibiller (bd002ffc5)

	* Splash.c: move some variables to Splash.c

2019-08-15 22:33:35 +0200 Ulrich Sibiller (5bb5adc8a)

	* Splash.c: make Splash logo work with white background (-wr) mode,
          too

2019-08-15 22:10:45 +0200 Ulrich Sibiller (41bfed975)

	* Splash.c: remove global variables for colors

2019-08-15 22:06:14 +0200 Ulrich Sibiller (e12983a67)

	* nxagent: drop nxagentRootTileWindow

2019-08-15 22:04:07 +0200 Ulrich Sibiller (bfb4e9ac9)

	* Splash.c: nxagentRemoveSplashWindow: drop unused parameter

2019-08-11 01:59:42 +0200 Ulrich Sibiller (48c43c837)

	* Splash.c: code cleanup

2019-08-11 01:51:37 +0200 Ulrich Sibiller (208e58fb7)

	* Splash.c: drop return code of nxagentShowSplashWindow

2019-08-11 01:47:16 +0200 Ulrich Sibiller (9cd602b27)

	* Splash.c: do not wait in nxagent mode

2019-08-11 00:21:44 +0200 Ulrich Sibiller (8eeaa40b1)

	* dix: add whiteroot flag

2019-08-10 23:56:22 +0200 Ulrich Sibiller (817c3c6fc)

	* NXwindow.c: simplify window background code

2019-08-10 23:42:45 +0200 Ulrich Sibiller (d3869aa53)

	* nxagent: fix main window being garbled without inner windows

2018-05-05 18:56:35 +0200 Ulrich Sibiller (17495dd6a)

	* nxagent: simplify nxagentWaitEvents()

2019-06-28 22:10:23 +0200 Ulrich Sibiller (1d32e5368)

	* Keystroke.c: fix wrong return code

2019-06-28 22:09:23 +0200 Ulrich Sibiller (bcbf25510)

	* Events.c: add more comments and TEST output

2019-06-28 22:07:00 +0200 Ulrich Sibiller (e7451477e)

	* Events.c: refactor nxagentHandleKeypress

2019-08-27 08:14:23 +0200 Mike Gabriel (8b15d574b)

	* Merge branch 'uli42-pr/fix_background' into 3.6.x

2019-08-16 13:11:38 +0200 Ulrich Sibiller (3563959c0)

	* NXdispatch.c: move nxagentWMtimeout into the function

2019-08-16 13:08:42 +0200 Ulrich Sibiller (c34d1b201)

	* NXdispatch.c: drop currentDispatch variable

2019-08-16 13:02:01 +0200 Ulrich Sibiller (ab8015237)

	* nxagent: move nxagentWMPassed to Splash.c

2019-08-16 12:55:28 +0200 Ulrich Sibiller (b04b58bad)

	* nxagent: add NXAGENT_ONSTART where missing

2019-08-16 12:54:10 +0200 Ulrich Sibiller (2228513a6)

	* nxagent: drop NXAGENT_SPLASH

2019-08-16 12:46:21 +0200 Ulrich Sibiller (24f392c4a)

	* nxagent: rename nxagentWMStart to nxagentReadyAtom

2019-08-16 12:38:53 +0200 Ulrich Sibiller (798a053b4)

	* Splash.c: move some variables to Splash.c

2019-08-15 22:33:35 +0200 Ulrich Sibiller (074821a84)

	* Splash.c: make Splash logo work with white background (-wr) mode,
          too

2019-08-15 22:10:45 +0200 Ulrich Sibiller (afebb8211)

	* Splash.c: remove global variables for colors

2019-08-15 22:06:14 +0200 Ulrich Sibiller (8fcaafab4)

	* nxagent: drop nxagentRootTileWindow

2019-08-15 22:04:07 +0200 Ulrich Sibiller (be508a447)

	* Splash.c: nxagentRemoveSplashWindow: drop unused parameter

2019-08-11 01:59:42 +0200 Ulrich Sibiller (612cbcc43)

	* Splash.c: code cleanup

2019-08-11 01:51:37 +0200 Ulrich Sibiller (3c92d8897)

	* Splash.c: drop return code of nxagentShowSplashWindow

2019-08-11 01:47:16 +0200 Ulrich Sibiller (470e0bd4d)

	* Splash.c: do not wait in nxagent mode

2019-08-11 00:21:44 +0200 Ulrich Sibiller (a539aaa6a)

	* dix: add whiteroot flag

2019-08-10 23:56:22 +0200 Ulrich Sibiller (c610d706b)

	* NXwindow.c: simplify window background code

2019-08-10 23:42:45 +0200 Ulrich Sibiller (d7d205c0d)

	* nxagent: fix main window being garbled without inner windows

2019-08-16 11:52:35 +0200 Mike Gabriel (f24767b3c)

	* Merge branch 'uli42-pr/improve_wait_events' into 3.6.x

2018-05-05 18:56:35 +0200 Ulrich Sibiller (62573abf0)

	* nxagent: simplify nxagentWaitEvents()

2019-08-16 11:50:10 +0200 Mike Gabriel (7f4b50deb)

	* Merge branch 'uli42-pr/no_keystroke_passthrough' into 3.6.x

2019-06-28 22:10:23 +0200 Ulrich Sibiller (ceeb53f0c)

	* Keystroke.c: fix wrong return code

2019-06-28 22:09:23 +0200 Ulrich Sibiller (b3d41485d)

	* Events.c: add more comments and TEST output

2019-06-28 22:07:00 +0200 Ulrich Sibiller (c260ae425)

	* Events.c: refactor nxagentHandleKeypress

2019-07-23 20:12:31 +0200 Ulrich Sibiller (504b1400e)

	* Clipboard.c: use SAFE_free

2019-07-23 20:10:43 +0200 Ulrich Sibiller (4421f787d)

	* Atoms.c: use SAFE_XFree and SAFE_free macros

2019-07-22 22:26:46 +0200 Ulrich Sibiller (7d25771da)

	* Keystroke.c: use SAFE_free

2019-07-22 22:25:40 +0200 Ulrich Sibiller (8080ad26a)

	* GCOps.c: use SAFE_free

2019-07-22 22:24:37 +0200 Ulrich Sibiller (6378d5ade)

	* GC.c: use SAFE_free

2019-07-22 22:22:31 +0200 Ulrich Sibiller (a9819436d)

	* Drawable.c: use SAFE_free

2019-07-22 22:20:47 +0200 Ulrich Sibiller (43e300ecd)

	* Colormap.c: use SAFE_free

2019-07-22 22:19:15 +0200 Ulrich Sibiller (633d04097)

	* Args.c: use SAFE_free

2019-07-22 22:17:25 +0200 Ulrich Sibiller (122fbd3e1)

	* Error.c: use SAFE_free

2019-07-22 21:53:20 +0200 Ulrich Sibiller (dde4e7636)

	* Image.c: use SAFE_free

2019-07-22 21:50:19 +0200 Ulrich Sibiller (458538010)

	* Render.c: use SAFE_free

2019-07-22 21:45:25 +0200 Ulrich Sibiller (8b74ff1c1)

	* Pixmap.c: use SAFE_free

2019-07-22 21:44:25 +0200 Ulrich Sibiller (34bd0942b)

	* Reconnect.c: use SAFE_free

2019-07-22 21:34:42 +0200 Ulrich Sibiller (fd4fa4e96)

	* Keyboard.c: use SAFE_XFree and SAFE_free

2019-07-22 21:33:54 +0200 Ulrich Sibiller (156533439)

	* Cursor.c: use SAFE_XFree

2019-07-22 21:32:58 +0200 Ulrich Sibiller (d0a6c98cb)

	* Window.c: use SAFE_free and SAFE_XFree

2019-07-22 21:29:31 +0200 Ulrich Sibiller (4a826d30f)

	* Rootless.c: use SAFE_free and SAFE_XFree

2019-07-22 21:27:10 +0200 Ulrich Sibiller (a4700c9d0)

	* Font.c: use SAFE_XFree and SAFE_free

2019-07-22 18:11:59 +0200 Ulrich Sibiller (d8012d2a8)

	* Screen.c: safe some lines by calling SAFE_XFree

2019-07-22 18:10:12 +0200 Ulrich Sibiller (ebc2ea79f)

	* Events.c: safe some lines by calling SAFE_XFree

2019-07-22 18:16:20 +0200 Ulrich Sibiller (b8411180e)

	* Display.c: safe some lines by calling SAFE_XFree and SAFE_free

2019-07-23 20:08:16 +0200 Ulrich Sibiller (1330167fa)

	* Utils.h: add SAFE_free macro

2019-08-05 18:32:16 +0200 Mike Gabriel (360cb5dd9)

	* release 3.5.99.21 (tag: 3.5.99.21)

2019-06-27 22:48:09 +0200 Mike Gabriel (c2ca013fb)

	* Merge branch 'uli42-pr/drop_ipaq' into 3.6.x

2019-06-27 21:50:53 +0200 Ulrich Sibiller (738686685)

	* drop onscreen keyboard support

2019-06-27 21:44:31 +0200 Ulrich Sibiller (6bdf9c2fa)

	* Drop Ipaq support

2019-06-27 21:03:03 +0200 Mike Gabriel (1ebf78519)

	* Merge branch 'uli42-pr/fix_fullscreen' into 3.6.x

2019-06-27 20:38:10 +0200 Ulrich Sibiller (032ed3511)

	* Screen.c: use XlibWindow so silence the compiler

2019-06-27 20:15:15 +0200 Ulrich Sibiller (d487d5879)

	* Consistently use None instead of 0 for nxagentIconWindow everywhere

2019-06-27 19:51:03 +0200 Ulrich Sibiller (ea571387b)

	* Screen.c: simplify nxagentMinimizeFromFullscreen

2019-06-26 19:04:41 +0200 Ulrich Sibiller (6657b8cc8)

	* nxagentMaximizeToFullScreen: only reparent if necessary

2019-06-26 18:50:44 +0200 Ulrich Sibiller (d32706888)

	* Screen.c: add nxagentIsParentOf helper

2019-06-26 18:49:36 +0200 Ulrich Sibiller (c190fd187)

	* Window.c: rearrange code regarding window decorations sizes

2019-06-26 18:49:13 +0200 Ulrich Sibiller (ca54fabed)

	* Window.c: add some comments about fullscreen handling

2019-06-23 22:21:24 +0200 Mike Gabriel (5858ebc6d)

	* Merge branch 'mjtrangoni-add-gcc-9' into 3.6.x

2019-06-22 18:44:25 +0200 Mario Trangoni (1ffe92a6f)

	* TravisCI: Print compiler version currently used

2019-06-22 18:26:14 +0200 Mario Trangoni (fba18967f)

	* TravisCI: move from gcc 8.x to gcc 9.x

2019-06-23 21:39:51 +0200 Mike Gabriel (4a440feaf)

	* Merge branch 'uli42-pr/fix_xkb_privates' into 3.6.x

2019-06-22 16:03:06 +0200 Ulrich Sibiller (3aabc92cf)

	* rework xkb device private handling

2019-06-22 11:32:42 +0200 Mike Gabriel (abf374136)

	* Merge branch 'uli42-pr/various' into 3.6.x

2019-06-20 12:51:23 +0200 Ulrich Sibiller (c8a5e33fc)

	* Suppress false positives in static analysis

2019-06-21 12:04:23 +0200 Ulrich Sibiller (b91b3d807)

	* record/set.c: silence cpp finding

2019-06-21 11:39:03 +0200 Ulrich Sibiller (364035c00)

	* Keyboard.c: use existing define instead of hardcoced value

2019-06-21 11:38:39 +0200 Ulrich Sibiller (2bb498a4c)

	* Keyboard.c: fix another cppcheck finding

2019-06-21 11:22:28 +0200 Ulrich Sibiller (5be6d271b)

	* xkb: fix what looks to be a copy-paste error with first vs firstMM

2019-06-21 11:13:46 +0200 Ulrich Sibiller (31c3d27ea)

	* xkmread.c: fix compiler warning

2019-06-21 11:01:59 +0200 Ulrich Sibiller (813acdd2d)

	* xkb: Silence some compiler warnings

2019-06-21 10:57:09 +0200 Ulrich Sibiller (054e906f6)

	* xkb: Use snprintf to measure string lengths instead of manual
          strlen math

2019-06-21 10:45:57 +0200 Ulrich Sibiller (2070891cb)

	* xkbEvents.c: Fix "warning: unused variable `s'".

2019-06-21 10:41:36 +0200 Ulrich Sibiller (4962c5a8d)

	* XKB: Remove a bunch of mad ifdefs

2019-06-21 10:10:21 +0200 Ulrich Sibiller (56dcc8a4b)

	* xkb: remove oldState from XkbHandleActions.

2019-06-20 23:14:09 +0200 Ulrich Sibiller (c8520ac0a)

	* mi/miexpose.c: add missing free()

2019-06-20 19:54:44 +0200 Ulrich Sibiller (956caeb8a)

	* compext/Png.c: Nullify after free

2019-06-20 19:53:39 +0200 Ulrich Sibiller (e440e722d)

	* compext/Png.c: simplify srcBuf allocation

2019-06-20 19:51:00 +0200 Ulrich Sibiller (d48824195)

	* compext/Png.c: late image_index allocation

2019-06-20 19:14:10 +0200 Ulrich Sibiller (b4d3dc5bf)

	* NXdixfonts.c: fix index out of bounds

2019-06-20 18:52:31 +0200 Ulrich Sibiller (fd7e1f989)

	* Keyboard.c: rearrange code to make cppcheck happy

2019-06-20 01:35:22 +0200 Ulrich Sibiller (3c0469971)

	* os/access.c: add missing }

2019-06-20 01:31:17 +0200 Ulrich Sibiller (528e1e4ef)

	* NXpicture.c: code simplification

2019-06-20 01:29:21 +0200 Ulrich Sibiller (bb08043a6)

	* Screen.c: fix two more memleaks of visuals

2019-06-20 01:21:44 +0200 Ulrich Sibiller (213e63eed)

	* Screen.c: fix two memleaks

2019-06-20 00:59:16 +0200 Ulrich Sibiller (e63d9de45)

	* NXrender: fix another memleak

2019-06-20 00:51:32 +0200 Ulrich Sibiller (78eff73e4)

	* render: Propagate allocation failure from createSourcePicture()

2019-06-20 00:42:01 +0200 Ulrich Sibiller (9f9b790f8)

	* fb: fix memory leak in fbOverlayFinishScreenInit

2019-06-20 00:26:47 +0200 Ulrich Sibiller (f55402572)

	* dix/dispatch: fix a small memory leak

2019-06-20 00:13:25 +0200 Ulrich Sibiller (6f954bb7d)

	* Quarks.c: add missing )

2019-06-19 23:44:40 +0200 Ulrich Sibiller (6da106610)

	* Keyboard.c: fix three memory leaks

2019-06-19 23:10:40 +0200 Ulrich Sibiller (234be0245)

	* glyph.c: fix a read beyond end of heap buffer

2019-06-19 01:12:26 +0200 Ulrich Sibiller (8205db425)

	* Font.c: code simplifications

2019-05-25 19:38:14 +0200 Ulrich Sibiller (cb508b263)

	* various scope improvements

2019-06-18 23:36:45 +0200 Ulrich Sibiller (bffdacc48)

	* glxext.c: fix another memory leak

2019-06-18 19:10:38 +0200 Ulrich Sibiller (b5eb7c76e)

	* Screen.c: more debug output

2019-06-18 19:04:12 +0200 Ulrich Sibiller (7e12c9ba5)

	* Extension.c: code simplifications

2019-06-17 21:57:45 +0200 Ulrich Sibiller (17d5e62ba)

	* Events.c: use designated initializer in
          nxagentDeactivatePointerGrab

2019-06-18 18:57:17 +0200 Ulrich Sibiller (5cb497146)

	* mi/miinitext.c: fix memleaks: remove (double) glx initialization

2019-06-17 23:37:51 +0200 Ulrich Sibiller (756442226)

	* Screen.c: fix another memory leak

2019-06-17 20:25:09 +0200 Ulrich Sibiller (4dd1f3cbd)

	* Fix memleaks: Free devPrivates of devices on shutdown

2019-06-17 18:15:05 +0200 Ulrich Sibiller (ca741177e)

	* CloseDevice: call XkbRemoveResourceClient before freeing key class
          struct

2019-06-17 17:31:32 +0200 Ulrich Sibiller (340de78e2)

	* Keyboard.c: nullify freed pointers

2019-06-17 16:06:02 +0200 Ulrich Sibiller (3b06ad51d)

	* Screen.c: Fix: make sure RRCloseScreen is being called

2019-06-14 00:14:17 +0200 Ulrich Sibiller (0f8dbbab2)

	* Screen.c: correctly free stuff in nxagentCloseScreen

2019-06-13 22:56:45 +0200 Ulrich Sibiller (308824ba9)

	* xkb: initialize tsyms

2019-06-12 19:25:57 +0200 Ulrich Sibiller (6d00a387f)

	* Rootless.c: improve TEST/WARN/DEBUG outout

2019-06-12 00:16:48 +0200 Ulrich Sibiller (2b25eb3d2)

	* Pixmap.c: fix comment phrasing/spelling

2019-05-30 11:38:10 +0200 Ulrich Sibiller (1bfafc127)

	* Window.c: add missing comment about nxagentConfiguredWindowList

2019-05-30 00:30:46 +0200 Ulrich Sibiller (1a8de6352)

	* dix/window.c: fix compiler warning

2019-05-01 10:40:47 +0200 Ulrich Sibiller (3900ba3f8)

	* NXshm.c: remove left-overs from patch

2019-05-01 02:06:30 +0200 Ulrich Sibiller (b961e190b)

	* miwindow.c: add hint to Red Hat Bugzilla + fix

2019-05-04 01:44:36 +0200 Ulrich Sibiller (28e42b3bd)

	* mi: Hush an almost certainly bogus warning

2019-05-30 00:10:43 +0200 Ulrich Sibiller (9f5ddede9)

	* Window.c: Drop defines CWParent and CWStackingOrder

2019-05-29 23:52:44 +0200 Ulrich Sibiller (a3e0376f9)

	* Window.c: remove leftover (commented) code

2019-05-30 23:50:53 +0200 Ulrich Sibiller (d8f5e647c)

	* NXwindow.c: fix compiler warning

2019-06-01 00:52:06 +0200 Ulrich Sibiller (a765857aa)

	* Remove the Must_have_memory hack.

2019-06-11 12:24:44 +0200 Mike Gabriel (c0754a357)

	* Merge branch 'uli42-pr/use_selection_callback' into 3.6.x

2019-06-10 14:25:53 +0200 Ulrich Sibiller (848dee5c4)

	* NXdispatch.c: use upstream version of ProcSetSelectionOwner

2019-06-10 14:21:43 +0200 Ulrich Sibiller (09ba97b2d)

	* NXdispatch.c: Use Callback instead of a modified function

2019-06-10 14:20:47 +0200 Ulrich Sibiller (2972f6af1)

	* Add nxagentSetSelectionCallback

2019-06-10 14:18:06 +0200 Ulrich Sibiller (3fd7e5f93)

	* Add nxagentExternalClipboardEventTrap

2019-06-11 12:10:25 +0200 Mike Gabriel (58cd35745)

	* Merge branch 'uli42-pr/drop_nxmiexpose' into 3.6.x

2019-05-30 16:04:43 +0200 Ulrich Sibiller (073c6c17e)

	* NXmiexpose.c: drop file altogether

2019-05-30 16:02:53 +0200 Ulrich Sibiller (6ce9fb5f2)

	* Window.c/NXmiexpose.c: remove hack for certain WM theme

2019-05-25 17:29:17 +0200 Ulrich Sibiller (af1c4b9b7)

	* NXmiexpose.c: mark NX changes

2019-05-01 01:22:39 +0200 Ulrich Sibiller (9e051eab0)

	* NXmiexpose.c: use upstream version of miPaintWindows()

2019-05-04 01:47:50 +0200 Ulrich Sibiller (39ff69c72)

	* NXmiexpose.c: use upstream miHandleExposures()

2019-06-11 12:05:42 +0200 Mike Gabriel (a25232734)

	* Merge branch 'uli42-pr/various_small_things' into 3.6.x

2019-05-30 11:36:18 +0200 Ulrich Sibiller (2da476a67)

	* Window.c: comment on the purpose of some functions

2019-06-10 15:32:38 +0200 Ulrich Sibiller (d38fb8137)

	* Events.c: add debug output

2019-06-10 15:27:02 +0200 Ulrich Sibiller (9cb29cce2)

	* Clipboard.c: more debugging output

2019-06-10 15:23:55 +0200 Ulrich Sibiller (9739c7009)

	* Clipboard.c: Scope improvements

2019-06-10 15:21:45 +0200 Ulrich Sibiller (4b19c4975)

	* Clipboard.c: fix wrong variable being printed

2019-06-10 12:09:16 +0200 Ulrich Sibiller (d9b1272fb)

	* Screen.c: more TEST output

2019-06-10 12:06:31 +0200 Ulrich Sibiller (0e496e5d1)

	* Screen.c: use consistent spacing on pointer references

2019-06-10 12:05:24 +0200 Ulrich Sibiller (8365ce463)

	* Screen.c: whitespace/formatting fixes

2019-06-10 12:04:20 +0200 Ulrich Sibiller (d98eeec02)

	* Screen.c: report both created windows (and with the right name)

2019-06-10 12:01:05 +0200 Ulrich Sibiller (61255ac1a)

	* Window.c: fix: report correct window on icon window creation

2019-06-11 12:00:48 +0200 Mike Gabriel (92f41213e)

	* Merge branch 'uli42-pr/fix_broken_cursor_handling' into 3.6.x

2019-05-27 15:42:11 +0200 Ulrich Sibiller (a736122f5)

	* os: fix BigReq ignoring when another request is pending

2019-05-23 00:17:21 +0200 Ulrich Sibiller (49adb1e5c)

	* render/glyph.c: add missing usage_hint

2019-05-22 22:22:36 +0200 Ulrich Sibiller (fd8427002)

	* Fix NXevents.c: Reactivate errornously commented function

2019-06-11 11:31:05 +0200 Mike Gabriel (126cbe1ff)

	* Merge branch 'uli42-pr/remove_requestlog' into 3.6.x

2019-05-27 20:35:25 +0200 Ulrich Sibiller (0eab060d1)

	* dix: remove unused requestLogIndex

2019-05-21 10:57:22 +0200 Mike Gabriel (789d3a37e)

	* Merge branch 'uli42-pr/fix_xkb_crash' into 3.6.x

2019-05-15 19:54:24 +0200 Ulrich Sibiller (20353e96a)

	* libNX_X11: add additional checks for dpy and xkb

2019-05-15 19:42:29 +0200 Ulrich Sibiller (4df77fe73)

	* xkbUtils.c: Catch division by zero

2019-05-17 15:51:36 +0200 Mike Gabriel (6981e9bb0)

	* Merge branch 'andschwa-xtestext1h' into 3.6.x

2019-05-13 21:32:07 +0000 Andrew Schwartzmeyer (6a938063b)

	* Remove Debian build references to `xtestext1.h`

2019-05-11 09:41:15 +0200 Mike Gabriel (226493690)

	* Merge branch 'uli42-pr/small_fixes' into 3.6.x

2019-05-08 23:23:54 +0200 Ulrich Sibiller (fac36b24f)

	* nxagent: make nxagentX2go a Boolean

2019-05-08 22:25:02 +0200 Ulrich Sibiller (1b9d735b0)

	* README.keystrokes: mention nxdialog

2019-05-08 21:49:50 +0200 Ulrich Sibiller (79a2b7b24)

	* Remove useless "ignore" keystroke for Ctrl-Alt-Backspace

2019-05-08 21:57:01 +0200 Ulrich Sibiller (a31d28014)

	* README.keystrokes: refine description

2019-05-04 01:04:06 +0200 Ulrich Sibiller (0db8b0353)

	* NXdispatch.c: indent code to match environment

2019-05-04 00:40:49 +0200 Ulrich Sibiller (f6845fbd9)

	* NXdispatch.c: add missing fixes

2019-05-04 00:30:21 +0200 Ulrich Sibiller (3d254765c)

	* NXdispatch.c: add missing change

2019-05-01 20:11:14 +0200 Ulrich Sibiller (0312a8cfe)

	* Rename libdamage to (correct) libdamageext

2019-05-01 15:04:26 +0200 Ulrich Sibiller (f0ba303d4)

	* NXdamage.c: add missing upstream fixes

2019-05-01 14:38:31 +0200 Ulrich Sibiller (249be6680)

	* NXwindow.c: add missing change

2019-04-30 21:00:31 +0200 Ulrich Sibiller (34e9c6b0b)

	* Keyboard.c: clean/unify formatting

2018-11-02 20:56:55 +0100 Ulrich Sibiller (0a211b6b6)

	* Keyboard.c: improve TEST and DEBUG output

2019-04-29 15:37:10 +0200 Ulrich Sibiller (bee0f13ce)

	* nxagent: Remove own GetTimeInMillis() implementation

2018-11-07 21:29:19 +0100 Ulrich Sibiller (b32a984f8)

	* Die XTESTEXT1, die!

2019-04-29 22:02:47 +0200 Ulrich Sibiller (dece08252)

	* Reconnect.c: initialize stateFile path

2019-04-29 22:02:24 +0200 Ulrich Sibiller (ff5740e03)

	* spelling fixes

2019-05-10 16:37:20 +0200 Mike Gabriel (f6177d2ad)

	* Merge branch 'uli42-pr/short_font_code' into 3.6.x

2019-04-23 20:09:25 +0200 Ulrich Sibiller (453edbd21)

	* Font.c: use __func__ in TEST prints

2019-04-23 20:08:57 +0200 Ulrich Sibiller (0086b8c24)

	* Font.c: Avoid duplicate font paths

2019-04-23 18:22:45 +0200 Ulrich Sibiller (78a16245a)

	* auto-determine system font path and add to list of font paths

2019-04-23 19:34:57 +0200 Ulrich Sibiller (898f04e42)

	* Font.c: Loop over font paths

2019-04-23 19:21:41 +0200 Ulrich Sibiller (dfb5602a6)

	* Font.c: Let dix check if a font path exists

2019-04-23 19:19:04 +0200 Ulrich Sibiller (8029141e7)

	* Font.c: build the font paths at runtime

2019-04-23 18:34:04 +0200 Ulrich Sibiller (bcb5c7962)

	* Drop Speedo font support

2019-04-03 22:33:33 +0200 Ulrich Sibiller (dff2e0a01)

	* Font.c: factor out font checks

2019-05-10 16:10:46 +0200 Mike Gabriel (d94e9ba24)

	* Merge branch 'uli42-pr/fix_flavour_change' into 3.6.x

2019-05-08 23:21:30 +0200 Ulrich Sibiller (3c9ee1ff7)

	* nxagent: Determine nxagentProgName only once

2019-04-23 08:42:43 +0200 Mike Gabriel (4ce890758)

	* Merge branch 'mjtrangoni-update-clang-8' into 3.6.x

2019-04-22 17:26:33 +0200 Mario Trangoni (ee82317b5)

	* travis.yml: Update clang 7.0 => 8.0

2019-04-17 11:12:29 +0200 Mike Gabriel (c9cac948f)

	* roll-tarballs.sh: Fix script removal from nx-libs-lite tarballs.

2019-04-17 11:07:36 +0200 Mike Gabriel (3dc2c9aac)

	* roll-tarballs.sh: Remove nxdialog/* in nx-libs-lite tarballs.

2019-04-17 11:04:51 +0200 Mike Gabriel (e2b73ab90)

	* release 3.5.99.20 (tag: 3.5.99.20)

2019-04-17 10:52:00 +0200 Mike Gabriel (2a10438f7)

	* nxdialog/bin/nxdialog: Fix error dialog-type-not-supplied error
          message.

2019-04-08 11:50:08 +0200 Mihai Moldovan (f0aac0897)

	* Merge branch 'sunweaver-pr/pthread-flags' into arctica-3.6.x

2019-03-01 23:16:49 +0100 Mike Gabriel (80ecfad95)

	* nxcomp/src/Makefile.am: Correct usage of PTHREAD_CFLAGS and
          PTHREAD_LIBS. PTHREAD_CFLAGS is also supposed to be used
          when linking. See comments in m4/ax_pthread.m4.

2019-04-07 21:59:37 +0200 Mike Gabriel (1ff05c8e2)

	* nxdialog/Makefile.am: We forgot to clean up
          nxdialog/bin/Makefile.in.

2019-04-07 21:59:00 +0200 Mike Gabriel (34011ccad)

	* Makefile: Add clean/distclean target calls for nxdialog subdir to
          master Makefile's clean/distclean targets.

2019-04-07 21:36:05 +0200 Mike Gabriel (cb5c042a1)

	* Merge branch 'Ionic-bugfix/libXcomp-pthread-underlinking' into
          3.6.x

2019-04-04 13:07:40 +0200 Mihai Moldovan (dd0d49c4e)

	* debian/patches/{,series}: remove 2004_enforce-lpthread.patch.

2019-04-04 11:15:22 +0200 Mihai Moldovan (d1fe6a601)

	* nxproxy/{m4,configure.ac,src/Makefile.am}: drop pthread
          overlinking.

2019-04-04 11:06:05 +0200 Mihai Moldovan (95f8cf7ea)

	* m4/ax_pthread.m4: implement workaround for libtool bug #13550.

2019-04-01 09:16:43 +0200 Mihai Moldovan (2efaa423b)

	* m4/: update external macros from autoconf-archive.

2019-04-04 11:18:35 +0200 Mihai Moldovan (1b6da5992)

	* nxcomp/src/Makefile.am: PTHREAD_LDFLAGS does not exist, replace
          with PTHREAD_LIBS.

2019-03-25 06:42:08 +0100 Mihai Moldovan (3af59f806)

	* nxdialog/: create (almost) empty m4 directory.

2019-03-01 18:59:22 +0100 Ulrich Sibiller (cf3ac71a3)

	* nxdialog: fix example

2019-03-01 16:48:17 +0100 Mike Gabriel (59305c8b9)

	* release 3.5.99.19 (tag: 3.5.99.19)

2019-03-01 16:48:04 +0100 Mike Gabriel (da9a1bc0b)

	* debian/patches: Add 2004_enforce-lpthread.patch. On Debian, enforce
          -lpthread when building nxcomp. This is a nasty work
          around for a missing symbols issue that needs to get
          addressed otherwise in later release.

2019-03-01 15:32:12 +0100 Mike Gabriel (400b627e4)

	* nx-libs.spec: Dropping nxdialog files from installation for now
          when building RPMs. Postponing nxdialog integration with
          RPM packaging for now.

2019-03-01 15:25:36 +0100 Ulrich Sibiller (ff1b3e9e8)

	* nxdialog: Allow user to specify hexadecimal X11 window IDs.

2019-03-01 15:24:44 +0100 Mike Gabriel (ca8d889da)

	* debian/libnx-x11-6.symbols: Update symbols.

2019-03-01 15:23:49 +0100 Mike Gabriel (00f8d49a3)

	* debian/*: Debianize package inclusion of nxdialog (ships with
          nxagent bin:pkg for now).

2019-03-01 15:22:03 +0100 Mike Gabriel (ae565e1da)

	* Merge branch 'sunweaver-pr/nxdialog-autotools' into 3.6.x

2019-03-01 13:50:31 +0100 Mike Gabriel (6812657f0)

	* Makefile: Integrate new subproject "nxdialog".

2019-03-01 13:47:39 +0100 Mike Gabriel (57ca69fe0)

	* nxdialog: Turn into autotools project, add man page.

2019-03-01 12:50:32 +0100 Mike Gabriel (df79c3b35)

	* Merge branch 'uli42-pr/add_nxdialog' into 3.6.x

2019-03-01 10:52:39 +0100 Ulrich Sibiller (d0e40f8b2)

	* nxdialog: add example call

2019-03-01 10:50:16 +0100 Ulrich Sibiller (07052a25c)

	* nxdialog: allow to provide --parent 0 for testing

2019-02-28 20:17:39 +0100 Ulrich Sibiller (acffe15b5)

	* nxdialog: make code compatible to python2 _and_ python3

2019-02-28 18:13:47 +0100 Ulrich Sibiller (57700cd6b)

	* nxdialog: convert from optparse to argparse

2019-02-28 17:49:28 +0100 Ulrich Sibiller (3a097e6e0)

	* nxdialog: use gtk3 instead of gtk2

2019-02-28 17:46:48 +0100 Ulrich Sibiller (2aa575f0d)

	* nxdialog: pylint improvements

2019-02-09 01:55:59 +0100 Ulrich Sibiller (486cc6f50)

	* add nxdialog for displaying dialogs

2019-03-01 12:12:58 +0100 Mike Gabriel (4538d2133)

	* Merge branch 'mjtrangoni-move-to-xenial' into 3.6.x

2019-01-19 12:17:32 +0100 Mario Trangoni (440ce3f54)

	* .travis.yml: add some soft requirements

2019-01-18 20:38:03 +0100 Mario Trangoni (f2a1e877d)

	* .travis.yml: Update clang-6.0 to clang-7

2019-01-18 19:10:03 +0100 Mario Trangoni (ebd1ea036)

	* .travis.yml: move from Ubuntu Trusty to Xenial.

2019-03-01 12:04:25 +0100 Mike Gabriel (176f9b471)

	* Merge branch 'uli42-pr/fix_clang_warnings' into 3.6.x

2019-01-18 23:57:04 +0100 Ulrich Sibiller (7c8214f31)

	* GenericReply.h: remove unused variable

2019-01-18 23:45:26 +0100 Ulrich Sibiller (059028ce7)

	* Logger.h: remove pragma, correct attributes

2019-01-18 23:44:47 +0100 Ulrich Sibiller (a53c65547)

	* Logger.h: fix missing compiler attribute

2019-01-18 22:51:40 +0100 Ulrich Sibiller (74fe99dab)

	* xcompshad: remove unused variables

2019-01-18 22:47:38 +0100 Ulrich Sibiller (a8ed28234)

	* Xlib: remove register keywords

2019-01-18 22:44:21 +0100 Ulrich Sibiller (e1f2a24f6)

	* xlib: remove superflous parens

2019-01-18 22:41:05 +0100 Ulrich Sibiller (0934b1e67)

	* nxcomp: fix unused variables

2019-01-18 22:38:31 +0100 Ulrich Sibiller (0e481f8aa)

	* nxcomp: fix unused variable

2019-01-18 22:10:54 +0100 Ulrich Sibiller (471342933)

	* Fix: clang does not know about gnu_printf

2019-03-01 11:59:55 +0100 Mike Gabriel (d156ce5ab)

	* Merge branch 'uli42-pr/xfixes_memset' into 3.6.x

2019-02-28 23:15:22 +0100 Ulrich Sibiller (e7a50079e)

	* xfixes: use calloc for some structs

2019-02-28 23:13:49 +0100 Ulrich Sibiller (c6b6a8fcb)

	* Use C99 designated initializers in various extension Replies

2019-02-28 23:11:23 +0100 Ulrich Sibiller (c81a45785)

	* Use calloc to zero fill buffers being allocated for replies &
          events

2019-02-28 22:09:28 +0100 Ulrich Sibiller (a70e36c81)

	* ConnDis.c: remove obsolete MNX_TCPCONN

2019-02-20 22:39:48 +0100 Ulrich Sibiller (f2e48fb73)

	* nx-X11/lib/configure.ac: add forgotten status line

2019-02-20 22:25:46 +0100 Ulrich Sibiller (71a3b8447)

	* nx-X11/lib/configure.ac: fix version number

2019-02-20 22:05:01 +0100 Ulrich Sibiller (0eb71d78a)

	* Merge branch 'gh-sunweaver/pr/xlib-loadable-modules' into 3.6.x

2019-02-20 13:14:43 +0100 Mike Gabriel (36a7f0413)

	* nx-X11/lib/configure.ac: Assure that the USE_DYNAMIC_XCURSOR macro
          is defined at build-time.

2019-02-20 10:40:20 +0100 Mike Gabriel (de421e4fe)

	* Revert "Fix parsing ports set to unix sockets"

2019-02-20 10:37:16 +0100 Mike Gabriel (3572b251e)

	* Regression fix for bfc05af7. Properly end lines in help/usage text.

2019-02-18 08:47:40 +0100 Mike Gabriel (66315e4f3)

	* Merge branch 'uli42-pr/session_types' into 3.6.x

2019-02-18 08:45:11 +0100 Mike Gabriel (fc2907759)

	* Keyboard.c: fix comment.

2019-02-17 18:00:28 +0100 Ulrich Sibiller (bfc05af73)

	* nxproxy: list known session types in help output

2019-02-15 11:48:27 +0100 Mike Gabriel (a3dc87d6b)

	* Merge branch 'uli42-pr/fix_keystrokes' into 3.6.x

2019-02-15 09:27:29 +0100 Ulrich Sibiller (f1b27c4fd)

	* keystrokes.cfg: Add missing Shift=1 for viewport_move_up/down/right

2019-02-15 11:45:14 +0100 Mike Gabriel (24d7d0faa)

	* Merge branch 'uli42-pr/revert' into 3.6.x

2019-02-15 09:37:18 +0100 Ulrich Sibiller (586742b71)

	* Revert "nxagent: rework Bool handling"

2019-02-13 12:32:06 +0100 Mike Gabriel (b61934be2)

	* Merge branch 'uli42-pr/misc' into 3.6.x

2019-02-08 00:44:48 +0100 Ulrich Sibiller (16cd2bbe1)

	* nxagent: rework Bool handling

2019-02-07 23:06:58 +0100 Ulrich Sibiller (5bbab001a)

	* Screen.c: code optimization for rootless mode

2019-02-07 23:04:23 +0100 Ulrich Sibiller (34e4291de)

	* Screen.c: simplify and fix handling of rootless mode

2019-02-07 21:40:05 +0100 Ulrich Sibiller (f729ac996)

	* rrdispatch.c: remove obsolete ifdef

2019-01-31 14:10:36 +0100 Mike Gabriel (427ac344c)

	* release 3.5.99.18 (tag: 3.5.99.18)

2019-01-25 16:37:29 +0100 Mike Gabriel (26e483d49)

	* Merge branch 'theqvd-unix_socket_forwarding' into 3.6.x

2019-01-18 13:15:18 +0100 Vadim (889de46f7)

	* Fix parsing ports set to unix sockets

2019-01-18 12:28:51 +0100 Vadim (5c99eb7d5)

	* Make getUnixPath() return the right value when called without an
          argument.

2019-01-17 12:06:34 +0100 Mike Gabriel (ca8236e7f)

	* Merge branch 'uli42-pr/window_fixes' into 3.6.x

2019-01-12 01:01:55 +0100 Ulrich Sibiller (d16a5fbb1)

	* Screen.c: fix handling of fullscreen startup

2019-01-13 23:47:53 +0100 Ulrich Sibiller (3c92b5db9)

	* Screen.c: fix size calculation in rootless mode

2019-01-13 23:46:49 +0100 Ulrich Sibiller (43d3b655d)

	* Screen.c: improve readability of size calculations

2019-01-11 23:25:39 +0100 Ulrich Sibiller (8dea30751)

	* Screen.c: move identical line out of both parts of an if clause

2019-01-11 22:39:34 +0100 Ulrich Sibiller (c4c39bc94)

	* Extensions.c: Cleanup nxagentRandRInitSizes()

2019-01-11 21:58:50 +0100 Ulrich Sibiller (6c0098a3e)

	* Extensions.c: fix first resolution being ignored

2019-01-11 00:59:55 +0100 Ulrich Sibiller (d175fd4c6)

	* Set default screen size to the whole screen in rootless mode

2019-01-10 22:35:02 +0100 Ulrich Sibiller (4a7faa8bd)

	* Window.c: move WM_STATE handling to separate function

2018-12-22 22:02:15 +0100 Mike Gabriel (4214a719a)

	* Merge branch 'uli42-pr/fix_xlibcrash' into 3.6.x

2018-10-31 23:44:15 +0100 Ulrich Sibiller (633f4617b)

	* XlibInt: check for XlibError before accessing other dpy fields

2018-10-31 23:43:58 +0100 Ulrich Sibiller (a61b1a72d)

	* XlibInt.c: fix wrong debug message

2018-12-19 12:39:59 +0100 Mike Gabriel (d98255968)

	* nxagent.1 man page: Grammar fix.

2018-12-19 12:38:59 +0100 Mike Gabriel (669af5300)

	* Merge branch 'uli42-pr/x2go_bypass' into 3.6.x

2017-07-22 22:21:05 +0200 Ulrich Sibiller (522106e20)

	* nxagent: bypass X2go's keyboard configuration hack

2018-12-19 12:36:28 +0100 Mike Gabriel (a8c65ab62)

	* Merge branch 'uli42-pr/improve_keyboard2' into 3.6.x

2018-12-03 23:35:56 +0100 Ulrich Sibiller (a70ec920d)

	* Keyboard.c: add static keyword where appropriate

2018-12-03 22:03:58 +0100 Ulrich Sibiller (d5c9733b2)

	* nxagent: simplify keycode conversion setup

2018-12-03 21:54:15 +0100 Ulrich Sibiller (1d6c241d3)

	* nxagent: store remote keyboard in global variables

2018-12-02 17:08:31 +0100 Ulrich Sibiller (161515d24)

	* nxagent: add additional keyboard config option rmlvo

2017-07-22 19:03:19 +0200 Ulrich Sibiller (1de6ca599)

	* nxagent: add keyboard=clone configuration option

2018-12-19 12:31:05 +0100 Mike Gabriel (ab3e14850)

	* Merge branch 'uli42-pr/keyboard_cleanup' into 3.6.x

2018-12-03 21:34:40 +0100 Ulrich Sibiller (26b033b84)

	* Reconnect.c: restore old keyboard value if no new one is given

2018-12-03 21:52:33 +0100 Ulrich Sibiller (4dfe84eaf)

	* Keyboard.c: remove non-fitting comment

2018-12-01 22:37:40 +0100 Ulrich Sibiller (21a0ce367)

	* nxagent: fix references to default rules in manpage

2017-07-23 02:03:58 +0200 Ulrich Sibiller (3b62184a1)

	* Keyboard.c: improve creation of keyboard config file

2018-12-01 18:17:40 +0100 Ulrich Sibiller (fb31220f2)

	* Keyboard.c: reformat nxagentKeycodeConversionSetup

2018-12-02 00:09:00 +0100 Ulrich Sibiller (3c4a8da12)

	* Keyboard.c: use 'variant' all over the place

2018-12-01 23:59:36 +0100 Ulrich Sibiller (d0d6c1bdb)

	* Keyboard.c: rename variables to better reflect their meaning

2017-07-22 18:56:13 +0200 Ulrich Sibiller (269a352ff)

	* Keyboard.c: refactor keycode conversion

2017-07-22 17:34:22 +0200 Ulrich Sibiller (d610e9c3c)

	* Keyboard.c: move keyboard file creation to extra function

2018-12-19 12:25:53 +0100 Mike Gabriel (70cb1926c)

	* Merge branch 'uli42-pr/xnest_manpages' into 3.6.x

2018-12-17 22:36:44 +0100 Ulrich Sibiller (c8947d8aa)

	* manpage: reformat some lines

2018-12-17 22:36:34 +0100 Ulrich Sibiller (b405b962f)

	* manpage: add -name

2018-12-17 22:36:07 +0100 Ulrich Sibiller (b8138d97d)

	* manpage: add/extend -dpi/-autodpi

2018-12-17 22:35:35 +0100 Ulrich Sibiller (338e20510)

	* manpage: add -geometry

2018-12-17 22:35:18 +0100 Ulrich Sibiller (51664049f)

	* manpage: add -depth

2018-12-17 22:34:43 +0100 Ulrich Sibiller (3b508010d)

	* manpage: add -class

2018-12-17 22:34:15 +0100 Ulrich Sibiller (0b454d2d3)

	* manpage: add -full

2018-12-17 22:33:52 +0100 Ulrich Sibiller (79e4c20a0)

	* manpage: add -sync

2018-12-19 12:20:10 +0100 Mike Gabriel (22fea29cf)

	* Merge branch 'uli42-pr/fb_fastpath' into 3.6.x

2018-12-18 21:39:04 +0100 Ulrich Sibiller (034228d75)

	* fb: fix fast-path blt detection

2018-12-18 21:32:37 +0100 Ulrich Sibiller (020ef045e)

	* fb: Fix memcpy abuse

2018-12-19 12:18:27 +0100 Mike Gabriel (8d6a4a9b7)

	* Merge branch 'uli42-pr/fix_uninit' into 3.6.x

2018-12-18 00:17:51 +0100 Ulrich Sibiller (44c59e12d)

	* Fix uninitialized bytes

2018-12-18 00:05:50 +0100 Ulrich Sibiller (5b0bf752a)

	* xkb: Initialize pad bytes sent in replies of geometry requests.

2018-12-17 23:58:16 +0100 Ulrich Sibiller (a4fad8f58)

	* Fix crash due to uninitialized VModMap fields.

2018-11-22 13:16:20 +0100 Mike Gabriel (989398afe)

	* debian/*: Adopt packaging changes from official Debian package.

2018-11-22 11:46:01 +0100 Mike Gabriel (6d7784eb0)

	* debian/nxagent.{post,pre}*: Fix versions in dpkg-maintscript-helper
          calls.

2018-11-22 11:45:29 +0100 Mike Gabriel (afa56ea64)

	* debian/changelog: post-release fix (UNRELEASED -> unstable).

2018-11-20 16:03:22 +0100 Mike Gabriel (3a19d8d17)

	* release 3.5.99.17 (tag: 3.5.99.17)

2018-11-14 20:21:46 +0100 Ulrich Sibiller (623a74ae1)

	* Makefile: fix (dist)clean dependencies

2018-11-14 16:09:17 +0100 Mike Gabriel (071e41b6c)

	* Makefile: Assure that nx-X11's Makefiles are created after
          everything has been defined.

2018-11-14 15:18:22 +0100 Mike Gabriel (e4a7baf15)

	* Regression fix for a93f64e4. The test executables bails out on test
          failure, whereas ifdef does not. Adding "|| true" where
          needed.

2018-11-11 15:54:22 +0100 Mike Gabriel (a118ab801)

	* debian/patches: Rebase 2001_nx-X11_install-location.debian.patch.

2018-11-11 15:50:21 +0100 Mike Gabriel (1a429016c)

	* Merge branch 'uli42-pr/fix_font_defines_once_more2' into 3.6.x

2018-11-11 15:48:17 +0100 Mike Gabriel (f78a8b3eb)

	* nx-X11/config/cf/nxcompile.def: Rephrase header comment slightly.

2018-11-11 12:31:19 +0100 Ulrich Sibiller (8632895b8)

	* imake: adapt output to automake output as seen in lib/src

2018-11-11 12:30:54 +0100 Ulrich Sibiller (c4656c5e9)

	* imake: also silence makedepend

2018-11-11 11:02:07 +0100 Ulrich Sibiller (ffc723e73)

	* silence imake compilation

2018-11-10 14:26:49 +0100 Ulrich Sibiller (a93f64e4f)

	* Makefile: use test + && instead of if test/else/fi

2018-11-10 14:26:15 +0100 Ulrich Sibiller (58615f9fc)

	* Makefile: use (more) RM macros

2018-11-10 14:48:52 +0100 Ulrich Sibiller (77b392312)

	* Makefile: Rework handling auto-determined values for imake

2018-11-10 14:46:23 +0100 Ulrich Sibiller (abf47feca)

	* Makefile: drop intermediate NX version vars

2018-11-10 07:30:23 +0100 Mihai Moldovan (93c9b8862)

	* nx-libs.spec: newer versions of SLE* and OpenSuSE use
          xkbcomp-devel, while RedHat-based distros want
          xorg-x11-xkb-utils-devel for xkbcomp.pc.

2018-11-10 07:27:14 +0100 Mihai Moldovan (89f1e3baa)

	* Makefile: support systems without xkbcomp.pc.

2018-11-09 23:14:16 +0100 Mike Gabriel (a12ab412d)

	* debian/contrl: Bump Standards-Version: to 4.2.1. No changes needed.

2018-11-09 23:10:51 +0100 Mike Gabriel (7b08c7dfc)

	* debian/control: Add to B-D: libxkbfile-dev. Required by xkbcomp.pc
          (pkg-config).

2018-11-09 15:53:42 +0100 Mike Gabriel (d2dae84b3)

	* Merge branch 'uli42-pr/Xext-1.4.2' into 3.6.x

2018-11-05 22:16:25 +0100 Ulrich Sibiller (49607e93f)

	* Lift Xext to xorg 1.4.2

2018-11-09 15:33:02 +0100 Mike Gabriel (fccef5fc5)

	* Merge branch 'uli42-pr/xkb_1.3.0.0' into 3.6.x

2018-11-01 13:29:16 +0100 Ulrich Sibiller (3965f24be)

	* adapt code-versions.txt

2018-10-30 00:00:45 +0100 Ulrich Sibiller (b09a72b08)

	* Convert existing Xprintf style calls to asprintf style

2018-10-29 23:39:03 +0100 Ulrich Sibiller (b01e29eff)

	* xkb: Don't check for NULL before calling free

2018-10-29 23:34:10 +0100 Ulrich Sibiller (90b83a79e)

	* xkb: Fix memory leak if opening file fails

2018-10-25 00:46:12 +0200 Ulrich Sibiller (f23189e73)

	* Make: Automatically determine xkb dir

2018-07-25 22:39:17 +0200 Ulrich Sibiller (824b62973)

	* XKB: Fix size_syms calculation bug

2018-07-25 22:27:47 +0200 Ulrich Sibiller (1ca0aee93)

	* Event.c: improve DEBUG output

2018-07-18 23:54:46 +0200 Ulrich Sibiller (3c1b1efad)

	* XKB: Remove unused DDX functions

2018-07-18 23:50:28 +0200 Ulrich Sibiller (7487d7fa2)

	* XKB: Fix logic error

2018-07-18 23:26:10 +0200 Ulrich Sibiller (6625e78c1)

	* XKB: Fix garbage initialization

2018-07-18 23:15:07 +0200 Ulrich Sibiller (69475953b)

	* ProcXkbGetKbdByName: fix use of uninitialised bytes valgrind error.

2018-07-18 23:09:32 +0200 Ulrich Sibiller (018b2d0c6)

	* XkbSendNames: fix use of uninitialised bytes valgrind error.

2018-07-18 22:16:48 +0200 Ulrich Sibiller (59524cd06)

	* Keyboard.c: simplify even more: free stuff at one place

2018-07-18 19:14:40 +0200 Ulrich Sibiller (b8ae794e4)

	* Keyboard.c: fix keyboard=query logic

2018-07-16 22:23:56 +0200 Ulrich Sibiller (05e03b965)

	* Keyboard.c: greatly simplify the code in nxagentKeyboardProc

2018-07-16 22:23:05 +0200 Ulrich Sibiller (d8bbbcf29)

	* Keyboard.c: guard XkbFreeKeyboard calls

2018-11-01 14:46:54 +0100 Ulrich Sibiller (1b05251a0)

	* Keyboard.c: simplify over-specific if

2018-07-16 22:22:10 +0200 Ulrich Sibiller (6186383e7)

	* Keyboard.c: simplify RLMVO string handling

2018-07-16 22:07:26 +0200 Ulrich Sibiller (b891e5f68)

	* Keyboard.c: always ask for remote XKB

2018-07-07 23:51:27 +0200 Ulrich Sibiller (3fbef7da7)

	* Lift xkb to XORG-1.3.0.0 state

2018-07-06 23:30:45 +0200 Ulrich Sibiller (4ed8145f7)

	* XKB: provide XKB defines via Imakefile

2018-07-05 23:23:11 +0200 Ulrich Sibiller (eb07ed57b)

	* Keyboard.c: do not define own RLMVO defaults

2018-07-05 23:16:30 +0200 Ulrich Sibiller (11a1f31d7)

	* no more own XkbBaseDirectory handling

2018-07-05 23:14:05 +0200 Ulrich Sibiller (d54f1fb73)

	* Keyboard.c: remove unused defines

2018-07-04 23:16:26 +0200 Ulrich Sibiller (0fc536886)

	* Keyboard.c: remove unnecessary includes

2018-07-04 23:15:11 +0200 Ulrich Sibiller (bebdf0990)

	* Keyboard.c: Remove (now) unused defines

2018-06-29 22:34:32 +0200 Ulrich Sibiller (9808c66ec)

	* Lift xkb to XORG-1.2.0 state

2018-06-24 23:33:33 +0200 Ulrich Sibiller (2db519141)

	* Check nxagentXkbInfo.EventBase before use

2018-11-01 20:12:44 +0100 Mike Gabriel (122db3fde)

	* Merge branch 'uli42-pr/Xi-1.2.0' into 3.6.x

2018-11-01 15:41:34 +0100 Ulrich Sibiller (266c3d68d)

	* Lift Xi to 1.3.0.0 (identical to 1.2.0)

2018-10-27 21:06:11 +0200 Mike Gabriel (70b49467c)

	* Merge branch 'uli42-pr/small_improvements' into 3.6.x

2018-10-27 02:50:12 +0200 Ulrich Sibiller (e2421bbd7)

	* Window.c: use C99 designated initializers at some places

2018-10-27 02:26:28 +0200 Ulrich Sibiller (728a3d1c8)

	* Window.c: add FIXME

2018-10-27 01:28:23 +0200 Ulrich Sibiller (1eb560354)

	* Window.c: save some lines by declaring loop variables in the loop

2018-10-27 00:53:44 +0200 Ulrich Sibiller (c8383b83d)

	* Window.c: indent ifdefs for better readability

2018-10-27 00:19:33 +0200 Ulrich Sibiller (df531c16f)

	* Window.c: silence compiler warnings

2018-10-25 17:46:15 +0200 Ulrich Sibiller (9e6e43137)

	* Window.c: some code simplifications

2018-10-25 17:24:49 +0200 Ulrich Sibiller (ea275309b)

	* Window.c: whitespace cleanup

2018-10-25 17:24:35 +0200 Ulrich Sibiller (1fb32cf73)

	* Window.c: scope improvements

2018-10-25 17:23:45 +0200 Ulrich Sibiller (7a0b401bc)

	* Window.c: reformat/add braces for readability

2018-10-25 17:23:00 +0200 Ulrich Sibiller (2769cbb9d)

	* Window.c: indent FIXMEs

2018-10-25 17:18:38 +0200 Ulrich Sibiller (e8c6a7418)

	* Window.c: convert old-style function definitions to ANSI C89 style

2018-10-27 20:56:24 +0200 Mike Gabriel (280432016)

	* Merge branch 'uli42-pr/clipboard_debug' into 3.6.x

2018-10-22 00:30:01 +0200 Ulrich Sibiller (60bce146e)

	* Clipboard.c: use __func__ everywhere

2018-10-22 00:29:35 +0200 Ulrich Sibiller (6ea7558d1)

	* Clipboard.c: fix fprintf type warnings

2018-07-25 22:25:22 +0200 Ulrich Sibiller (2517d8c1f)

	* Clipboard.c: more DEBUG output

2018-07-25 22:13:30 +0200 Ulrich Sibiller (934d9eae6)

	* Clipboard.c: Use constant instead of hardcoded value

2018-10-16 00:20:41 +0200 Ulrich Sibiller (f8bfdc87b)

	* Clipboard.c: improve nxagentClearSelection() debug code

2018-10-16 00:19:58 +0200 Ulrich Sibiller (5d26addd3)

	* Clipboard.c: new debug function to reduce duplicate code

2018-10-10 01:15:17 +0200 Ulrich Sibiller (1c4c9f609)

	* Clipboard.c: more debugging info for nxagentGetClipboardWindow()

2018-10-10 00:26:54 +0200 Ulrich Sibiller (1af67b4df)

	* Clipboard.c: GetWindowProperty() does not return BadMatch

2018-10-10 00:22:38 +0200 Ulrich Sibiller (018b561b7)

	* Clipboard.c: whitespace fixes

2018-10-10 00:22:21 +0200 Ulrich Sibiller (719488da9)

	* Clipboard.c: add FIXME

2018-10-10 00:21:48 +0200 Ulrich Sibiller (9a5f519a0)

	* Clipboard.c: Code optimization (missing else)

2018-10-10 00:21:13 +0200 Ulrich Sibiller (888de83ac)

	* Clipboard.c: print X errors

2018-10-10 00:13:57 +0200 Ulrich Sibiller (e90306ec4)

	* Clipboard.c: some scope optimizations

2018-10-09 23:00:08 +0200 Ulrich Sibiller (85a28a68e)

	* Clipboard.c: add macro for safe XFree calls with ptr clearance

2018-10-09 22:51:55 +0200 Ulrich Sibiller (fab6911bd)

	* Clipboard.c: introduce helper macros for easier debugging

2018-06-09 15:02:32 +0200 Ulrich Sibiller (35f6b32c6)

	* NXproperty.c:add debug output

2018-06-07 23:40:51 +0200 Ulrich Sibiller (6cdddadf9)

	* Clipboard.c: add function for debugging output

2018-06-06 00:32:38 +0200 Ulrich Sibiller (8baec5d70)

	* Clipboard: print requested target in debugging mode

2018-10-23 12:14:51 +0200 Mike Gabriel (2eb4a65eb)

	* Merge branch 'uli42-pr/libX11_1.6.6' into 3.6.x

2018-10-22 22:44:23 +0200 Ulrich Sibiller (701e702a1)

	* libNX_X11: upgrade to X.org upstream version 1.6.7

2018-08-22 22:30:34 +0200 Ulrich Sibiller (e1938c189)

	* libNX_X11: upgrade to X.org upstream version 1.6.6

2018-10-22 14:39:10 +0200 Mike Gabriel (3dc459556)

	* Merge branch 'uli42-pr/enableclientids' into 3.6.x

2018-10-21 23:54:10 +0200 Ulrich Sibiller (71abe0beb)

	* enable CLIENTIDS functions in xserver

2018-10-21 23:53:42 +0200 Ulrich Sibiller (97f768a26)

	* X11.tmpl: whitespace fix

2018-10-22 14:35:08 +0200 Mike Gabriel (7392dd6a9)

	* Merge branch 'uli42-pr/cleanup_wmisrunning' into 3.6.x

2018-09-24 21:49:23 +0200 Ulrich Sibiller (450760bca)

	* Events.c: improve Bool usage

2018-09-24 21:47:45 +0200 Ulrich Sibiller (7f7895ee5)

	* Window.c: remove useless code

2018-09-24 21:47:28 +0200 Ulrich Sibiller (158439555)

	* Window.c: improve Bool usage

2018-09-24 21:36:50 +0200 Ulrich Sibiller (7b8aef83a)

	* nxagentInitAndCheckVisuals: adapt bool usage to match the previous
          function

2018-09-24 21:24:49 +0200 Ulrich Sibiller (67432ac25)

	* Render.c: improve Bool usage

2018-09-24 21:19:08 +0200 Ulrich Sibiller (f91f02d9d)

	* Pixmap.c: use some Bools as Bools not integers

2018-09-24 21:08:18 +0200 Ulrich Sibiller (1a8c4532e)

	* nxagent: use nxagentWMPassed as Bool all over the place

2018-09-24 21:03:15 +0200 Ulrich Sibiller (6b2033bd2)

	* nxagent: use nxagentWMIsRunning as Bool all over the place

2018-10-22 14:17:04 +0200 Mike Gabriel (c478ba293)

	* Merge branch 'uli42-pr/fix_bigrequests' into 3.6.x

2018-10-06 20:59:25 +0200 Ulrich Sibiller (da9d1a529)

	* nxagent: Fix an excessive request size limitation that broke
          big-requests.

2018-08-24 23:54:13 +0200 Mike Gabriel (d3bbca712)

	* Merge branch 'sunweaver-pr/drop-nomachine-icon' into 3.6.x

2018-04-14 22:35:18 +0200 Mike Gabriel (31ac5a179)

	* X2Go Agent XPM: Rename from x2go.xpm to x2goagent.xpm (like the
          symlink name we expect).

2018-04-14 22:29:03 +0200 Mike Gabriel (c2b4e42a2)

	* X2Go XPM icon: white background, not transparent.

2018-04-14 03:09:33 +0200 Mike Gabriel (25c7f0252)

	* Use basename() to derive nxagentProgName cleanly.

2018-04-14 03:05:17 +0200 Mike Gabriel (373836468)

	* Call checkX2goAgent much earlier (in ddxProcessArgument) and adapt
          NXAGENTWINDOWNAMELENGTH to its result.

2018-04-14 02:25:21 +0200 Mike Gabriel (4d6bae082)

	* Application icon: Drop NoMachine logo as nxagent icon, switch to
          X11 icon for now.

2018-04-14 02:23:52 +0200 Mike Gabriel (c7eadb8ae)

	* nxmissing.xpm: Add XPM marker so that image viewers recognize the
          image file format.

2018-08-24 11:55:24 +0200 Mike Gabriel (930bd2833)

	* Merge branch 'uli42-pr/decode_options' into 3.6.x

2018-08-23 23:09:44 +0200 Ulrich Sibiller (30a962733)

	* Args.c: allow options to contain URL encoded characters

2018-08-23 23:08:30 +0200 Ulrich Sibiller (f8e20d05f)

	* Args.c: rename nxagentParseOptions to nxagentParseSingleOption

2018-08-24 10:55:02 +0200 Mike Gabriel (fad80bc4f)

	* Merge branch 'uli42-pr/drop_double_min_max' into 3.6.x

2018-08-23 22:57:27 +0200 Ulrich Sibiller (3bd41aaf7)

	* Replace MIN/MAX macros by min/max from misc.h

2018-08-22 20:18:48 +0200 Mike Gabriel (b517b66ef)

	* Merge branch 'uli42-pr/fix_wm_props' into 3.6.x

2018-08-22 19:37:13 +0200 Ulrich Sibiller (f9c2d560d)

	* Fix broken 9a7c0b081fad98bfcfcceff9557781f4b39ec572

2018-08-22 15:37:48 +0200 Mike Gabriel (f9e4a54c4)

	* Merge branch 'uli42-pr/fix_events_debug_warnings' into 3.6.x

2018-03-08 22:32:01 +0100 Ulrich Sibiller (0db177073)

	* Events.c: drop variable that caused compilation warning

2018-03-08 22:29:53 +0100 Ulrich Sibiller (553b96f05)

	* Events.c: fix wrong printf format specifiers

2018-03-08 22:28:29 +0100 Ulrich Sibiller (2fe89c5bf)

	* Events.c: fix compiler warnings

2018-03-08 22:25:15 +0100 Ulrich Sibiller (f8e76fd69)

	* Events.c: mitigate compiler warning

2018-08-22 15:35:49 +0200 Mike Gabriel (9f4eb6a0b)

	* Merge branch 'uli42-pr/refactor_defaulteventmask' into 3.6.x

2018-05-10 00:29:21 +0200 Ulrich Sibiller (129d1cc91)

	* refactor nxagentGet(Default)EventMask

2018-08-22 15:29:49 +0200 Mike Gabriel (c0bef5e39)

	* Merge branch 'uli42-pr/track_versions' into 3.6.x

2018-07-25 23:39:06 +0200 Ulrich Sibiller (0154ef4b9)

	* add list with versions of the xserver modules

2018-08-22 15:21:49 +0200 Mike Gabriel (aaae5d574)

	* Merge branch 'Etersoft-fix-nxagent-window-title-encoding' into
          3.6.x

2018-07-26 02:51:00 +0300 Pavel Vaynerman (9a7c0b081)

	* nxagent: Used 'Xutf8SetVMPropertis' instead of
          'XSetStandardProperties' + 'Xutf8SetWMProperties'

2018-06-09 14:11:34 +0300 Pavel Vaynerman (643e13bf3)

	* fix window title encoding (use utf8) for nxagent

2018-08-21 18:50:16 +0200 Alan Coopersmith (489c17313)

	* Use min() [defined in include/misc.h] instead of MIN() [not defined
          in any Xorg header].

2018-07-18 02:17:44 +0200 Mihai Moldovan (1e1693929)

	* [PATCH] os: XDMCP options like -query etc. should imply -listen tcp

2018-07-07 08:04:51 +0200 Mihai Moldovan (992673157)

	* misc: fix more regressions and whitespace weirdness introduced in
          913fcf1a74426725f14380dd5b34286a21c37ab7.

2018-07-03 22:38:26 +0200 Mike Gabriel (15f69488d)

	* nx-X11/lib/include/xtrans/Xtrans.c: Regression fix for 913fcf1a.

2018-06-19 23:40:33 +0200 Ulrich Sibiller (7bb238065)

	* XKB.h: Use the correct value for XkbAllAccessXEventsMask

2018-07-03 16:41:02 +0200 Mike Gabriel (5a8549c6e)

	* Merge branch 'mjtrangoni-WIP-add-cppcheck' into 3.6.x

2018-06-10 18:22:45 +0200 Mario Trangoni (5651680bb)

	* travis.yml: refactor some config options, add gcc-8 and clang-6.0.

2018-03-25 16:13:10 +0200 Mario Trangoni (913fcf1a7)

	* Fix some memory leaks.

2018-03-11 19:22:22 +0100 Mario Trangoni (c58cbc26c)

	* travis.yml: Add cppcheck - A tool for static C/C++ code analysis.

2018-07-03 16:35:41 +0200 Mike Gabriel (fd9de0086)

	* Merge branch 'uli42-pr/fix_xfont2' into 3.6.x

2018-06-19 22:05:18 +0200 Ulrich Sibiller (416f8c411)

	* Makefile: pass down Xfont2 define for Imake

2018-07-03 16:32:11 +0200 Mike Gabriel (c86a119da)

	* Merge branch 'uli42-gh-sunweaver/pr/xserver-xkb-cleanup' into 3.6.x

2017-02-16 21:33:18 +0000 Mike Gabriel (b82a6a107)

	* debian/nxagent.*: Drop conffile /etc/nxagent/nxagent.keyboard. Not
          shipped upstream anymore.

2017-02-16 21:32:45 +0000 Mike Gabriel (70a74a5c5)

	* nx-libs.spec: Drop reference to obsolete nxagent.keyboard file.

2017-02-16 21:32:28 +0000 Mike Gabriel (3872cd143)

	* etc/nxagent.keyboard: Drop file. Not required anymore.

2017-02-16 21:04:53 +0000 Mike Gabriel (6eb77137e)

	* Xserver/xkb: Remove XkbCF DDX configuration code.

2017-02-16 20:18:42 +0000 Mike Gabriel (e734ca217)

	* Removal of dead code in Xserver/xkb. Follow-up commit for 3739a9b.

2017-02-16 20:53:04 +0000 Daniel Stone (ec0cfcecf)

	* Xserver/xkb: Remove -xkbmap argument.

2017-02-16 21:16:50 +0000 Mike Gabriel (cc27ebb25)

	* hw/nxagent/Keyboard.c: Drop support for loading XKB config from
          file.

2018-07-03 16:25:31 +0200 Mike Gabriel (b1e4d6e84)

	* Merge branch 'uli42-pr/more_debug' into 3.6.x

2018-06-19 19:54:01 +0200 Ulrich Sibiller (f2d3eac89)

	* Atoms.c: more debugging output

2018-07-03 16:20:55 +0200 Mike Gabriel (ce83b566a)

	* Merge branch 'uli42-pr/misc' into 3.6.x

2018-07-03 16:19:21 +0200 Mike Gabriel (b394eac8f)

	* dixfonts.c: use calloc for LFclosurePtr

2018-07-03 16:17:56 +0200 Mike Gabriel (59e46dc54)

	* dix/dixfonts.c: free() can handle NULL

2018-06-21 23:30:34 +0200 Ulrich Sibiller (a2008b28e)

	* NXdixfonts.c: free() can handle NULL

2018-06-21 23:18:36 +0200 Ulrich Sibiller (e0291f30d)

	* NXdixfonts.c: use calloc for LFclosurePtr

2018-06-21 23:14:41 +0200 Ulrich Sibiller (cfcaa442d)

	* xkb/xkb.c: init all reply structs

2018-06-21 23:05:05 +0200 Ulrich Sibiller (e5975a70e)

	* os/io.c: fix unitialised bytes

2018-06-21 22:08:08 +0200 Ulrich Sibiller (389e3a445)

	* ProcGetPointerMapping uses rep.nElts before it is initialized

2018-06-21 21:46:52 +0200 Ulrich Sibiller (1e3db85a0)

	* Fix some valgrind findings

2018-06-21 22:16:58 +0200 Ulrich Sibiller (7a627e644)

	* Some small Keyboard.c improvements

2018-07-03 16:04:16 +0200 Mike Gabriel (983495123)

	* Merge branch 'sunweaver-pr/idletime-counter' into 3.6.x

2018-07-03 14:50:32 +0200 Mike Gabriel (222153af4)

	* Don't reset the lastDeviceEventTime when doing DPMS actions

2018-07-03 14:48:43 +0200 Richard Hughes (7401a6691)

	* Do not reset lastDeviceEventTime when we do dixSaveScreens

2018-07-03 14:43:26 +0200 Mike Gabriel (14f734873)

	* Backport IDLETIME system counter to nx-X11 Xserver.

2018-06-17 01:41:37 +0200 Mihai Moldovan (72f11ee83)

	* nx-X11/Makefile: pass down $(MFLAGS) to imake call, because... we
          probably want that. Likely.

2018-06-17 01:32:58 +0200 Mihai Moldovan (da51a3694)

	* nx-libs.spec: disable parallel builds, was pure luck that it worked
          before.

2018-06-17 01:05:05 +0200 Mihai Moldovan (942ae190e)

	* debian/rules: more Jessie unbreaking, also for
          dh_auto_{build,install}.

2018-06-16 16:59:00 +0200 Mihai Moldovan (8f73bf7cb)

	* debian/rules: unbreak Jessie: dh_auto_clean doesn't gracefully
          discard unknown --no-parallel flag.

2018-06-06 10:22:15 +0200 Mike Gabriel (742957393)

	* Merge branch 'uli42-pr/fix_missing_include' into 3.6.x

2018-06-05 22:26:51 +0200 Ulrich Sibiller (70ac10c8c)

	* Clipboard.c: add missing include

2018-05-24 11:15:38 +0200 Mike Gabriel (7ec73ef21)

	* Merge branch 'uli42-pr/xinerama_without_wm' into 3.6.x

2018-05-17 23:13:38 +0200 Ulrich Sibiller (3f6d8f3e8)

	* Update Xinerama on XMapEvent

2018-05-24 09:43:11 +0200 Mike Gabriel (c0f67abb4)

	* Merge branch 'uli42-pr/cleanup_window_hints' into 3.6.x

2018-05-05 20:14:04 +0200 Ulrich Sibiller (9138a9e3b)

	* whitespace fixes

2018-05-05 20:13:20 +0200 Ulrich Sibiller (016759198)

	* Screen.c: simplify setting of window name/class

2018-05-04 22:29:55 +0200 Ulrich Sibiller (f9bae7554)

	* Events.c: catch intermediate window position changes

2018-04-11 00:39:40 +0200 Ulrich Sibiller (00c1f05ef)

	* nxagent: remove mmwidth/mmheight from nxagentChangeScreenConfig

2018-04-11 00:28:04 +0200 Ulrich Sibiller (845ae6eab)

	* Screen.c/Events.c: fix some comments

2018-04-11 00:10:20 +0200 Ulrich Sibiller (82dc00539)

	* nxagent: use XAllocSizeHints() instead of XSizeHints struct

2018-04-10 23:34:14 +0200 Ulrich Sibiller (82c4c28ea)

	* Screen.c/Events.c: add some FIXMEs

2018-04-10 23:32:57 +0200 Ulrich Sibiller (9937fbdf5)

	* Screen.c: replace XSetWMNormalHints code block by already existing
          function

2018-05-24 09:41:27 +0200 Mike Gabriel (985bed954)

	* debian/rules: Typo fix in dh_auto_build --no-parallel option.

2018-05-24 09:05:55 +0200 Mike Gabriel (7cb00355c)

	* debian/rules: Highly enforce --no-parallel mode while Xserver is
          still on imake. Can be re-parallelized after autotools
          conversion.

2018-05-24 09:04:43 +0200 Mike Gabriel (11b534ab0)

	* Merge branch 'uli42-pr/codespell' into 3.6.x

2018-04-10 21:27:00 +0200 Ulrich Sibiller (cce975654)

	* config/cf: fix spelling errors as reported by codespell

2018-04-10 21:15:50 +0200 Ulrich Sibiller (e91406e9b)

	* nxproxy: fix spelling errors as reported by codespell

2018-04-10 21:12:44 +0200 Ulrich Sibiller (781b8a057)

	* compext: fix spelling errors as reported by codespell

2018-04-10 21:12:19 +0200 Ulrich Sibiller (d5da7e76f)

	* manpage: fix spelling error as reported by codespell

2018-04-10 21:11:57 +0200 Ulrich Sibiller (170416d26)

	* hw/nxagent: fix spelling errors as reported by codespell

2018-04-10 21:06:01 +0200 Ulrich Sibiller (94f7ce7d1)

	* nxcompshad: fix spelling errors as reported by codespell

2018-04-10 21:05:29 +0200 Ulrich Sibiller (a32554dbf)

	* nxcomp: fix spelling errors as reported by codespell

2018-04-30 23:40:56 +0200 Mihai Moldovan (997f2bbd2)

	* nx-libs.spec: we never used gpg-offline, drop it.

2018-04-25 21:40:25 +0200 Mike Gabriel (01dbfdecc)

	* debian/rules: Run dh_auto_clean with --no-parallel.

2018-04-25 21:34:46 +0200 Mike Gabriel (90156e3e8)

	* Makefile: Run BuildIncludes and clean target in nx-X11/ with -j1.

2018-04-25 21:31:32 +0200 Mike Gabriel (3d8818f60)

	* Revert "debian/rules: Avoid dh_auto_build. It adds -Oline since
          11.2 which let's make choke in nx-X11/ subdir on the
          Makefiles target. Reason unknown."

2018-04-25 21:31:21 +0200 Mike Gabriel (b81759286)

	* Revert "debian/rules: Typo fix (NUMJOBS, not NUM_JOBS)."

2018-04-25 21:14:33 +0200 Mike Gabriel (0fc50407e)

	* Makefile: Enforce -j1 for BuildDependsOnly target.

2018-04-25 20:06:55 +0200 Mike Gabriel (190e3df41)

	* debian/rules: Typo fix (NUMJOBS, not NUM_JOBS).

2018-04-25 18:41:25 +0200 Mike Gabriel (f944a0da6)

	* debian/rules: Drop override_dh_clean. Makefile (et al.) removal in
          nx-X11/ has now been moved to the distclean target.

2018-04-25 18:40:55 +0200 Mike Gabriel (94d77e27a)

	* debian/rules: Avoid dh_auto_build. It adds -Oline since 11.2 which
          let's make choke in nx-X11/ subdir on the Makefiles
          target. Reason unknown.

2018-04-25 18:37:39 +0200 Mike Gabriel (da4770474)

	* Makefile targets: Rewriting and consolidating the target structure
          for nx-X11/ subdir (except nx-X11/lib/).

2018-04-20 09:03:05 +0200 Mike Gabriel (13bf7c037)

	* Makefile: Don't do a parallel clean-up of nx-X11. We have seen
          failures and due to the upcoming switch to autotools, it
          is pointless to dive into fixing it in the Imakefile
          stack.

2018-03-16 23:52:03 +0100 Mike Gabriel (28c14accd)

	* release 3.5.99.16 (tag: 3.5.99.16)

2018-03-15 21:30:43 +0100 Mike Gabriel (3b05d0de6)

	* Merge branch 'Ionic-feature/use-libtirpc' into 3.6.x

2018-03-15 12:46:12 +0100 Mihai Moldovan (2e1e9158e)

	* nx-libs.spec: stop needlessly exporting variables that we pass down
          directly anyway.

2018-03-09 09:11:06 +0100 Mihai Moldovan (9b1d00d30)

	* nx-libs.spec: force usage of libtirpc on Fedora > 27 and OpenSuSE
          Tumbleweed+ (soon to be Leap 15).

2018-03-09 09:09:05 +0100 Mihai Moldovan (0cd1392de)

	* nx-X11/config/cf/README: document new UseTIRPC macro.

2018-03-09 09:08:35 +0100 Mihai Moldovan (25cc6fce5)

	* nx-X11/programs/Xserver/{,os/}Imakefile: implement libtirpc forcing
          via UseTIRPC.

2018-03-09 09:06:11 +0100 Mihai Moldovan (090d4d19b)

	* nx-X11/config/cf/Imake.tmpl: implement new UseTIRPC macro,
          defaulting to NO.

2018-03-15 12:18:21 +0100 Mihai Moldovan (daebc8b6a)

	* nx-X11/programs/Xserver/Imakefile: move $(PIXMANLIB) to
          NXAGENTSYSLIBS, since libXcompext doesn't actually need
          it.

2018-03-09 09:07:15 +0100 Mihai Moldovan (32dac66c6)

	* nx-X11/programs/Xserver/Imakefile: use printf with no trailing
          newline instead of echo for variable value.

2018-03-15 12:15:27 +0100 Mihai Moldovan (7a901039c)

	* Makefile: pass down IMAKE_DEFINES to nx-X11/programs/Xserver build
          system.

2018-03-10 02:04:25 +0100 Mihai Moldovan (63a359313)

	* nx-X11/programs/Xserver/Imakefile: drop system libraries out of
          target list for nxagent regeneration.

2018-03-09 09:04:32 +0100 Mihai Moldovan (a47a73872)

	* nx-libs.spec: sync removed files with debian/rules.

2018-03-15 08:45:54 +0100 Mihai Moldovan (15e955545)

	* nx-X11/programs/Xserver/hw/nxagent/Screen.c: do not try to set a
          NULL mode if the output was disconnected before.

2018-03-15 08:45:00 +0100 Mihai Moldovan (6f8cdebc6)

	* nx-X11/programs/Xserver/hw/nxagent/Screen.c: initialize pointers to
          NULL to avoid referencing random data.

2018-03-07 23:46:48 +0100 Mike Gabriel (63e113de9)

	* release 3.5.99.15 (tag: 3.5.99.15)

2018-03-07 21:55:36 +0100 Mihai Moldovan (18630e5dd)

	* Merge branch
          'sunweaver-pr/saver-unvalidated-lengths-ProcScreenSaverUnsetAttributes'
          into 3.6.x

2018-03-05 11:01:49 +0100 Nathan Kidd (7017c22c2)

	* Xserver/Xext/saver.c Unvalidated lengths (X.org CVE-2017-12185).

2018-03-07 21:35:51 +0100 Mihai Moldovan (f3231601b)

	* nxcompshad/configure.ac: blindly copy-pasting might not be the
          smartest idea; it's *COMPSHAD* here.

2018-03-07 21:15:18 +0100 Ulrich Sibiller (570d3fea4)

	* Merge branch 'sunweaver-pr/xinerama-bbox-corner-cases' into 3.6.x

2018-03-05 15:34:52 +0100 Mike Gabriel (4b7b214a7)

	* Xserver/hw/nxagent/Screen.c: Drop commented out code. Functionality
          now implemented in intersect_bb() function.

2018-03-02 14:01:29 +0100 Mike Gabriel (9117a5bf0)

	* hw/nxagent/Screen.c: Cover Xinerama bounding box corner cases.

2018-03-07 19:00:39 +0100 Mihai Moldovan (3352cfaba)

	* nxcomp{,shad}/configure.ac: replace versionating non-portable sed
          construct with hopefully more portable awk construct.

2018-03-07 02:01:39 +0100 Mihai Moldovan (76e7d26b8)

	* nx-X11/programs/Xserver/hw/nxagent/Init.c: disable DPMS support
          within nxagent.

2018-03-06 12:55:22 +0100 Mihai Moldovan (adb582abd)

	* Makefile: we don't need $(BINDIR)/bin.

2018-03-02 05:51:17 +0100 Mihai Moldovan (ed9512ed1)

	* nxcomp{,shad}/configure.ac: pass more portable -E option to sed
          instead of -r.

2018-03-01 21:46:32 +0100 Mike Gabriel (ae40bb9c4)

	* Merge branch 'mjtrangoni-WIP-travis' into 3.6.x

2018-01-09 20:03:17 +0100 Mario Trangoni (66ef3e46f)

	* README.md: Add travis badge

2018-01-01 17:51:31 +0100 Mario Trangoni (ffadec783)

	* Fix clang error: ordered comparison between pointer and zero ("char
          *" and "int")

2018-01-01 17:19:33 +0100 Mario Trangoni (d14d5838b)

	* Fix clang error: comparison of array authCookie not equal to a null
          pointer is always true

2017-12-31 17:00:43 +0100 Mario Trangoni (e1ad1d473)

	* Add travis yaml configuration file

2018-03-01 08:31:23 +0100 Simon Matter (a5a0a5c29)

	* hw/nxagent/Screen.c: Settle down with 96 DPI as the default
          resolution, if nothing better can be detected.

2018-02-28 10:53:45 +0100 Mike Gabriel (153be794d)

	* release 3.5.99.14 (tag: 3.5.99.14)

2018-02-28 01:03:53 +0100 Mihai Moldovan (5c4777b2d)

	* Merge branch 'uli42-pr/fix_autodpi_in_usage' into 3.6.x

2018-02-27 23:00:08 +0100 Ulrich Sibiller (809206d0c)

	* os: hide ttyxx option

2018-02-27 22:56:12 +0100 Ulrich Sibiller (9822e9703)

	* nxagent: rearrange nx options in usage

2018-02-28 00:55:13 +0100 Mihai Moldovan (1918bcb9c)

	* Merge branch 'uli42-pr/update_xkb' into 3.6.x

2018-02-28 00:52:10 +0100 Ulrich Sibiller (00e3e95e5)

	* Lift xkb to xorg-xserver-7.1/1.1.0 state - non-functional changes
          only

2017-11-05 02:02:58 +0100 Ulrich Sibiller (9e6f87e20)

	* Lift xkb to xorg-xserver-7.1/1.1.0 state

2018-02-27 09:42:09 +0100 Mike Gabriel (a6cb8583a)

	* Revert "nx-libs.spec: Starting with Fedora 28 / RHEL 8, SunRPC
          support is being split out into a separate libraries
          (libtirpc)."

2018-02-27 09:37:58 +0100 Mike Gabriel (9f93e96ec)

	* nx-libs.spec: Starting with Fedora 28 / RHEL 8, SunRPC support is
          being split out into a separate libraries (libtirpc).

2018-02-27 09:33:19 +0100 Mihai Moldovan (6d4049640)

	* Merge branch 'sunweaver-pr/autodetect-dpi' into 3.6.x

2018-02-21 22:21:15 +0100 Mike Gabriel (29c166dbe)

	* nxagent: Also provide auto DPI feature via nx/nx option 'autodpi',
          taking only effect on session startups.

2017-10-09 11:36:23 +0200 Simon Matter (9dd2830e0)

	* nxagent: Auto-detect client-side DPI at session startup.

2018-02-27 07:47:49 +0100 Mike Gabriel (a88ca2717)

	* nxcomp/src/Loop.cpp: Harmonize log output. Uniformly, embrace port
          values by single quotes.

2018-02-27 07:48:18 +0100 Mihai Moldovan (0ef6b0d59)

	*
          {nx-X11/programs/Xserver/hw/nxagent/man/nxagent.1,nxproxy/man/nxproxy.1}:
          magicpixel takes a boolean argument for now.

2018-02-27 07:39:57 +0100 Mihai Moldovan (842bb0f45)

	* nx-X11/programs/Xserver/hw/nxagent/man/nxagent.1: remove empty line
          on top of file.

2018-02-27 07:34:54 +0100 Mike Gabriel (ea17fd059)

	* nxcomp/src/Loop.cpp: Make know the agent option 'keyconv' to nxcomp
          and tolerate it as a valid option.

2018-02-27 05:11:06 +0100 Mihai Moldovan (f963593c7)

	* nx-X11/programs/Xserver/{include/globals.h,mi/miinitext.c}: remove
          DPSEXT left-overs.

2018-02-27 03:20:46 +0100 Mihai Moldovan (7a4aa75de)

	* Merge branch 'uli42-pr/update_os' into 3.6.x

2018-02-27 03:13:55 +0100 Ulrich Sibiller (41ff6b034)

	* Lift os to XORG-7_1 state - non-functional changes only

2017-11-05 13:26:04 +0100 Ulrich Sibiller (2d59daca2)

	* Lift os to XORG-7_1 state

2018-02-27 03:02:00 +0100 Mihai Moldovan (78724c486)

	* Remove unused X11R4 DDX compatibility function miClipNotify.

2018-02-27 02:56:01 +0100 Mihai Moldovan (3fffa5bd8)

	* Merge branch 'uli42-pr/update_mi' into 3.6.x

2018-02-27 02:47:11 +0100 Ulrich Sibiller (7368b4540)

	* Lift mi to xorg-xserver-7.1/1.1.0 state - non-functional changes
          only

2017-11-05 21:25:49 +0100 Ulrich Sibiller (6b0a1738f)

	* Lift mi to xorg-xserver-7.1/1.1.0 state

2017-11-05 13:45:31 +0100 Ulrich Sibiller (23dd2959b)

	* Lift miext to xorg-xserver-7.1/1.1.10 state

2018-02-27 02:14:07 +0100 Mihai Moldovan (eaae96101)

	* Merge branch 'uli42-pr/update_record' into 3.6.x

2017-11-05 23:24:55 +0100 Ulrich Sibiller (e5833a6a1)

	* Lift record to xorg-server-1.4.2 state

2018-02-27 01:47:50 +0100 Ulrich Sibiller (39a56dea4)

	* Lift record to xorg-server-1.2.0/xorg-server-1.3.0.0 state -
          non-functional changes only

2017-11-05 23:15:07 +0100 Ulrich Sibiller (1c7abb05b)

	* Lift record to xorg-server-1.2.0/xorg-server-1.3.0.0 state

2018-02-27 01:38:29 +0100 Ulrich Sibiller (0b6259900)

	* Lift record to xorg-xserver-7.1/1.1.0 state - non-functional
          changes only

2017-11-05 12:39:05 +0100 Ulrich Sibiller (db836fd78)

	* Lift record to xorg-xserver-7.1/1.1.0 state

2018-02-27 01:07:02 +0100 Mihai Moldovan (92d806399)

	* Merge branch 'sunweaver-pr/version-cmdline-option' into 3.6.x

2018-02-26 12:50:12 +0100 Mike Gabriel (0371276fb)

	* hw/nxagent/: Stop using non-portable '__progname', set up our own
          'nxagentProgName' instead and pass it around where needed.

2018-02-26 12:22:15 +0100 Mike Gabriel (99fb9817f)

	* hw/nxagent/: Use <function>(void) rather than <function>().

2018-02-21 23:46:55 +0100 Simon Matter (deeac7e0f)

	* nxagent/Args.c: Mention new -options cmdline parameter in usage
          info.

2018-02-21 23:49:55 +0100 Simon Matter (eded33173)

	* nxagent: Print correct application in usage message.

2018-02-21 23:39:23 +0100 Simon Matter (7c32938ac)

	* nxagent: Add -version cmdline option.

2018-02-26 07:46:22 +0100 Mihai Moldovan (751760421)

	* nx-libs.spec: also package extensions/shapeconst.h in RPM packages.

2018-02-26 06:17:08 +0100 Mihai Moldovan (711fd2447)

	* Merge branch 'uli42-pr/update_dbe' into 3.6.x

2018-01-22 22:44:54 +0100 Ulrich Sibiller (f1f2a360f)

	* dbe: add NXAGENT_SERVER guard for DixLookup

2018-02-26 06:15:49 +0100 Ulrich Sibiller (d364ea933)

	* Lift dbe to xorg-xserver-1.4.2 state - non-functional changes only

2018-01-22 22:26:59 +0100 Ulrich Sibiller (95b5cf795)

	* Lift dbe to xorg-xserver-1.4.2 state

2018-02-26 06:11:56 +0100 Ulrich Sibiller (4c5e9a295)

	* Lift dbe to xorg-xserver-7.1/1.1.0 state - non-functional changes
          only

2017-11-05 22:00:44 +0100 Ulrich Sibiller (c529873d9)

	* Lift dbe to xorg-xserver-7.1/1.1.0 state

2018-02-26 05:18:12 +0100 Mihai Moldovan (3d8f8d7ab)

	* debian/nx-x11proto-xext-dev.install: install new file
          extensions/shapeconst.h.

2018-02-26 05:12:20 +0100 Mihai Moldovan (a9787fc2e)

	* Merge branch 'uli42-pr/update_dix' into 3.6.x

2018-02-03 00:19:29 +0100 Ulrich Sibiller (6dcfcbabe)

	* Transfer previous dix changes into hw/nxagent

2018-02-26 05:03:53 +0100 Ulrich Sibiller (1b54f6462)

	* Lift dix to xorg-xserver-1.3.0.0 state - non-functional changes
          only

2018-01-23 00:47:38 +0100 Ulrich Sibiller (485d62676)

	* Lift dix to xorg-xserver-1.3.0.0 state

2018-02-26 04:56:21 +0100 Ulrich Sibiller (2853ab292)

	* Lift dix to xorg-xserver-7.1/1.1.0 state - non-functional changes
          only

2017-11-04 23:51:30 +0100 Ulrich Sibiller (50a337940)

	* Lift dix to xorg-xserver-7.1/1.1.0 state

2018-02-26 03:00:24 +0100 Mihai Moldovan (b40dec982)

	* Merge branch 'uli42-pr/update_xfixes' into 3.6.x

2018-02-26 02:56:58 +0100 Ulrich Sibiller (35d166b80)

	* Lift XFIXES to xorg-xserver-1.4.2 state - non-functional changes
          only

2017-11-05 23:59:22 +0100 Ulrich Sibiller (d59e8d7f4)

	* Lift XFIXES to xorg-xserver-1.4.2 state

2018-02-26 02:44:10 +0100 Ulrich Sibiller (5706005f7)

	* Lift XFIXES to xorg-xserver-7.1/1.1.0 state (XFIXES 4.0) -
          non-functional changes only

2017-10-31 01:54:47 +0100 Ulrich Sibiller (a667131e2)

	* Lift XFIXES to xorg-xserver-7.1/1.1.0 state (XFIXES 4.0)

2018-02-26 01:09:05 +0100 Mihai Moldovan (164263e1a)

	* Merge branch 'sunweaver-pr/nomagicpixel' into 3.6.x

2018-02-21 10:39:46 +0100 Mike Gabriel (8d00456ad)

	* nxagent: Add support for optionally enabling/disabling the magic
          pixel feature.

2018-02-26 01:00:54 +0100 Mihai Moldovan (05152b788)

	* Merge branch 'uli42-pr/update_xi' into arctica-3.6.x

2018-02-15 21:56:52 +0100 Ulrich Sibiller (4598c0c3d)

	* Xi: change () prototypes to (void)

2018-02-15 21:42:51 +0100 Ulrich Sibiller (ebe1c2f22)

	* Xi/getbmap.c: remove unnecessary cast

2018-02-15 21:41:19 +0100 Ulrich Sibiller (8e188629f)

	* Xi: small formatting changes to match Xorg 7.1's Xi

2018-02-15 21:25:27 +0100 Ulrich Sibiller (b0abdf7bd)

	* Xi: reformat

2018-02-15 15:14:14 +0100 Ulrich Sibiller (7aca428ff)

	* Xi: ansify function prototypes

2018-02-11 22:01:11 +0100 Ulrich Sibiller (41a0ba729)

	* Xi: reformat code, ansify

2018-02-08 23:44:10 +0100 Ulrich Sibiller (5bfafee50)

	* Xi: Adapt include sections to match Xorg 7.1

2018-02-25 19:47:00 +0100 Mike Gabriel (e247900ed)

	* debian/control: Don't B-D on build-essential packages.

2018-02-25 19:46:08 +0100 Mike Gabriel (b18477eb4)

	* debian/copyright: Update copyright attributions.

2018-02-25 19:45:01 +0100 Mike Gabriel (4b81b8b38)

	* debian/watch: Drop file. Not really useful in native /
          upstream-provided package.

2018-02-25 19:44:34 +0100 Mike Gabriel (7986787c1)

	* debian/control: Bump Standards-Version: to 4.1.3. No changes
          needed.

2018-02-25 19:36:21 +0100 Mike Gabriel (e8552b7bb)

	* nxcompshad: Regression fix for 990e61cc. Add missing $(NULL) in 'if
          TARGET_ELF' clause.

2018-02-25 15:03:52 +0100 Mike Gabriel (a653aed4c)

	* Merge branch 'Ionic-bugfix/FTBFS-non-ELF' into 3.6.x

2018-02-25 04:35:07 +0100 Mihai Moldovan (06c14b831)

	* nxproxy/{configure.ac,src/Makefile.am}: only enable new ELF dtags
          if target system actually is ELF-based.

2018-02-25 04:33:52 +0100 Mihai Moldovan (990e61cc8)

	* nxcompshad/{configure.ac,src/Makefile.am}: only enable new ELF
          dtags if target system actually is ELF-based.

2018-02-25 04:32:15 +0100 Mihai Moldovan (be1ae7087)

	* m4/nx-macros.m4: add NX_TARGET_USE_ELF macro, setting TARGET_ELF
          automake conditional if target compiler is generating ELF
          binaries.

2018-02-25 04:29:52 +0100 Mihai Moldovan (dd1ae1769)

	* nxcomp{,shad}/configure.ac: trailing whitespace removal only.

2018-02-09 03:41:22 +0100 Mihai Moldovan (7af47b583)

	* Revert "NXhsm.c: add missing code"

2018-02-08 20:40:32 +0100 Mihai Moldovan (f76d4b541)

	* nx-X11/config/cf/{Imake.{cf,tmpl},{linux,xorg}.cf}: support ppc64le
          alongside ppc64(be).

2018-02-07 23:19:33 +0100 Mihai Moldovan (aecdb5266)

	* Merge branch 'uli42-pr/update_xext' into 3.6.x

2017-10-21 02:54:33 +0200 Ulrich Sibiller (5ec2366c4)

	* Xext: lift xvmain.c to xorg-xserver-7.1/1.1 state

2017-10-21 02:47:07 +0200 Ulrich Sibiller (8ebb5d23c)

	* Xext: lift xres.c to xorg-xserver-7.1/1.1 state

2017-10-21 02:43:20 +0200 Ulrich Sibiller (e85c6885e)

	* Xext: lift sync.c to xorg-xserver-7.1/1.1 state

2017-10-21 02:42:58 +0200 Ulrich Sibiller (62373d428)

	* Xext: lift sleeputil.c to xorg-xserver-7.1/1.1 state

2017-10-21 02:12:01 +0200 Ulrich Sibiller (d9c3a7249)

	* Xext: lift panoramiX to xorg-xserver-7.1/1.1 state

2017-10-21 02:04:30 +0200 Ulrich Sibiller (31900d41a)

	* Xext: lift DPMS extension to xorg-xserver-7.1/1.1 state

2017-10-21 01:47:40 +0200 Ulrich Sibiller (4ab18725c)

	* Xext: lift screensaver extension to XORG-7_1 state

2018-02-07 22:29:41 +0100 Mihai Moldovan (cbdae3b71)

	* nx-libs.spec: delete useless cond_noarch macro that has never been
          used.

2018-02-07 22:28:02 +0100 Mihai Moldovan (6449b5548)

	* nx-libs.spec: build-depend on libtirpc-devel for rpc/rpc.h and
          friends on Fedora 28+.

2018-02-07 22:21:35 +0100 Mihai Moldovan (88efaf8af)

	* nx-libs.spec: only apply ppc64le workaround when compiled against
          RHEL/EPEL 7.

2018-02-05 14:07:27 +0100 Mike Gabriel (a110b0c45)

	* Merge branch 'uli42-pr/update_fb' into 3.6.x

2017-11-05 21:41:08 +0100 Ulrich Sibiller (f7207bcdc)

	* Lift fb to xorg-xserver-7.1/1.1 state

2018-02-05 13:02:30 +0100 Mike Gabriel (b1c42dc98)

	* Merge branch 'uli42-pr/some_cleanups' into 3.6.x

2018-01-05 01:51:02 +0100 Ulrich Sibiller (7db6cff1c)

	* Window.c: fix TEST/DEBUG output

2018-01-05 01:45:15 +0100 Ulrich Sibiller (ffc363c54)

	* Split.c: make nxagentWaitDrawable TEST messages look like all the
          others

2018-01-05 01:44:58 +0100 Ulrich Sibiller (e3d749f68)

	* Split.c: Fix wrong function names in TEST output

2018-01-05 01:41:52 +0100 Ulrich Sibiller (0a2a9da33)

	* Splash.c: Fix wrong function names in TEST/DEBUG output

2018-01-05 01:39:00 +0100 Ulrich Sibiller (0e54be636)

	* Screen.c: Fix wrong function names in TEST output

2018-01-05 01:36:12 +0100 Ulrich Sibiller (1930f184c)

	* Rootless.c: Fix wrong function name in WARNING output

2018-01-05 01:34:11 +0100 Ulrich Sibiller (f511fba34)

	* Reconnect.c: Fix wrong function names in TEST output

2018-01-05 01:31:44 +0100 Ulrich Sibiller (87afc32f9)

	* Pixmap.c: Fix wrong function names in TEST/WARNING output

2018-01-05 01:19:40 +0100 Ulrich Sibiller (1c020ea9c)

	* Events.c: change scope of XButtonEvent struct and clear it before
          use

2018-01-05 01:19:26 +0100 Ulrich Sibiller (1997c04ab)

	* Events.c: Fix wrong function name in TEST output

2018-01-05 01:08:18 +0100 Ulrich Sibiller (5cee71a3c)

	* Dialog.c: Fix wrong function names in TEST output

2018-01-05 01:05:44 +0100 Ulrich Sibiller (61e4d2949)

	* Composite.c: Fix wrong function names in TEST output

2018-01-05 00:50:29 +0100 Ulrich Sibiller (876063ce1)

	* Client.c: Fix wrong function names in DEBUG/WARNING output

2018-01-05 00:47:32 +0100 Ulrich Sibiller (9e22a10a5)

	* NXdispatch.c: add FIXME

2018-01-05 00:47:11 +0100 Ulrich Sibiller (acbc9cd31)

	* NXdispatch.c: fix wrong indentation

2018-01-05 00:46:34 +0100 Ulrich Sibiller (99b114370)

	* Handlers.c: Fix wrong function names in TEST output

2018-02-05 12:14:39 +0100 Mike Gabriel (995350d14)

	* Merge branch 'uli42-pr/shm_missing_code' into 3.6.x

2018-02-02 22:39:06 +0100 Ulrich Sibiller (9fb582f42)

	* NXhsm.c: drop setting of sequence number

2018-02-02 22:40:23 +0100 Ulrich Sibiller (c804d99f2)

	* NXhsm.c: add missing code

2018-01-28 21:36:03 +0100 Helmut Grohne (ef0a3d636)

	* debian/rules: Fix FTCBFS: (see Debian bug #875867) Fix build/host
          confusion in debian/rules. Pass --host to ./configure.

2018-01-20 14:03:28 +0100 Mike Gabriel (949b91c64)

	* nxcomp/src/Loop.cpp: Typo fix in error msg.

2018-01-16 15:19:42 +0100 Mike Gabriel (61265ff61)

	* release 3.5.99.13 (tag: 3.5.99.13)

2018-01-16 15:08:07 +0100 Mike Gabriel (9772277c6)

	* Merge branch
          'sunweaver-pr/keep-disabled-rrxinerama-disabled-on-reconnects'
          into 3.6.x

2018-01-16 14:52:43 +0100 Mike Gabriel (05dd84256)

	* hw/nxagent/Screen.c: Additionally check for noRRXineramaExtension
          set to FALSE before using the nxagentAdjustRandRXinerama()
          function and providing a Xinerama-like user experience.

2018-01-11 10:01:18 +0100 Mihai Moldovan (7c43682e8)

	* nx-X11/config/cf/{gnu,lnx}Lib.rules: add RPATH entries for
          temporary nxcomp and nxcompshad libraries.

2018-01-09 01:08:17 +0100 Mihai Moldovan (1086c4aa5)

	* Merge branch 'Ionic-bugfix/ctime' into 3.6.x

2017-12-30 09:30:03 +0100 Mihai Moldovan (2eb2f2e6c)

	* nxcomp/src/Timestamp.{cpp,h}: use ::ctime_s or ::ctime_r instead of
          plain ctime, on-stack buffers and return std::string
          objects.

2017-12-30 09:25:26 +0100 Mihai Moldovan (df8908b9d)

	* nxcomp/configure.ac: add check for ::ctime_s.

2018-01-08 23:43:28 +0100 Mihai Moldovan (70e1e6a01)

	* Merge branch 'uli42-pr/fix_xext_includes' into 3.6.x

2018-01-08 23:08:51 +0100 Ulrich Sibiller (f66820b57)

	* panoramiX: fix includes

2018-01-08 22:58:26 +0100 Mihai Moldovan (47ef330c5)

	* Merge branch 'uli42-pr/reenable_xc-misc' into 3.6.x

2018-01-08 22:25:35 +0100 Ulrich Sibiller (43456713b)

	* Re-enable XC-MISC extension

2018-01-07 01:29:13 +0100 Mihai Moldovan (5f9f744cd)

	* Merge branch 'uli42-pr/fix_strings' into 3.6.x

2018-01-03 22:28:43 +0100 Ulrich Sibiller (23c36c2d2)

	* Display.c: drop helper variable in loop

2018-01-03 02:34:10 +0100 Ulrich Sibiller (b89b80949)

	* Error.c: replace malloc+strcpy by strdup

2018-01-03 02:29:55 +0100 Ulrich Sibiller (27a31d0ce)

	* Events.c: add FIXME

2018-01-03 02:22:11 +0100 Ulrich Sibiller (11b2b067e)

	* Keyboard.c: rework string allocation/building

2018-01-03 01:55:32 +0100 Ulrich Sibiller (a0e985fb6)

	* Keystroke.c: replace calloc + 2 * strcpy by asprintf

2018-01-03 01:31:52 +0100 Ulrich Sibiller (185470072)

	* Font.c: replace malloc + strcpy by strdup + fix memleak

2018-01-03 01:17:59 +0100 Ulrich Sibiller (054ae8447)

	* Font.c: free possibly allocated mem

2018-01-03 01:11:34 +0100 Ulrich Sibiller (56fa23485)

	* Font.c: replace memcpy by sprintf preventing possible buffer
          overflows

2018-01-03 00:59:59 +0100 Ulrich Sibiller (cac1af52d)

	* Args.c: simplify nxagentGetDialogName()

2018-01-03 00:59:20 +0100 Ulrich Sibiller (74c21e9e2)

	* Args.c, Error.[ch]: introduce own length macro for
          nxagentClientsLogName

2018-01-03 00:32:14 +0100 Ulrich Sibiller (dc61b6cca)

	* Args.c: use strdup instead of malloc

2018-01-03 00:18:39 +0100 Ulrich Sibiller (96e430069)

	* Error.c: update nxagentPrintError

2018-01-03 00:06:39 +0100 Ulrich Sibiller (525e15168)

	* Error.c: replace strcpy/strcat by snprintf

2018-01-03 00:05:49 +0100 Ulrich Sibiller (7d87e5a0c)

	* Error.c: use standard file descriptor macros

2018-01-03 00:05:09 +0100 Ulrich Sibiller (654422a04)

	* Error.c: remove trailing whitespace

2018-01-02 23:53:14 +0100 Ulrich Sibiller (6c080c839)

	* Error.c: remove empty ifdef

2018-01-02 21:02:41 +0100 Ulrich Sibiller (a8a693817)

	* Font.c: pass down size

2018-01-02 19:24:49 +0100 Ulrich Sibiller (19a3918a7)

	* Display.c: pass down buffer size to nxagentLookForIconFile

2018-01-02 19:23:20 +0100 Ulrich Sibiller (ea1e0bea3)

	* Replace hardcoded string lengths by macros

2017-12-08 00:30:32 +0100 Ulrich Sibiller (9a6b90c31)

	* Font.c: make nxagentGetFontServerPath more readable

2017-12-08 00:19:50 +0100 Ulrich Sibiller (677da7fd3)

	* Screen.c: string handling improvements

2017-12-08 00:17:24 +0100 Ulrich Sibiller (9d5c83e2f)

	* Font.c: shorten string handling

2017-11-24 00:54:14 +0100 Ulrich Sibiller (2836c72f7)

	* Keyboard.c: replace malloc + strcpy by asprintf

2017-11-24 00:49:17 +0100 Ulrich Sibiller (08912ef30)

	* Keyboard.c: improve user messages for keyboard file handling

2017-11-24 00:48:42 +0100 Ulrich Sibiller (0e2c4df8e)

	* Keyboard.c: fix memory leak

2017-11-23 23:18:44 +0100 Ulrich Sibiller (3de6bc749)

	* Dialog.c: fix possible buffer overflows

2017-11-24 00:25:25 +0100 Ulrich Sibiller (4a345786c)

	* Dialog.c,Display.c,NXdixfonts.c: replace strncpy() by snprintf
          where appropriate

2017-11-23 21:25:26 +0100 Ulrich Sibiller (5987a7b1a)

	* Dialog.c,Display.c,Font.c,NXdixfonts.c: don't use hardcoded string
          buffer lengths

2018-01-05 23:21:52 +0100 Mihai Moldovan (3c8189971)

	* Merge branch 'Ionic-bugfix/rpath' into 3.6.x

2018-01-03 03:22:31 +0100 Mihai Moldovan (1c1431c0f)

	* nxproxy/src/Makefile.am: build library using RUNPATH instead of
          RPATH.

2018-01-03 03:18:12 +0100 Mihai Moldovan (d1897719a)

	* nxproxy/configure.ac: enable libtool support.

2018-01-03 03:17:10 +0100 Mihai Moldovan (4d481bf99)

	* nxproxy/configure.ac: drop --enable-cxx11.

2017-12-30 00:40:06 +0100 Mihai Moldovan (b91b13b37)

	* Makefile: only try to copy/dereference libNX* files when installing
          data.

2017-12-30 00:17:57 +0100 Mihai Moldovan (ecaa13ce6)

	* nx-X11: reintroduce creation of libX11 compat symlinks.

2017-12-29 22:35:58 +0100 Mihai Moldovan (3d17c665b)

	* Makefile: install relinked program binary instead of the
          "temporary" one.

2017-12-29 21:44:56 +0100 Mihai Moldovan (ffc09a73d)

	* nx-X11: build programs with a temporary RPATH/RUNPATH value and a
          relinked version with the system location.

2017-12-28 23:16:32 +0100 Mihai Moldovan (44f8c424e)

	* nxcompshad/src/Makefile.am: enable new ELF dtags to force RUNPATH
          creation for libXcompshad.

2017-12-28 23:12:50 +0100 Mihai Moldovan (4b153f5b0)

	* nx-X11/config/cf/{gnu,lnx}Lib.rules: enable new ELF dtags to force
          RUNPATH creation for nxagent.

2017-12-26 04:10:27 +0100 Mihai Moldovan (b13bf675a)

	* nxcompshad/src/Makefile.am: implement libX11 RPATH/RUNPATH
          override.

2017-12-26 04:06:40 +0100 Mihai Moldovan (26ab7b8a7)

	* nxagent: implement RPATH/RUNPATH override for libX11.

2017-12-30 03:31:20 +0100 Mihai Moldovan (e13e31f75)

	* Merge branch 'uli42-pr/fix_abstract' into 3.6.x

2017-12-29 14:25:53 +0100 Ulrich Sibiller (367bec595)

	* EncodeBuffer.cpp: add another VALGRIND guard

2017-12-28 11:19:44 +0100 Ulrich Sibiller (6e98e35cf)

	* nxcomp: drop strncpy in favour of snprintf

2017-12-27 21:13:39 +0100 Ulrich Sibiller (9e8bd2e1b)

	* Loop.cpp: fix memleak happening with unknown tcp host

2017-12-27 19:16:15 +0100 Ulrich Sibiller (ce293647d)

	* ChannelEndPoint.cpp: fix possible memleak in getUnixPath()

2017-12-27 19:15:23 +0100 Ulrich Sibiller (17d045826)

	* ChannelEndPoint.cpp: remove unneccessary code

2017-12-27 17:06:43 +0100 Ulrich Sibiller (eae64c4a4)

	* ChannelEndPoint.cpp: fix another memleak

2017-12-27 15:23:33 +0100 Ulrich Sibiller (96879dc69)

	* EncodeBuffer.cpp: add VALGRIND guard

2017-12-27 14:53:58 +0100 Ulrich Sibiller (6198e0376)

	* nxcomp: implement correct length handling for unix socket structs

2017-12-27 14:43:50 +0100 Ulrich Sibiller (2367fc714)

	* Loop.cpp: drop ugly ifdef indentation

2017-12-27 14:43:22 +0100 Ulrich Sibiller (6d8fe661e)

	* Loop.cpp: create xServerAddrUNIX only if required

2017-12-27 13:16:35 +0100 Ulrich Sibiller (14a558918)

	* Loop.cpp: improve/fix usage of s(n)printf

2017-12-27 13:09:25 +0100 Ulrich Sibiller (3066195d7)

	* Loop.cpp: some reformatting/simplification/FIXMEs

2017-12-27 12:54:30 +0100 Ulrich Sibiller (c31c54c1b)

	* Loop.cpp: delete passed object prior to overwriting it

2017-12-27 12:18:28 +0100 Ulrich Sibiller (c48748ba0)

	* ChannelEndPoint.cpp: re-scope/improve getSpec

2017-12-27 12:15:47 +0100 Ulrich Sibiller (f1905c864)

	* Loop.cpp: delete structs when no longer required

2017-12-27 12:14:38 +0100 Ulrich Sibiller (b593edeb2)

	* Loop.cpp: always close testSocketFD

2017-12-27 12:13:43 +0100 Ulrich Sibiller (4107159e2)

	* Loop.cpp: free display before leaving SetupDisplaySocket()

2017-12-27 12:12:20 +0100 Ulrich Sibiller (604e09686)

	* Loop.cpp: Fix memset (size was 0)

2017-12-28 19:32:22 +0100 Mihai Moldovan (2d44051aa)

	* Merge branch 'uli42-pr/silence_nxcompshad_warnings' into 3.6.x

2017-12-27 23:54:34 +0100 Ulrich Sibiller (2cade632b)

	* nxcompshad: silence GCC warnings

2017-12-28 00:18:58 +0100 Mihai Moldovan (061c35772)

	* Merge branch 'uli42-pr/reduce_uninitialised' into 3.6.x

2017-12-10 23:57:35 +0100 Ulrich Sibiller (6acbfab33)

	* reduce usage of uninitialised bytes

2017-12-27 22:09:29 +0100 Mihai Moldovan (bc5f9a236)

	* nxcomp/src/Log.h: take a reference-type in generic has_newline()
          function.

2017-12-27 20:12:26 +0100 Mihai Moldovan (8036f6914)

	* nxcomp/src/Log.cpp: don't confuse users with useless warning
          messages in case that a log line append operation was
          requested, but the message level has lower precedence than
          the current log filter.

2017-12-27 19:49:25 +0100 Mihai Moldovan (56dbc2156)

	* nxcomp/src/Log.h: make sure we don't pass NULL pointers to
          strstr().

2017-12-25 17:39:40 +0100 Mihai Moldovan (57845ced5)

	* nxcomp/src/Loop.cpp: whitespace in log messages only.

2017-12-25 02:19:17 +0100 Mihai Moldovan (970704ca4)

	* nxcomp/src/Loop.cpp: use new log continuation mechanism.

2017-12-25 02:18:46 +0100 Mihai Moldovan (fe447bb6d)

	* nxcomp/src/Loop.cpp: whitespace only.

2017-12-24 22:16:38 +0100 Mihai Moldovan (dccf5901e)

	* nxcomp/src/Log.{cpp,h}: provide infrastructure for appending to
          already existing log lines.

2017-12-24 20:17:18 +0100 Mihai Moldovan (b30cfaa24)

	* nxcomp/src/Log.h: NXLogStamp constructor should actually take a
          size_t-typed line parameter.

2017-12-24 20:07:44 +0100 Mihai Moldovan (5ff87ca9e)

	* nxcomp/src/Log.h: use initializer lists instead of initializing
          member variables in-block.

2017-12-24 18:37:03 +0100 Mihai Moldovan (fcb41e324)

	* nx-X11/programs/Xserver/hw/nxagent/Screen.c: re-enable normal
          error/warning output.

2017-12-24 17:59:35 +0100 Mihai Moldovan (9dba2435c)

	* nxcomp/src/ChannelEndPoint.cpp: don't use C-style casting in C++
          code...

2017-12-24 17:59:17 +0100 Mihai Moldovan (ae73fedf8)

	* nxcomp/src/Loop.cpp: fix small memory leak.

2017-12-24 16:30:19 +0100 Mihai Moldovan (1e448d2f5)

	* testscripts/run-nxproxy2nx*: use more quotes, common variables and
          braces.

2017-12-24 15:51:11 +0100 Mihai Moldovan (a0003405b)

	* testscripts/run-nxproxy2nx*: drop echo -ne "...\n".

2017-12-24 15:45:01 +0100 Mihai Moldovan (6c7869ab9)

	* testscripts/*: fix "randlomly" typos.

2017-12-24 04:57:12 +0100 Mihai Moldovan (34bef6330)

	* nx-X11/programs/Xserver/hw/nxagent/Screen.c: update screen size
          after modifying CRTC modes.

2017-12-19 16:06:06 +0100 Mihai Moldovan (75767979e)

	* nx-libs.spec: make sure pass additional configure flags through,
          not discard them.

2017-12-19 11:39:33 +0100 Mihai Moldovan (ef28eb472)

	*
          nx-X11/extras/Mesa.patches_6.4.2/4002_no-special-glx-memfunctions.patch:
          include stdlib.h and string.h for memset, malloc and free
          prototypes.

2017-12-19 11:34:53 +0100 Mihai Moldovan (218a340d8)

	* mesa-quilt: drop debugging option erroneously committed.

2017-12-19 11:32:54 +0100 Mihai Moldovan (2c4afb84e)

	* mesa-quilt: ignore user configuration file when applying MESA
          patches.

2017-12-19 08:49:20 +0100 Mihai Moldovan (10871bba0)

	* nx-libs.spec: show compile calls during RPM-based builds.

2017-12-19 08:12:24 +0100 Mihai Moldovan (6616983f2)

	* nx-libs.spec: re-add %{optflags} to CDEBUGFLAGS.

2017-12-18 12:23:45 +0100 Mihai Moldovan (08ad4d04d)

	* nxcomp/src/Loop.cpp: log message fixups only.

2017-12-16 14:50:12 +0100 Mihai Moldovan (e7b744525)

	* Drop SHMNAME workaround again, it *is* defined in shmstr.h, which
          is actually header I was searching for.

2017-12-16 14:45:46 +0100 Mihai Moldovan (1e2fc1548)

	* nx-X11/programs/Xserver/Xext/shape.c: avoid pulling in Xlib in
          legacy mode via the _SHAPE_SERVER_ macro.

2017-12-16 13:06:36 +0100 Mihai Moldovan (3abdb9960)

	* nx-X11/programs/Xserver/Xext/shape.c: pull in shapestr.h for legacy
          Xext proto versions, since shape.h would pull in Xlib.

2017-12-16 09:40:44 +0100 Mihai Moldovan (caa048a18)

	* Handle SHAPE proto splitup gracefully for legacy Xext proto
          versions.

2017-12-16 08:38:29 +0100 Mihai Moldovan (404e6634a)

	* zlib compatibility: whenever we want -I flags only, assume that the
          headers are directly available.

2017-12-16 07:57:47 +0100 Mihai Moldovan (e37532ca8)

	* nx-X11/programs/Xserver/include/misc.h: add compat define for
          SHMNAME.

2017-12-16 07:47:17 +0100 Mihai Moldovan (779a116ff)

	* Support building with legacy zlib versions that do not ship a
          pkg-config file.

2017-12-16 07:18:11 +0100 Mihai Moldovan (e92c2a878)

	* Support building with legacy (pre-7.1.0) Xext proto versions.

2017-12-16 06:41:15 +0100 Mihai Moldovan (0d6207bd3)

	* Revert "nx-libs.spec: add xorg-x11-libXext-devel build dependency
          for older *SUSE versions."

2017-12-16 06:36:52 +0100 Mihai Moldovan (cc47066b3)

	* nx-libs.spec: add xorg-x11-libXext-devel build dependency for older
          *SUSE versions.

2017-12-16 05:53:26 +0100 Mihai Moldovan (ddd6f72ff)

	* nx{comp{,shad},proxy}: use dist-bzip2 instead of dist-xz.

2017-12-16 05:35:51 +0100 Mihai Moldovan (4c4f2b185)

	* debian/control: add dependencies needed for debian/compat.sh.

2017-12-16 05:11:42 +0100 Mihai Moldovan (c173e6b99)

	* Makefile: correctly quote variables when passing them down to other
          programs.

2017-12-16 04:17:24 +0100 Mihai Moldovan (3206eacf6)

	* nx-libs.spec: pixman is called libpixman-1-0 on older *SUSE
          versions.

2017-12-16 04:16:45 +0100 Mihai Moldovan (3411a8bc7)

	* nx-libs.spec: imake is part of xorg-x11-util-devel on older *SUSE
          versions and the splitted imake package on later versions.

2017-12-16 04:16:06 +0100 Mihai Moldovan (c7c4987b8)

	* nx-libs.spec: older *SUSE versions do not split up (all) libraries
          in a useful manner.

2017-12-16 03:55:58 +0100 Mihai Moldovan (fe011b55d)

	* Support building with legacy (pre-1.4.2) libXfont(1) versions.

2017-12-16 02:22:18 +0100 Mihai Moldovan (fb2e9a8b5)

	* debian/rules: execute new debian/compat.sh file before the actual
          build.

2017-12-16 02:21:36 +0100 Mihai Moldovan (baf61fbb2)

	* debian/: add compat.sh file containing compatibility logic for
          older Debian and Ubuntu versions.

2017-12-16 00:49:00 +0100 Mihai Moldovan (0bbef4f40)

	* nx-libs.spec: also own %{_datadir}/nx/X11, since %dir explicitly
          does not recurse down.

2017-12-15 17:43:48 +0100 Mihai Moldovan (1d431b53c)

	* nxcompshad/Makefile.am: also correctly call aclocal here.

2017-12-15 17:18:41 +0100 Mihai Moldovan (0e0eb5a43)

	* {nx-X11/lib,nxproxy}/Makefile.am: also use correct aclocal flags in
          the other locations.

2017-12-15 17:10:04 +0100 Mihai Moldovan (df6afb60d)

	* nxcomp/test/logging_test.cpp: return a value in non-void function.

2017-12-15 17:00:11 +0100 Mihai Moldovan (a10b9c649)

	* nx-X11/config/cf/linux.cf: recursive macros aren't a thing.

2017-12-15 15:52:17 +0100 Mihai Moldovan (3d59e2c30)

	* nxcomp/Makefile.am: call aclocal with the correct include dir
          argument.

2017-12-15 15:20:16 +0100 Mihai Moldovan (a22213e47)

	* nx-libs.spec: only remove files in the BuildRoot.

2017-12-15 14:12:25 +0100 Mihai Moldovan (dfa24dd8f)

	* nx-X11/config/cf/linux.cf: don't override default CC options for
          {ARM,PPC}{32,64}.

2017-12-15 12:55:17 +0100 Mihai Moldovan (1dad092ca)

	* Merge branch '3.6.x'

2017-12-15 12:40:31 +0100 Mike Gabriel (2b9025f79)

	* release 3.5.99.12 (tag: 3.5.99.12)

2017-12-15 12:05:16 +0100 Mike Gabriel (4fb495432)

	* Xserver/hw/nxagent/Image.c: Fix regression FTBFS after d4465b71 got
          merged in.

2017-12-15 12:02:36 +0100 Mike Gabriel (cfbb03820)

	* debian/changelog: post-release version bump to 3.5.99.11

2017-12-15 11:20:52 +0100 Mike Gabriel (b213c8eba)

	* release 3.5.99.11 (tag: 3.5.99.11)

2017-12-15 11:15:22 +0100 Mike Gabriel (4cca1b4bd)

	* Merge branch 'sunweaver-pr/more-X-memory-macro-fixes' into 3.6.x

2017-12-14 11:27:35 +0100 Mike Gabriel (5597f2ea5)

	* Xserver/hw/nxagent/Clipboard.c: Fix free calls (free back to
          XFree).

2017-12-14 11:15:09 +0100 Mike Gabriel (d4465b719)

	* Xserver/hw/nxagent/compext: Xfree -> free and Xmalloc -> malloc.

2017-12-15 08:26:23 +0100 Mihai Moldovan (8cca3f09d)

	* nx-libs.spec: actually use a weak dependency for xkeyboard-config.

2017-12-15 08:10:32 +0100 Mihai Moldovan (8cf5b5b7c)

	* nx-libs.spec: add back erroneously dropped xkeyboard-config
          dependency.

2017-12-14 10:49:21 +0100 Mihai Moldovan (1d301c517)

	* Merge branch 'sunweaver-pr/fix-compiler-warnings' into 3.6.x

2017-12-14 08:05:54 +0100 Mike Gabriel (8bb1579f4)

	* Xserver/GL/glx/glxcmds.c: Cast small-int values through intptr_t
          when passed as pointers

2017-03-17 14:06:15 +0000 Mike Gabriel (ac6a216c5)

	* lib/X11/Xrm.c: Compiler warning fix: logical-not-parentheses

2017-02-17 13:35:48 +0000 Mike Gabriel (a6ffabda6)

	* glx: warning fixes

2017-02-17 13:30:13 +0000 Mike Gabriel (16fbdb2a8)

	* Xserver/GL/glx/glxfb.c: Fix compiler warning: pointer-sign.

2017-02-17 12:56:53 +0000 Mike Gabriel (a27414524)

	* hw/nxagent/Events.c: Fix compiler warnings (with NX_DEBUG_INPUT):
          format.

2017-02-17 12:28:05 +0100 Mike Gabriel (7aed70f14)

	* hw/nxagent/NXxvdisp.c: Fix compiler warnings:
          misleading-indentation

2017-02-17 10:25:03 +0000 Mike Gabriel (72152baff)

	* hw/nxagent/NXdispatch.c: Fix compiler warning:
          misleading-indentation

2017-02-16 10:06:41 +0000 Mike Gabriel (6d98e5381)

	* Xserver/Xi/chgfctl.c: Fix compiler warning: misleading-indentation.

2017-12-14 10:39:47 +0100 Mike Gabriel (91ca51bff)

	* debian/rules: Neither overzealously remove nx-X11/Makefile.

2017-12-14 09:51:12 +0100 Mike Gabriel (8cade97b0)

	* debian/rules: Don't remove our main Makefile.

2017-12-14 07:44:20 +0100 Mike Gabriel (346c59516)

	* debian/rules: Fix override_dh_clean target for older Debian/Ubuntu
          versions.

2017-12-14 01:08:34 +0100 Mike Gabriel (542b5b461)

	* Add missing/renamed patches. (Ouch!).

2017-09-22 15:32:31 -0400 Mike DePaulo (f8b2a04e0)

	* nx-libs.spec: Add missing BuildRequires and fix paths to files.

2017-12-14 00:21:42 +0100 Mike Gabriel (5000ded30)

	* debian/control: Set Section: to "libs" for libnx-x11-6.

2017-12-14 00:19:04 +0100 Mike Gabriel (f17d4eb26)

	* debian/control: All Priority: extras packages are required to be
          changed to Priority: optional by recent Debian Policy.

2017-12-14 00:09:35 +0100 Mike Gabriel (abaebb5b1)

	* Merge branch 'uli42-pr/improve_keyboard_light' into 3.6.x

2017-11-13 21:06:36 +0100 Ulrich Sibiller (a02b645b2)

	* nxagent manpage: extend description of keyboard option

2017-08-31 16:17:29 +0200 Ulrich Sibiller (7dbc6cf86)

	* Events.c/h: Rename & restructure some Xkb functions

2017-07-22 22:12:51 +0200 Ulrich Sibiller (8e5b1e7a2)

	* Keyboard.c: Replace some memsets by zero initialization

2017-07-22 19:09:10 +0200 Ulrich Sibiller (de9b4edf9)

	* Keyboard.c: Fix indentation

2017-08-12 17:38:35 +0200 Ulrich Sibiller (88bc52615)

	* Keyboard.c: set variables to NULL after free

2017-07-22 16:41:09 +0200 Ulrich Sibiller (94fae7497)

	* Keyboard.c: XkbDfltRepeatDelay and XkbDfltRepeatIntervall are int
          not uint

2017-07-22 15:58:08 +0200 Ulrich Sibiller (eb4abe4c5)

	* Keyboard.c: Use calloc instead of malloc + memset

2017-07-22 15:28:59 +0200 Ulrich Sibiller (5c4a001ac)

	* nxagent manpage: Extend keyboard documentation

2017-07-22 15:26:11 +0200 Ulrich Sibiller (8b206a261)

	* Keyboard.c: Make xkblock more robust

2017-07-22 15:25:53 +0200 Ulrich Sibiller (1e1ea1cea)

	* Keyboard.c: Some code cleanups

2017-07-22 14:44:46 +0200 Ulrich Sibiller (a44737855)

	* nxagent manpage: Improve explanation of -noignore and -noxkblock

2017-07-22 14:40:53 +0200 Ulrich Sibiller (ba8076697)

	* Keyboard.c: Add some comments with changelog explanations

2017-12-06 00:04:44 +0100 Ulrich Sibiller (9566acb5a)

	* Keyboard.c: print message class for user messages

2017-12-06 00:04:29 +0100 Ulrich Sibiller (c37c47ac4)

	* Keyboard.c: Improve TEST output

2017-12-13 23:43:41 +0100 Mike Gabriel (7610c0f19)

	* debian/*: Adopt from official Debian package where appropriate.

2017-12-13 23:18:34 +0100 Mike Gabriel (c5f3c2042)

	* Merge branch 'uli42-pr/pre-rrxinerama-fallback' into 3.6.x

2017-07-13 18:33:17 +0200 Ulrich Sibiller (bd1ca625e)

	* small code cosmetics

2017-07-13 15:52:47 +0200 Ulrich Sibiller (0852aa52c)

	* always notify on size changes

2017-07-13 15:28:05 +0200 Ulrich Sibiller (1923f49dd)

	* re-implement pre-xinerama behaviour

2017-12-13 04:50:24 +0100 Mihai Moldovan (73c113ce6)

	* nx-X11/programs/Xserver/os/xprintf.c: completely drop NX-related
          changes.

2017-12-13 03:31:06 +0100 Mihai Moldovan (6d70b9e3c)

	* debian/x2goagent.options: reenable XFIXES extension.

2017-12-11 13:38:59 +0100 Mihai Moldovan (3731a996d)

	* nxcomp/src/Log.cpp: only create a new queue entry if we actually
          intend to write it out later.

2017-12-11 09:49:05 +0100 Mike Gabriel (7882a39ad)

	* Merge branch 'uli42-pr/fix_shadow_warning' into 3.6.x

2017-12-10 18:00:15 +0100 Ulrich Sibiller (018c557c4)

	* Silence warning: "ar: 'u' modifier ignored since 'D' is the
          default"

2017-12-10 16:23:03 +0100 Ulrich Sibiller (d5c3e75b3)

	* nxcomp: fix shadow warning

2017-12-11 09:45:47 +0100 Mike Gabriel (29bb12312)

	* Merge branch 'uli42-pr/simplify_xtrans' into 3.6.x

2017-12-10 21:36:15 +0100 Ulrich Sibiller (0eb1dc67d)

	* Xtranssock.c: simplify code in SocketWritev

2017-12-11 09:41:08 +0100 Mike Gabriel (4988e7c5f)

	* Merge branch
          'sunweaver-pr/drop-NoMachines-own-Xvasprintf-implementation'
          into 3.6.x

2017-12-11 09:22:49 +0100 Mike Gabriel (cf2e07657)

	* Xserver/os/xprintf.c: Drop NoMachine's own implementation of
          Xvasprintf(). Use stock implementation instead.

2017-12-11 01:05:50 +0100 Mihai Moldovan (c31cd7737)

	* nx-X11/programs/Xserver/os/xprintf.c: remove doubly-defined
          Xscnprintf function, add missing header includes.

2017-12-10 12:17:39 +0100 Mike Gabriel (e54e42af9)

	* Merge branch 'Ionic-feature/backport-asprintf' into 3.6.x

2017-12-07 12:11:53 +0100 Daniel Kurtz (a6e632aac)

	* os/xprintf: add Xvscnprintf and Xscnprintf

2017-12-07 10:57:06 +0100 Colin Harrison (c281c6e06)

	* Typo in xserver Xvasprintf()

2017-12-07 10:48:31 +0100 Alan Coopersmith (1e3a97482)

	* Add asprintf() implementation for platforms without it

2017-12-09 13:16:37 +0100 Mihai Moldovan (804ff4452)

	* Merge branch 'uli42-pr/fix_memleaks' into 3.6.x

2017-12-07 22:35:59 +0100 Ulrich Sibiller (4dbee3a3f)

	* nxcomp: use new macro SAFE_FREE(ptr)

2017-11-28 21:58:07 +0100 Ulrich Sibiller (2814677a7)

	* Loop.cpp: fix more memory leaks

2017-11-28 21:18:48 +0100 Ulrich Sibiller (1c09eab70)

	* Loop.cpp: fix two memleaks

2017-11-28 20:43:44 +0100 Ulrich Sibiller (c4660e109)

	* ChannelEndPoint.cpp: fix two memleaks

2017-11-27 23:31:35 +0100 Ulrich Sibiller (21c742d25)

	* nxcomp: simplify free calls

2017-11-27 23:30:50 +0100 Ulrich Sibiller (513aa23a7)

	* nxcomp: fix double free

2017-12-09 12:54:24 +0100 Mihai Moldovan (6d7536bd4)

	* Merge branch 'uli42-pr/keep_co' into 3.6.x

2017-12-04 23:44:58 +0100 Ulrich Sibiller (eff0f366d)

	* Reintroduce -co as no-op

2017-12-07 08:35:54 +0100 Mihai Moldovan (eb9618739)

	* Merge branch 'uli42-p/xquerytree_leak' into 3.6.x

2017-12-05 21:25:12 +0100 Ulrich Sibiller (ad53af097)

	* Events.c: add ifdef around nxagentRemoteWindowsTree

2017-12-05 00:29:10 +0100 Ulrich Sibiller (cdaec755d)

	* Make sure XQueryTree results are freed

2017-12-05 00:28:51 +0100 Ulrich Sibiller (0938cf83d)

	* Events.c: drop unused variable

2017-12-05 00:28:27 +0100 Ulrich Sibiller (43579a3b9)

	* Events.c: move variable to inner scope

2017-12-07 07:23:20 +0100 Mihai Moldovan (5487d52fe)

	* Merge branch 'uli42-pr/various_backports' into 3.6.x

2017-12-05 22:39:34 +0100 Daniel Stone (aac4c5f59)

	* DIX: XKB: Set xkbInfo to NULL as well as freeing it

2017-12-05 22:22:55 +0100 Daniel Stone (e05b90814)

	* Allow options to appear with other components.

2017-12-05 22:14:22 +0100 Lars Knoll (e073093cc)

	* devPrivates fixes

2017-12-05 22:09:06 +0100 Adam Jackson (0a010adfc)

	* Coverity # 337: Remove useless NULL check.

2017-12-05 22:06:11 +0100 Adam Jackson (1771deaf1)

	* Coverity # 491: Check version number correctly.

2006-03-15 16:33:12 +0000 Adam Jackson (d31f107c6)

	* Coverity # 487: Check version number correctly.

2006-03-15 16:49:04 +0000 Adam Jackson (43388104d)

	* Coverity # 807: Fix a memory leak in XFixesExpandRegion.

2017-11-09 10:21:21 +0100 Giuseppe Bilotta (6f9a6aacd)

	* randr: free crtc->outputs on destroy

2017-11-09 10:21:20 +0100 Giuseppe Bilotta (4e059d579)

	* randr: always realloc crtcs and outputs

2017-12-07 06:28:19 +0100 Mihai Moldovan (c571aa9ed)

	* Merge branch 'uli42-pr/improve_nxproxy_help' into 3.6.x

2017-11-29 00:02:01 +0100 Ulrich Sibiller (9e3381cc8)

	* nxproxy/nxcomp: document logging options

2017-11-27 23:37:58 +0100 Ulrich Sibiller (3fcb8e4ee)

	* nxcomp/nxproxy: slightly improve the usage message of nxproxy

2017-11-27 23:35:04 +0100 Ulrich Sibiller (f51194fb1)

	* nxcomp/nxproxy: add missing hint for keyconv option

2017-12-06 04:51:59 +0100 Mihai Moldovan (80e590ea1)

	* Merge branch 'sunweaver-pr/drop-bin-wrappers' into 3.6.x

2017-11-26 23:16:59 +0100 Mike Gabriel (c54558e3c)

	* Makefile: Quote '$@' in make calls with double quotes.

2017-11-21 13:45:55 +0100 Mike Gabriel (1539c20e5)

	* Makefile: Don't use DESTDIR in configure.

2017-11-21 13:28:17 +0100 Mike Gabriel (ca4308781)

	* Drop bin wrappers for nxagent and nxproxy, directly install nxproxy
          and nxagent to BINDIR.

2017-12-05 18:12:11 +0100 Mike Gabriel (05cf54af3)

	* Merge branch 'uli42-pr/fix_global_tcpFD' into 3.6.x

2017-12-02 01:32:35 +0100 Ulrich Sibiller (b8c929773)

	* nxcomp: use lowercase abbreviations for seconds and milliseconds

2017-12-02 01:07:03 +0100 Ulrich Sibiller (3bd7e03e1)

	* nxcomp: remove unused return values

2017-12-02 01:03:29 +0100 Ulrich Sibiller (82e893ef2)

	* nxcomp: Fix setting of global tcpFD

2017-11-26 08:35:55 +0100 Mihai Moldovan (7f777e01e)

	* Merge branch 'uli42-pr/nokeyconv' into 3.6.x

2017-11-23 15:19:02 +0100 Ulrich Sibiller (66046f138)

	* Keyboard.c: make nxagentKeycodeConversion a Boolean

2017-11-19 01:11:05 +0100 Ulrich Sibiller (8fd25cf83)

	* add option keyconv=(auto|on|off)

2017-11-19 01:07:57 +0100 Ulrich Sibiller (4b71309c3)

	* Keyboard.c: Use booleans for nxagentKeycodeConversion

2017-11-22 11:09:38 +0100 Mike Gabriel (2e724702e)

	* nxcomp/src/Misc.cpp: Update explanation for the NX_TEMP env
          variable.

2017-11-22 11:08:31 +0100 Mike Gabriel (78661a19a)

	* nxproxy.1 man page: Update explanation for NX_TEMP env variable.

2017-11-22 10:56:38 +0100 Mike Gabriel (f0f4fdc2b)

	* Merge branch 'Ionic-bugfix/hardcode-socket-paths-in-libX11' into
          3.6.x

2017-11-22 06:16:01 +0100 Mihai Moldovan (df9b5306e)

	* nx-X11/lib/include/xtrans/Xtranssock.c: drop UNIX path overrides as
          well.

2017-11-21 11:47:04 +0100 Mike Gabriel (ce182e88a)

	* Merge branch 'uli42-pr/simplify_free' into 3.6.x

2017-11-18 23:35:39 +0100 Ulrich Sibiller (dc43f4c98)

	* Error.c: simply nxagentGetClientsPath()

2017-11-18 23:33:53 +0100 Ulrich Sibiller (7e975e3cc)

	* simply free() calls

2017-11-20 10:47:10 +0100 Mike Gabriel (3b640a0f8)

	* Merge branch 'uli42-pr/options_on_reconnect' into 3.6.x

2017-11-18 22:32:21 +0100 Ulrich Sibiller (4ef4fbf16)

	* Args.c: simplify nxagentProcessOptionsFile()

2017-11-18 22:18:26 +0100 Ulrich Sibiller (6c9622963)

	* Args.c: Fix compile bug with DEBUG enabled

2017-11-18 22:15:50 +0100 Ulrich Sibiller (76ce623ab)

	* Fix options parsing on reconnect

2017-11-17 13:16:39 +0100 Mike Gabriel (39d45a0e8)

	* Merge branch 'uli42-small_fixes' into 3.6.x

2017-10-18 00:28:23 +0200 Ulrich Sibiller (9a1604372)

	* fix broken path due to missing /

2017-10-18 00:22:53 +0200 Ulrich Sibiller (ac66ba349)

	* NXglxext.c: rename and relocate variable

2017-10-18 00:21:00 +0200 Ulrich Sibiller (fff0d5473)

	* glxext.c/NXglxext.c: merge two functions into one

2017-10-18 00:08:24 +0200 Ulrich Sibiller (b0b62dde6)

	* keysym.h: fix include path

2017-11-17 09:30:38 +0100 Mike Gabriel (56569f336)

	* Merge branch 'uli42-pr/fix_manpage' into 3.6.x

2017-11-17 00:04:57 +0100 Ulrich Sibiller (72c1f83fb)

	* nxagent manpage: some minor formatting improvements and typo fixes

2017-11-10 23:14:13 +0100 Mihai Moldovan (71511a765)

	* nx-libs.spec: fix SHLIBSGLOBALSFLAGS => SHLIBGLOBALSFLAGS typo
          spotted by Orion Poplawski.

2017-11-08 11:20:52 +0100 X2Go Release Manager (81d935604)

	* Continue development

2017-11-08 08:56:29 +0100 X2Go Release Manager (415446307)

	* Mid-release fixup: split up
          debian/patches/1500_all_propagate-optflags-to-subcompone.full+lite.patch.

2017-11-08 08:47:03 +0100 X2Go Release Manager (09bb93e00)

	* Mid-release fixup: rename
          debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full+lite.patch
          to
          debian/patches/1400_nx-X11_Render.c-Improve-situation-fo.full.patch.

2017-11-08 08:09:01 +0100 X2Go Release Manager (7dacd7993)

	* release 3.5.0.33

2017-11-04 09:26:18 +0100 Mike Gabriel (e788a70ce)

	* Merge branch 'Ionic-bugfix/hardcode-some-socket-paths' into 3.6.x

2017-11-03 12:57:25 +0100 Mihai Moldovan (79257eed0)

	* nxcomp/src/Loop.cpp: hardcode X11 and (legacy/xfs) font UNIX paths.

2017-11-04 08:00:32 +0100 Mihai Moldovan (2c75b00f3)

	* nxcomp: Hardcode X11 and (legacy/xfs) font UNIX paths.

2017-11-04 07:45:09 +0100 Mihai Moldovan (e095b8f6b)

	* nxcomp: Handle launchd sockets in DISPLAY variable correctly when
          fetching X cookie.

2017-11-03 16:23:41 +0100 Mike Gabriel (e3f498e62)

	* Merge branch 'Ionic-bugfix/fix-X-cookie-on-osx' into 3.6.x

2017-11-03 12:30:12 +0100 Mihai Moldovan (bd25453bd)

	* nxcomp/src/Auth.cpp: handle launchd sockets in DISPLAY variable
          correctly when fetching X cookie.

2017-11-02 07:18:27 +0100 Mihai Moldovan (288cc6fec)

	* nx-libs.spec: let x2goagent conflict with pre-4.0.1.21 x2goserver
          versions.

2017-11-02 07:16:36 +0100 Mihai Moldovan (b5230d371)

	* debian/control: change Breaks statement to pre-4.0.1.21 x2goserver
          and add a Replaces: x2goserver << 4.0.1.21 section to
          x2goagent package.

2017-10-27 14:14:24 +0200 Mihai Moldovan (1c6c9c04b)

	* nxproxy: use ax_pthread.m4.

2017-10-27 14:13:26 +0200 Mihai Moldovan (22bb128dc)

	* nxcomp/m4/ax_pthread.m4: move to top-level m4/ directory, use
          symlink.

2017-10-27 11:55:45 +0200 Mike Gabriel (06a6c5829)

	* Regression fix for f855b3b6. Caused FTBFS with Loop.cpp:2669:0:
          error: unterminated #ifdef (#ifdef TIME).

2017-10-27 11:13:08 +0200 Mike Gabriel (2e4f9e7a9)

	* Merge branch 'theqvd-improved-logging-loop' into 3.6.x

2017-10-27 11:12:00 +0200 Mike Gabriel (de3d9ff4e)

	* Merge branch 'theqvd-improved-logging' into 3.6.x

2017-09-29 21:05:04 +0200 Mihai Moldovan (ab0c4f842)

	* nxcomp/src/Loop.cpp: fix whitespace errors on continued lines.

2017-03-22 16:33:58 +0100 Vadim Troshchinskiy (d202b052e)

	* Remove leading \n in NXTrans* logging

2017-03-16 12:55:18 +0100 Vadim Troshchinskiy (f855b3b61)

	* Fix whitespace and line splitting issues reported by ionic

2016-12-22 12:39:40 +0100 Vadim Troshchinskiy (1cf6aa8f2)

	* Conversion of Loop.cpp to the new log system

2017-09-30 16:58:16 +0200 Mihai Moldovan (ceac07763)

	* nxcomp: add basic logging_test utility in test subdirectory.

2017-09-30 16:53:48 +0200 Mihai Moldovan (5efcd39fc)

	* nxcomp/src/Log.h: prepare for logger testing application.

2017-10-27 08:32:14 +0200 Mihai Moldovan (6c3cf54ba)

	* nxcomp/src/Log.cpp: add PID to thread ID output if requested.

2017-09-30 15:32:33 +0200 Mihai Moldovan (1829a35cd)

	* nxcomp/src/Log.h: block signals while writing out data.

2017-09-30 15:30:53 +0200 Mihai Moldovan (09586d760)

	* nxcomp/src/Log.{cpp,h}: port to std::stack as internal buffer
          structure.

2017-06-30 23:32:45 +0200 Mihai Moldovan (fc4a18d33)

	* nxcomp/{configure.ac,Log.cpp}: implement configure-time
          std::put_time check and use macro value in Log.cpp.

2017-06-30 22:42:25 +0200 Mihai Moldovan (67b0a17fa)

	* nxcomp/Log.h: delete stream_ member before class object
          destruction.

2017-06-30 22:37:13 +0200 Mihai Moldovan (ca08512cf)

	* nxcomp/Log.h: also clear the buffer after setting it to an empty
          string.

2016-12-22 12:40:43 +0100 Vadim Troshchinskiy (d960ec2cb)

	* Set default log level to WARNING

2016-12-22 09:57:47 +0100 Vadim Troshchinskiy (b0521e816)

	* New logging implementation

2017-07-13 01:10:02 +0200 Mihai Moldovan (381c39b86)

	* nxcomp: add AX_PTHREAD code from autoconf-archive and check for
          pthread support.

2017-09-29 17:19:06 +0200 Mihai Moldovan (1f717c6fd)

	* nx{comp{,shad},proxy}: add configure flag --enable-cxx11 to enable
          and setup optional C++11 support.

2017-10-27 08:42:17 +0200 Mihai Moldovan (39ee56f5d)

	* nxcomp/configure.ac: rename --{en,dis}able-info to
          --{en,dis}able-debug, as originally planned.

2017-10-20 11:30:43 +0200 Mihai Moldovan (dae8551e2)

	* README.md: add short Windows section and mention that using Cygwin
          tools is imperative when working with the git repository.

2017-10-16 10:44:18 +0200 Mihai Moldovan (c6b004578)

	* nx-libs.spec: pass CDEBUGFLAGS and friends directly through via
          make command.

2017-10-16 10:42:51 +0200 Mihai Moldovan (92485be30)

	* nx-libs.spec: handle potentially undefined variables more
          gracefully.

2017-10-16 10:26:16 +0200 Mihai Moldovan (d017d211d)

	* nx-libs.spec: pass CDEBUGSFLAGS and friends directly to the make
          command in %build.

2017-10-16 10:12:36 +0200 Mihai Moldovan (71bda0ed5)

	* nx-libs.spec: drop ugly optsflag sed hack, hopefully obsoleted by
          passing CDEBUGFLAGS through.

2017-10-16 10:08:10 +0200 Mihai Moldovan (07d308359)

	* nx-libs.spec: drop ugly sed hack to push optflags to build system.

2017-10-16 10:06:52 +0200 Mihai Moldovan (f54e56d81)

	* debian/changelog: fixup changelog.

2017-10-16 10:04:54 +0200 Mihai Moldovan (13aed2463)

	* OPTFLAGS: Properly propagate build option flags to
          nxcomp{,ext,shad} and the nx-X11 build scripts.

2017-10-16 07:24:38 +0200 Mihai Moldovan (9d750c686)

	* nx-libs.spec: add -mno-vxs to general C(XX)FLAGS on ppc64le.

2017-10-16 07:24:38 +0200 Mihai Moldovan (bd2a66fec)

	* nx-libs.spec: add -mno-vxs to general C(XX)FLAGS on ppc64le.

2017-10-16 07:18:32 +0200 Mihai Moldovan (df3944d46)

	* debian/patches: fixup series file to include previous patch.

2017-10-10 15:17:40 +0200 Mike Gabriel (13041f5c0)

	* Merge branch 'theqvd-media_argument_bugfix' into 3.6.x

2017-10-10 13:04:08 +0200 Vadim Troshchinskiy (f2c73bd84)

	* Fix bug #525: PANIC! No port specified for multimedia connections

2017-10-10 10:53:31 +0200 Simon Matter (e73464e4f)

	* nxcomp: Reduce control->TokenSize slightly again in order to fix
          fragmentation of packages when on VPN (or otherwise
          encapsulated) connections.

2017-10-10 10:27:18 +0200 Mike Gabriel (17ae45e0f)

	* Merge branch 'Ionic-add-stray-files-to-gitignore' into 3.6.x

2017-10-10 07:17:27 +0200 Mihai Moldovan (0336aab79)

	* .gitignore: ignore vim swap files.

2017-10-10 07:16:36 +0200 Mihai Moldovan (5d44c595a)

	* **/.gitignore: add stray files.

2017-10-09 22:10:57 +0200 Mihai Moldovan (b67be23b1)

	* Merge branch 'sunweaver-pr/nxcomp-tokensize-in-vpn-tunnels' into
          3.6.x

2017-10-09 11:30:02 +0200 Simon Matter (418db3b5c)

	* nxcomp/src/Loop.cpp: Reduce control->TokenSize slightly again in
          order to fix fragmentation of packages when on VPN (or
          otherwise encapsulated) connections.

2017-10-09 12:52:01 +0200 Mike Gabriel (27c14b4eb)

	* .gitignore: Improve all .gitignore files, adapt to autotools
          build-flow and its build cruft.

2017-09-29 20:55:36 +0200 Mihai Moldovan (371c71276)

	* nxcomp/src/Loop.cpp: whitespace fixes only.

2017-09-29 17:58:28 +0200 Mihai Moldovan (b5c714690)

	* nxcomp/configure.ac: prettify AC_ARG_ENABLE() calls, use more
          quotes and AS_IF() where appropriate.

2017-09-29 12:31:01 +0200 Simon Matter (03ebe6f25)

	* nxproxy/src/Main.c: Silence compiler warning.

2017-09-29 12:22:08 +0200 Vadim Troshchinskiy (b3f2e3006)

	* Merge pull request #519 from theqvd/fix_nxagent_arg_parsing

2017-09-28 16:42:41 +0200 Vadim Troshchinskiy (5f1eb0dc3)

	* Fix nxagent argument parsing logic

2017-09-15 15:59:30 +0200 Mike Gabriel (3c95d6040)

	* debian/control: Bump Standards-Version: to 4.1.0. No changes
          needed.

2017-09-15 15:59:03 +0200 Mike Gabriel (4bc1d6ccc)

	* debian/control: Drop non-required B-D libxmltok1-dev.

2017-09-15 14:57:56 +0200 Mike Gabriel (6557c0043)

	* release 3.5.99.10 (tag: 3.5.99.10)

2017-09-14 07:45:45 +0200 Mihai Moldovan (4405c6a6b)

	* Merge branch
          'sunweaver-pr/assure-that-Mesa-includes-headers-from-libNX_X11'
          into 3.6.x

2017-09-13 13:06:34 +0200 Mike Gabriel (f9c23b51e)

	* Assure that headers from libNX_X11 are always included from
          $(INCDIR)/nx-X11/.

2017-09-13 11:50:40 +0200 Mihai Moldovan (0815fb06f)

	* nx-X11/programs/Xserver/hw/nxagent/Render.c: use macros obtaining
          values from _XPrivDisplay instead of the other Display
          structure directly.

2017-09-06 10:25:19 +0200 Mihai Moldovan (81569ad6b)

	* Merge branch 'sunweaver-pr/sun-path-is-104-on-debian-kfreebsd' into
          3.6.x

2017-08-31 18:17:31 +0200 Mike Gabriel (96ba6190d)

	* nxcomp/src/{Loop,Proxy}.cpp: On Debian/kFreeBSD (and other *BSD
          variants) the sockaddr_un.sun_path property is 104 chars
          long, not 108. Hard-coding Unix domain sockets in nxcomp
          the string length 104.

2017-08-30 22:36:05 +0200 Mike Gabriel (d3f97cea2)

	* Mesa.patches: Shrink over-zealous 5001 patch. Only patch files that
          we use during build.

2017-08-30 22:07:46 +0200 Mike Gabriel (055f52b03)

	* roll-tarball.sh: Drop m4/nx-xtrans.m4 from nx-libs-lite tarball.

2017-08-30 22:07:28 +0200 Mike Gabriel (1047cda6d)

	* roll-tarball.sh: Some more .gitignore files to remove.

2017-08-30 22:07:02 +0200 Mike Gabriel (bbf69e0a6)

	* roll-tarball.sh: Use -f with rm everywhere, also when tweaking the
          Mesa/ dir.

2017-08-30 19:33:55 +0200 Mike Gabriel (f4afa5a56)

	* release 3.5.99.9 (tag: 3.5.99.9)

2017-08-30 19:29:58 +0200 Mike Gabriel (13264ea7f)

	* debian/rules: Strip static libraries before installing them into
          the lib*.dev packages.

2017-08-30 18:24:43 +0200 Mike Gabriel (15909676e)

	* Mesa.patches: Add 5001_nasty-typo-fixes.patch. Fix some nasty typos
          in Mesa's code ending up in the nxagent binary.

2017-08-30 18:18:39 +0200 Mike Gabriel (b9e5f03ab)

	* hw/nxagent/Window.c: Fix spelling error in debug message.

2017-08-30 18:07:59 +0200 Mike Gabriel (bdd4fc212)

	* debian/control: Bump Standards-Version: to 4.0.1. No changes
          needed.

2017-08-30 16:57:57 +0200 Mike Gabriel (9cffffe5e)

	* debian/copyright: Update copyright attributions.

2017-08-30 16:54:24 +0200 Mike Gabriel (5ecf04c92)

	* nx-X11/extras: Drop Mesa-6.4.1 related files.

2017-08-28 08:33:58 +0200 Mihai Moldovan (709bce6cf)

	* Merge branch 'sunweaver-pr/drop-nxcompshad-cygwin-support' into
          3.6.x

2017-07-17 12:49:47 +0200 Mike Gabriel (d9e2822f5)

	* nxcompshad: Drop Cygwin/Win32 support. Has been untested and unused
          for a long time.

2017-08-26 23:29:58 +0200 Mihai Moldovan (bc66da714)

	* Merge branch 'sunweaver-pr/nxagent-render-cleanup' into 3.6.x

2017-07-17 11:15:55 +0200 Mike Gabriel (4eade297b)

	* nx-X11/programs/Xserver/Render.c: Re-introduce
          nxagentGlyphsCleanup() from libNX_Xrender's formerly
          removed XRenderGlyphsCleanup().

2017-08-25 19:18:17 +0200 Mike Gabriel (7290aea3b)

	* nx-X11/Makefile: Only run full CleanEnv code, if imake is installed
          in the build-system.

2017-08-25 16:34:30 +0200 Mike Gabriel (a32f1dfa1)

	* Makefile: Check for dir existence before attempting to remove it.

2017-08-25 16:29:29 +0200 Mike Gabriel (71878f7a9)

	* Makefile: Use $(RM_DIR) rather then plain rmdir in clean-env
          target.

2017-08-25 12:44:49 +0200 Mihai Moldovan (ae0a2bfde)

	* Merge branch 'sunweaver-pr/libnx-x11-autoreconf' into 3.6.x

2017-08-11 12:53:50 -0400 Mike Gabriel (3b7e5a42f)

	* debian/rules: Re-order configure options for the sake of more
          beauty.

2017-08-11 12:51:52 -0400 Mike Gabriel (9a79e09a5)

	* debian/rules: Use tabs as first indentation level.

2017-08-11 16:44:24 -0400 Mike Gabriel (9edd6e055)

	* debian/control: Add D (libnx-x11-6): libx11-data.

2017-08-11 12:48:32 -0400 Mike Gabriel (11fa0b140)

	* nx-X11/programs/Xserver/Imakefile: White-space fix.

2017-07-21 12:31:09 +0200 Mike Gabriel (c350873c7)

	* Convert nx-X11/lib/ build flow from imake to autotools.

2017-07-17 12:53:26 +0200 Mike Gabriel (1472e7e37)

	* debian/rules: Add configure option --disable-silent-rules.

2017-07-12 12:53:10 +0200 Mike Gabriel (55c4e4070)

	* nx*/configure.ac: Use newly introduced macro NX_DEFAULT_OPTIONS
          instead of NX_COMPILER_FLAGS.

2017-07-12 12:08:03 +0200 Mike Gabriel (ef08aadf5)

	* m4/nx-macros.m4: Add NX_STRICT_OPTION and NX_DEFAULT_OPTIONS macros
          (borrowed from X.org's xorg-macros.m4).

2017-08-11 09:29:17 -0400 Mike Gabriel (cbe2c0e44)

	* Merge branch 'uli42-pr/versionprop' into 3.6.x

2017-08-10 00:50:27 +0200 Ulrich Sibiller (715fcfe6d)

	* Set NX_AGENT_VERSION property for root window

2017-08-09 06:46:30 +0200 Mihai Moldovan (8235925a2)

	* nxcomp/configure.ac: fix copy-and-paste typo (nxcompshad.pc.)

2017-08-09 06:44:49 +0200 Mihai Moldovan (8b88289ee)

	* nxcomp/configure.ac: we don't need to specify empty optional
          parameters.

2017-08-09 06:43:17 +0200 Mihai Moldovan (b1b919477)

	* Merge branch 'sunweaver-pr/find-libjpeg-without-pkgconfig' into
          3.6.x

2017-08-03 10:22:55 -0400 Mike Gabriel (4fd038dba)

	* nxcomp/configure.ac: Don't rely on pkg-config alone when it comes
          to testing for presence of libjpeg shared lib and header
          files.

2017-08-03 10:39:50 +0200 Mihai Moldovan (1077270f8)

	* nx-X11: Render.c: Improve situation for multiple trapezoid
          requests.

2017-08-03 09:58:34 +0200 Oleksandr Shneyder (ab2885575)

	* nxcomp: Set TokenSize to 1536 for link type ADSL and WAN.

2017-08-03 09:41:21 +0200 Mihai Moldovan (6ae091cc2)

	* debian/patches: refresh all patches.

2017-08-02 18:19:19 -0400 Mike Gabriel (430ae6eb6)

	* nxproxy/src/Makefile.am: Actually define nxproxy_CFLAGS, so the
          various compiler warning flags get enabled at build time
          of nxproxy.

2017-07-31 14:14:22 +0200 Mike Gabriel (dc8e52407)

	* Merge branch 'sunweaver-pr/fix-multi-trapez-requests' into 3.6.x

2017-07-31 13:20:12 +0200 Oleksandr Shneyder (da43f047a)

	* Render.c: Improve situation for multiple trapezoid requests.

2017-07-26 10:38:46 +0200 Mihai Moldovan (7897834ce)

	* Merge branch 'sunweaver-pr/nxcomp-autoreconf' into 3.6.x

2017-07-12 13:35:57 +0200 Mike Gabriel (4afc641fd)

	* nxcomp: Add __attribute__((noreturn)) to more functions where
          appropriate.

2017-07-12 21:51:40 +0200 Mike Gabriel (b3a3382ad)

	* nxcomp/src/Loop.cpp: Don't mix using global proxyFD and a local
          p(roxy)FD variable (in WaitForRemote() and
          ConnectToRemote()). Rename local variable name.

2017-07-12 21:49:28 +0200 Mike Gabriel (82c218288)

	* nxcomp/src/Loop.cpp: Don't use global variables as function
          paramters in handleLogReopenInLoop().

2017-07-14 11:22:20 +0200 Mike Gabriel (e47995370)

	* nxcomp/src/Loop.cpp: Drop global variable diffTs, declare it in
          every funtion where it is needed.

2017-07-14 11:21:34 +0200 Mike Gabriel (04e09f277)

	* nxcomp/src/Transport.cpp: Don't redeclare local variable if it can
          be reused.

2017-07-12 21:46:09 +0200 Mike Gabriel (54e7b9aa2)

	* nxcomp/src/Loop.cpp: Don't reuse global variable names as function
          parameters in SetupDisplaySocket().

2017-07-12 21:42:46 +0200 Mike Gabriel (ca7db4fcb)

	* nxcomp/src/Loop.cpp: Rename local variable 'handler' to
          'signalHandler'.

2017-07-12 21:41:21 +0200 Mike Gabriel (1e15760a3)

	* nxcomp/src/Loop.cpp: Drop duplicate prototypes (which already exist
          in Misc.h).

2017-07-12 21:39:32 +0200 Mike Gabriel (1894e04df)

	* nxcomp/src/Proxy.cpp: Fix index usage of nested loops.

2017-07-12 21:36:11 +0200 Mike Gabriel (4c3872279)

	* nxcomp/src/Loop.cpp: Avoid duplicate usage of proxyFD (global
          variable) and *proxyFD (function parameter).

2017-07-12 21:32:14 +0200 Mike Gabriel (5a7b589bb)

	* nxcomp: Trivially fix local variables shadowing variables of same
          name from higher scope.

2017-07-10 13:42:32 +0200 Mike Gabriel (93c4cea66)

	* debian/rules: Drop override_dh_clean target. Not required anymore,
          as configure files get removed correctly now.

2017-07-24 12:32:18 +0200 Mike Gabriel (9c8e3f139)

	* nxcomp/configure.ac,m4/nx-macros.m4,nxcomp/src/Socket.h: Use
          AC_CHECK_TYPES to detect if type 'in_addr_t' is available.

2017-07-14 11:43:05 +0200 Mike Gabriel (9fa0a6b95)

	* nxcomp/configure.ac: Re-add previously available configure options
          --with-valgrind and --with-info as renamed options
          --enable-valgrind and --enable-debug.

2017-06-30 20:13:51 +0200 Mike Gabriel (f76c82403)

	* nxcomp: Switch to autoreconf.

2017-07-25 09:19:44 +0200 Mike Gabriel (9193d11ee)

	* Merge branch 'uli42-pr/cmdline' into 3.6.x

2017-07-24 23:45:48 +0200 Ulrich Sibiller (3f7b30019)

	* treat options parameter as option string if it starts with nx/nx

2017-07-24 23:45:24 +0200 Ulrich Sibiller (36e583cf5)

	* rename nxagentOptionFile to nxagentOptionsFilename

2017-07-11 21:29:59 +0200 Ulrich Sibiller (b007b542d)

	* pass filename as parameter to nxagentProcessOptionsFile()

2017-07-17 09:50:26 +0200 Mike Gabriel (4ccb7eda5)

	* Merge branch 'uli42-pr/fix_keystroke_files' into 3.6.x

2017-07-12 20:01:44 +0200 Ulrich Sibiller (79001dd8a)

	* Improve keystroke file handling

2017-07-14 10:42:15 +0200 Mike Gabriel (ccd7c6962)

	* debian/control: Add B-D: libtool (required for Debian jessie,
          Ubuntu trusty and Ubuntu xenial).

2017-07-14 10:38:47 +0200 Mike Gabriel (ad1d45349)

	* debian/copyright: White-space cleanup.

2017-07-14 10:38:30 +0200 Mike Gabriel (96167fcdb)

	* debian/control: Process with wrap-and-sort -s.

2017-07-14 01:25:20 +0200 Mihai Moldovan (5796ac644)

	* Merge branch 'sunweaver-pr/nxcompshad-autoreconf' into 3.6.x

2017-07-12 22:34:11 +0200 Mike Gabriel (59e829f36)

	* nxcompshad: Rewrite Logger class methods to properly take advantage
          of the 'gnu_printf' format attribute.

2017-07-12 22:26:38 +0200 Mike Gabriel (8f5ce18d4)

	* nxcompshad: Prototype for NXShadowResetOptions() missing. Export it
          as public symbol via Shadow.h."

2017-07-12 22:26:05 +0200 Mike Gabriel (36fe0330e)

	* nxcompshad/src/Shadow.cpp: Drop duplicate prototype for
          NXShadowRemoveAllUpdaters(). Already in Shadow.h.

2017-07-12 22:23:07 +0200 Mike Gabriel (d77897462)

	* nxcompshad/src/Core.cpp: Don't redeclare (and shadow) curLine. Use
          curWorkLine instead.

2017-06-30 14:49:03 +0200 Mike Gabriel (dba850070)

	* nxcompshad/src/Regions.h: Avoid warning: ‘typedef’ was ignored in
          this declaration. Drop typedef declaration from _XRegion
          struct.

2017-04-25 15:27:17 +0200 Mike Gabriel (76b486768)

	* nxcompshad: Switch to autoreconf.

2017-07-13 11:38:17 +0200 Mike Gabriel (622360ea2)

	* debian/control: Add B-D: automake (required for Debian jessie,
          Ubuntu trusty and Ubuntu xenial).

2017-07-13 08:52:08 +0200 Mike Gabriel (107fba32e)

	* nxproxy/configure.ac: Have AC_LANG before NX_COMPILER_BRAND. Thanks
          to Ionic for spotting this same flaw in nxcompshad.

2017-07-12 23:56:42 +0200 Mihai Moldovan (06bf2a492)

	* Merge branch 'sunweaver-pr/nxproxy-autoreconf' into 3.6.x

2017-07-10 11:47:02 +0200 Mike Gabriel (397d3ac06)

	* debian/rules: Drop redundant --with-symbols configure option, '-g'
          already gets added by debhelper.

2017-04-26 13:26:47 +0200 Mike Gabriel (41ea54b02)

	* nxproxy: Switch to autoreconf.

2017-06-30 13:58:47 +0200 Mike Gabriel (322e39b79)

	* m4/nx-macros.m4: Add autotools macros derived from X.org and
          nxcomp* configure.in files.

2017-07-12 12:43:53 +0200 Mike Gabriel (e17207f18)

	* make-changelog.sh: Drop obviously not needed '--since 1970' option
          from 'git log' call.

2017-07-12 12:09:45 +0200 Mike Gabriel (ba02470a5)

	* Merge branch 'sunweaver-pr/report-window-ids' into 3.6.x

2017-07-04 23:57:34 +0200 Mike Gabriel (84a403e27)

	* Report Xlib-side window IDs to session.log in machine readable
          form. This feature can be enabled by the cmdline options
          -reportwids and -reportprivatewids.

2017-07-04 23:32:04 +0200 Mike Gabriel (000a869b3)

	* nxagent man page: Fix layout near -nxrealwindowprop option.

2017-06-30 23:23:16 +0200 Mike Gabriel (a517c5ab6)

	* Mesa.patches: Disable
          4001_Fix-non-working-GLX-in-64bit-Xorg-7.0.patch. It
          patches a file, we don't build and that we remove in
          roll-tarball.sh.

2017-06-30 23:22:22 +0200 Mike Gabriel (7838207b7)

	* roll-tarballs.sh: Remove even more files from nx-X11/extras/Mesa/.
          This roll-tarball.sh version has been used for generating
          the 3.5.99.8 tarball.

2017-06-30 21:21:49 +0200 Mike Gabriel (3b15804ce)

	* release 3.5.99.8 (tag: 3.5.99.8)

2017-06-30 20:59:27 +0200 Mihai Moldovan (4c7641a1f)

	* Merge branch 'sunweaver-pr/mese-quilt-without-quilt' into 3.6.x

2017-06-30 20:24:28 +0200 Mike Gabriel (79fcce3ee)

	* README.Mesa.patches: Define some rules for patch naming and
          numbering scheme.

2017-06-27 19:21:23 +0200 Mike Gabriel (638b334c8)

	* mesa-quilt: Provide a fallback patching method on systems where
          pulling quilt into the build env is not trivial.

2017-06-27 19:47:35 +0200 Mike Gabriel (bac473917)

	* nx-libs.spec: Use mesa-quilt with Fedora builds, but rely on
          fallback mode in mesa-quilt for RHEL and SUSE.

2017-06-30 17:41:21 +0200 Mihai Moldovan (05450d0e8)

	* Merge branch 'sunweaver-pr/browser-scrolling-improvements' into
          3.6.x

2017-06-29 10:08:56 +0200 Oleksandr Shneyder (7d51cb676)

	* nxcomp: Set TokenSize to 1536 for link type ADSL and WAN. Improving
          non-xrender based  browser scrolling behaviour when link
          type is set to ADSL or WAN.

2017-06-30 16:22:25 +0200 Mike Gabriel (4365fe38e)

	* Merge branch 'sunweaver-pr/nx-real-wid' into 3.6.x

2017-05-30 21:28:03 +0200 Mike Gabriel (588be6386)

	* hw/nxagent/Window.c: Introduce NX_REAL_WINDOW window property.

2017-05-30 21:33:33 +0200 Mike Gabriel (c88e87bc8)

	* hw/nxagnet/Atoms.c: In DEBUG mode, we need validateString() which
          is not statically defined in Utils.h. Thus including it
          for DEBUG builds.

2017-06-28 22:23:42 +0200 Mihai Moldovan (3d255540f)

	* Merge branch 'sunweaver-pr/fix-ftbfs-on-hppa' into 3.6.x

2017-05-06 01:31:14 +0200 Mike Gabriel (65c420515)

	* debian/patches: Update 016_nx-X11_install-location.debian.patch
          (line numbers only).

2017-05-06 00:38:01 +0200 Mike Gabriel (347363f3f)

	* Fix FTBFS on Linux based HP-PARisc 32-bit systems. Thanks to John
          Paul Adrian Glaubitz from FU Berlin for providing access
          to a corresponding porters' machine.

2017-05-06 00:29:46 +0200 Adam Jackson (f77a4b405)

	* dix: Remove arch awareness from servermd.h (X.org v2, nx-libs v4)

2017-06-28 19:20:36 +0200 Mihai Moldovan (78d41614e)

	* Merge branch 'sunweaver-pr/fix-ftbfs-on-mips64el' into 3.6.x

2017-06-27 19:59:36 +0200 Mike Gabriel (c22c3f729)

	* nx-X11/config/cf/linux.cf: Drop AsOutputArchSize macro from
          Sparc(64)Architecture ifdef-block. It does not seem to be
          used anywhere else.

2017-05-07 19:47:27 +0200 Mike Gabriel (1839dd642)

	* Fix FTBFS on mips64el architecture due to missing definition of the
          _XSERVER64 macro.

2017-06-27 19:16:33 +0200 Mike Gabriel (cde05c090)

	* Mesa.patches_6.4.1: Add missing EOL at EOF to series file.

2017-06-27 19:15:53 +0200 Mike Gabriel (e2d72b599)

	* Mesa.patches: Have Mesa.patches_6.4.2 rather as a copy than as a
          symlink to Mesa.patches_6.4.1. Rebase
          4004_define-USE_IEEE-macro-for-more-platforms.patch
          against Mesa 6.4.2 while being at it.

2017-06-27 18:34:20 +0200 Mike Gabriel (3dcdea4dd)

	* Merge branch 'frantracer-mesa-update-6.4.2' into 3.6.x

2017-06-27 15:53:30 +0200 ftrapero (fa70485dc)

	* roll-tarball.sh: Fix resolution of symbolic links and removal of
          useless Mesa versions

2017-06-27 12:12:09 +0200 ftrapero (2dd6ca0c8)

	* nx-X11/extras: Add symlinks to Mesa_6.4.2 and patches

2017-06-27 12:08:38 +0200 ftrapero (b30506dfa)

	* Include mesa-6.4.2 project

2017-06-27 12:08:38 +0200 ftrapero (663631725)

	* Squashed 'nx-X11/extras/Mesa_6.4.2/' content from commit 475b1f7

2017-06-19 11:01:22 +0200 Mike Gabriel (c032f0e34)

	* roll-tarball.sh: Fix tarball creation, now that we pull in Mesa as
          a git-subtree. This basically moves versioned folders
          around and drops the Mesa/ and Mesa.patches/ symlinks.

2017-06-19 10:16:14 +0200 Mike Gabriel (014365877)

	* Merge branch 'frantracer-mesa-squash-subtree' into 3.6.x

2017-02-20 15:36:36 +0100 Mike Gabriel (123fb7fe7)

	* roll-tarball.sh: Drop various unused files from the bundled Mesa
          version when creating release tarballs.

2017-02-20 12:54:14 +0100 Mike Gabriel (c20b946b4)

	* Mesa subtree: Adapt build process for building against Mesa that
          gets pulled in via git subtree.

2017-02-17 16:11:01 +0100 Mike Gabriel (209657f69)

	* nx-X11/extras/Mesa: Drop bundled Mesa, place a symlink to imported
          Git subtree of Mesa_6.4.1 instead.

2017-06-15 14:15:08 +0200 ftrapero (459021c16)

	* Include mesa-6.4.1 project

2017-06-15 14:15:08 +0200 ftrapero (8667d4d97)

	* Squashed 'nx-X11/extras/Mesa_6.4.1/' content from commit 53d1bc0

2017-06-11 14:26:35 +0200 Mike Gabriel (4f216e7cf)

	* Merge branch 'uli42-pr/fix_sync_segfault' into 3.6.x

2017-06-09 22:27:20 +0200 Ulrich Sibiller (19116a61c)

	* Args.c: fix sync option parsing

2017-06-06 20:33:55 +0200 Mike Gabriel (7fd59fbd1)

	* Merge branch 'uli42-pr/remove_unused_defines' into 3.6.x

2016-11-04 00:30:02 +0100 Ulrich Sibiller (52d65a4f6)

	* remove BuildRman define

2017-06-06 14:29:20 +0200 Mike Gabriel (7b00b7bb8)

	* Merge branch 'salva-install-as-non-root' into 3.6.x

2017-05-31 11:44:59 +0200 Salvador Fandiño (320352d64)

	* Don't force root ownership of dirs when installing

2017-05-31 14:30:32 +0200 Salvador Fandiño (f61956c16)

	* Propagate DESTDIR and PREFIX from Makefile

2017-05-31 13:01:58 +0200 Mike Gabriel (04fbb2726)

	* Merge branch 'mikedep333-f24-ftbfs' into 3.6.x

2017-05-25 08:14:49 -0400 Mike DePaulo (c7ce96546)

	* nx-libs.xpec: Fix FTBFS on F24 due to missing Xfont2

2017-05-06 02:01:47 +0200 Mike Gabriel (150cbc23d)

	* debian/copyright: Update copyright attributions.

2017-05-06 00:03:48 +0200 Mike Gabriel (6479ed576)

	* nx-X11/config/cf/gnuLib.rules: Drop ancient Vcs comment.
          Erroneously sneaked in with reintroduction of
          GNU/<non-Linux> support.

2017-05-05 14:07:29 +0200 Mihai Moldovan (53cabac9e)

	* Merge branch 'uli42-pr/fix_rhel6' into 3.6.x

2017-04-25 14:47:48 +0200 Ulrich Sibiller (444e62156)

	* nx-libs.spec: fix FTBFS on RHEL6

2017-05-05 00:16:41 +0200 Mike Gabriel (5d5336541)

	* release 3.5.99.7 (tag: 3.5.99.7)

2017-05-04 23:54:31 +0200 Ulrich Sibiller (13753ddfd)

	* Merge pull request #427 from sunweaver/pr/gnu-hurd-i386-support

2017-04-13 12:01:07 +0200 Mike Gabriel (681069d7a)

	* nxcompshad/Shadow.cpp: Use EBADF instead of EBADFD (which is not
          portable to GNU/Hurd and GNU/kFreeBSD).

2017-04-13 12:00:26 +0200 Mike Gabriel (d8a25946e)

	* nx-X11/config/cf/gnu*: Re-introduce GNU/Hurd support to the nx-X11
          buildflow.

2017-05-04 23:35:30 +0200 Ulrich Sibiller (c59710e8e)

	* remove _X_DEPRECATED for XKeycodeToKeysym

2017-05-04 23:08:18 +0200 Mike Gabriel (f149e3626)

	* Merge branch 'uli42-pr/fix_keyboard_delay' into 3.6.x

2017-05-04 22:38:08 +0200 Ulrich Sibiller (651d5e5ee)

	* Revert "Switch from using libNX_X11's deprecated XKeycodeToKeysym()
          function to using XGetKeyboardMapping()."

2017-04-25 14:20:55 +0200 Mihai Moldovan (60d7c02e0)

	* nx-libs.spec: RPM does not support %elif/%elsif/%elseif/whatever.

2017-04-21 21:31:14 +0200 Mike Gabriel (776785afb)

	* debian/copyright: Update copyright attributions (re-add
          nx-X11/programs/Xserver/hw/nxagent/NXpicturestr_PictSolidFill.h).

2017-04-21 16:26:31 +0200 Mike Gabriel (06a6a5fca)

	* release 3.5.99.6 (tag: 3.5.99.6)

2017-04-21 16:20:50 +0200 Mihai Moldovan (1c6217054)

	* Merge branch 'sunweaver-pr/use-source-tree-nxcomp' into 3.6.x

2017-03-08 10:45:51 +0100 Mike Gabriel (e91132f3b)

	* Xserver/Imakefile: Drop redundant library path option
          -L../../../nx-X11/exports/lib when linking nxagent. As
          -L../../exports/lib is already present and points to the
          same location.

2017-03-08 11:26:16 +0100 Mike Gabriel (4818c13e7)

	* Xserver/Imakefile: Change order of linker options, so that
          self-built components get mentioned first in the nxagent
          linker command.

2017-04-21 16:14:27 +0200 Mihai Moldovan (22b6ac728)

	* Merge branch 'sunweaver-pr/nxagent-dialog-fixes' into 3.6.x

2017-03-07 20:52:43 +0100 Mike Gabriel (0f67af9d7)

	* nxcomp/Children.cpp: Don't generate warnings with duplicated NX
          paths.

2017-03-08 12:21:20 +0000 Mike Gabriel (522e743f6)

	* hw/nxagent/Dialog.c: Drop unused dialog for
          DIALOG_DISABLE_XKB_LOCAL.

2017-04-21 12:07:37 +0200 Mike Gabriel (61d5cd0b7)

	* Revert "NXpicturestr_PictSolidFill.h: Drop file and revert db8705.
          Not an issue anymore nowadays."

2017-04-20 18:27:11 +0200 Mihai Moldovan (f3d406109)

	* nx-X11/programs/Xserver/os/connection.c: compact display
          autodetection code.

2017-04-20 18:24:04 +0200 Mihai Moldovan (1ccc6be61)

	* Merge branch 'sunweaver-pr/enhance-displayfd-auto-detection' into
          3.6.x

2017-04-07 16:39:27 +0200 Mike Gabriel (9865f73be)

	* man/nxagent.1: Document the nxagent specific usage pattern of the
          displayfd cmdline option.

2017-04-07 15:27:50 +0200 Mike Gabriel (ec185d7f7)

	* Xserver/os/connection.c: If -displayfd and an explicit display port
          number are given, use the explicit display number as a
          starting point for auto-detecting the next available
          display number.

2017-04-07 15:26:45 +0200 Mike Gabriel (f4d7863f8)

	* Xserver/os/connection.c: Accompany display number with some
          human-readable (machine-parseable) text when -displayfd is
          set to STDERR.

2017-04-20 14:06:18 +0200 Mike Gabriel (7d0b7055b)

	* Merge branch 'uli42-pr/extend_manpage' into 3.6.x

2017-04-18 00:10:46 +0200 Ulrich Sibiller (394246855)

	* nxagent.1: some more rephrasing

2017-04-18 00:08:55 +0200 Ulrich Sibiller (4998c41de)

	* nxagent.1: fix: "tolerancechecks" was documented as
          "reconnectchecks"

2017-04-17 23:38:19 +0200 Ulrich Sibiller (0ccc2ee7a)

	* nxagent.1: highlight nxagent

2017-04-17 23:15:13 +0200 Ulrich Sibiller (e18c95584)

	* nxagent.1: use nxagent everywhere

2017-04-17 23:13:53 +0200 Ulrich Sibiller (5f88a2978)

	* nxagent.1: rephrase description

2017-04-17 23:09:39 +0200 Ulrich Sibiller (14417c94b)

	* nxagent.1: add -options, previously undocumented

2017-04-17 23:09:17 +0200 Ulrich Sibiller (baf7d39b8)

	* nxagent.1: fix typo

2017-04-17 23:08:37 +0200 Ulrich Sibiller (9494062eb)

	* nxagent.1: remove no longer existing -co option from manpage

2017-04-19 13:38:49 +0200 Mike Gabriel (ab0bc8158)

	* Xserver/GL/glx/glxext.c: Fix for previous commit, re-adding a
          comment starter '/*'.

2017-04-19 13:08:26 +0200 Mike Gabriel (4ad88de86)

	* Clearing comments from $XFree86$ (et al.) header lines.

2017-04-19 01:20:30 +0200 Mihai Moldovan (a4fb30f8d)

	* debian/changelog: add missing bug closure.

2017-04-18 17:21:53 +0000 Mihai Moldovan (0c9852a76)

	* {debian/control,nx-libs.spec}: add proper dependencies upon xkbcomp
          for RPM and DEB packages.

2017-04-18 22:45:11 +0200 Mike Gabriel (85b58daa8)

	* Merge branch 'Ionic-add-xkbcomp-dep' into 3.6.x

2017-04-18 19:01:42 +0000 Mihai Moldovan (a2dca67a5)

	* nx-libs.spec: sync up RPM builds after Xext proto change in
          a51cb94559e9228a55e01956f242dabccc5e6b14.

2017-04-18 17:21:53 +0000 Mihai Moldovan (adb2f80cc)

	* {debian/control,nx-libs.spec}: add proper dependencies upon xkbcomp
          for RPM and DEB packages.

2017-04-18 19:05:20 +0000 Mihai Moldovan (7c0a35916)

	* nx-libs.spec: whitespace only.

2017-04-13 16:00:16 +0200 Mike Gabriel (1537eb05d)

	* debian/Makefile.nx-libs: make sure that 'make all' only calls 'make
          build' and _not_ the global '%:' ruleset afterwards.

2017-04-14 15:14:00 +0200 Mike Gabriel (cc17d89e2)

	* debian/control: Add get-orig-source rule as in official Debian
          package.

2017-04-14 15:11:06 +0200 Mike Gabriel (a51cb9455)

	* debian/{rules,nx-x11proto-xext-dev}: More Xext header files belong
          int nx-x11proto-xext-dev (instead of removing them in
          debian/rules).

2017-04-14 15:07:53 +0200 Mike Gabriel (35ec402fd)

	* debian/control: Pre-D (nx-x11-common) on versioned dpkg not
          required anymore.

2017-04-14 15:05:06 +0200 Mike Gabriel (fdd66710f)

	* debian/control: Pull-over latest changes on these files from the
          official Debian package. Various improvements several
          package descriptions.

2017-04-14 15:02:52 +0200 Mike Gabriel (0eb3bbd25)

	* debian/copyright{,in}: Pull-over latest changes on these files from
          the official Debian package.

2017-04-13 20:28:19 +0200 Mihai Moldovan (a1e309a0f)

	* Merge branch 'sunweaver-pr/enable-mit-screen-saver-extension' into
          3.6.x

2017-04-11 10:21:30 +0200 Mike Gabriel (244ce534a)

	* Xserver: Build nxagent with MIT-SCREEN-SAVER extension enabled.

2017-04-13 17:05:32 +0200 Mihai Moldovan (680de79fb)

	* Merge branch
          'sunweaver-pr/Mesa-define-USE_IEEE-macro-for-more-platforms'
          into 3.6.x

2017-04-13 14:09:12 +0200 Mike Gabriel (d4941a6a5)

	* Mesa.patches: Define USE_IEEE for __aarch64__ and __mc68000__, as
          well.

2017-04-13 16:13:04 +0200 Mike Gabriel (85b925e3f)

	* nx-X11/config/cf: Clean-up left-overs from having our own
          libNX_Xext shared library.

2017-04-13 16:00:16 +0200 Mike Gabriel (8a3605ffa)

	* Makefile: Make sure that 'make all' only calls 'make build' and
          _not_ the global '%:' ruleset afterwards.

2017-04-13 15:58:46 +0200 Mike Gabriel (f843d1b14)

	* Makefile: Remove nx-X11/config/cf/date.def on clean.

2017-04-13 15:58:14 +0200 Mike Gabriel (fa3734ff4)

	* Makefile: Fix comment above special clean rules.

2017-04-13 14:45:22 +0200 Mihai Moldovan (a2b758458)

	* Merge branch 'sunweaver-pr/fix-ftbfs-on-linux-sparc64' into 3.6.x

2017-04-13 10:24:19 +0200 Mike Gabriel (fb962f896)

	* nx-X11/config/cf/linux.cf: Fix FTBFS on Linux SPARC64 due to
          missing -D_XSERVER64 definition.

2017-04-13 14:02:22 +0200 Mihai Moldovan (138b52c9b)

	* Merge branch 'sunweaver-pr/fix-ftbfs-on-aarch64' into 3.6.x

2017-04-12 19:23:37 +0200 Mike Gabriel (53dc4ba12)

	* nx-X11/config/cf/linux.cf: Fix FTBFS on arm64 (aarch64) due to
          missing -D_XSERVER64 definition.

2017-04-11 17:01:25 +0200 Mike Gabriel (3a2ecb9a5)

	* release 3.5.99.5 (tag: 3.5.99.5)

2017-04-10 20:54:19 +0000 Mike Gabriel (d6479c9f4)

	* debian/patches: Update 016_nx-X11_install-location.debian.patch
          (due to fuzziness).

2017-04-10 20:53:34 +0000 Mike Gabriel (d63b4a5ba)

	* Regression fix for added libXfont2 API support:

2017-04-10 16:33:27 +0200 Mihai Moldovan (2d700b147)

	* Merge branch 'sunweaver-pr/createpixmap-alloc-hints-abi-change'
          into 3.6.x

2017-02-22 12:59:07 +0000 Mike Gabriel (8b5bb2cda)

	* hw/nxagent/Pixmap.c et al.: Propagate usage_hint through
          nxagentCreatePixmap, as well.

2017-03-11 01:13:58 +0100 Mike Gabriel (560c95643)

	* Mesa.patches: Adapt Mesa to CreatePixmap allocation hint ABI bump.

2017-02-22 14:14:41 +0100 Aaron Plattner (aa50b35a5)

	* Save pixmap allocation hints into the PixmapRec.

2017-02-22 13:30:48 +0100 Aaron Plattner (3ef6d5120)

	* Add CreatePixmap allocation hints.

2017-04-10 16:20:51 +0200 Mihai Moldovan (cc24d8ba2)

	* Merge branch 'sunweaver-pr/switch-to-libXfont2-API' into 3.6.x

2017-04-10 12:43:33 +0200 Mike Gabriel (c4c548547)

	* nx-libs.spec: Prefer libXfont2-devel on RPM distro versions that
          have it.~

2017-04-10 10:09:32 +0000 Mike Gabriel (a5432aac8)

	* debian/control: Use B-D libxfont-dev only. Follow libXfont2
          transition on Debian (and alike).

2017-04-10 10:08:14 +0000 Mike Gabriel (92979a4e8)

	* Makefile: Tell Xserver build which Xfont API to use (v2 or v1)
          depending on what's available in the build env.

2017-02-09 14:05:57 +0100 Mike Gabriel (f4c80a78c)

	* Xserver: Support building against libXfont2 (v2) API and old
          libXfont(1) API alike.

2017-02-16 08:19:40 +0000 Jamey Sharp (f743f9f74)

	* SetFontPath: set client->errorValue on failure.

2017-02-16 08:21:56 +0000 Eamon Walsh (4768662b0)

	* dix: pass a valid ClientPtr to SetFontPath in all cases.

2017-02-14 09:17:25 +0100 Mike Gabriel (523009b96)

	* hw/nxagent/BitmapUtils.c: Derive from utilbitmap.c in deprecated
          libXfont1 and ship as copy-of-code with nxagent.

2017-02-09 22:31:19 +0000 Mike Gabriel (6a06a6c81)

	* dix: Move InitFonts up above screen initialization

2017-02-09 11:22:41 +0100 Mike Gabriel (03b772b5f)

	* Xserver/Imakefile: Improve readability by introducing the NULL
          variable and adding more line-breaks.

2017-04-10 16:01:02 +0200 Mike Gabriel (9e2588e56)

	* Revert "regression fix for 52872a0: Keep index parameter in
          AddScreen() for now. Requires proper ABI backport. (was:
          copy+paste error)."

2017-04-10 15:01:39 +0200 Mihai Moldovan (5421dd444)

	* Merge branch
          'sunweaver-pr/remove-index-from-CloseScreen-ABI-backport'
          into 3.6.x

2017-03-11 00:53:01 +0100 Dave Airlie (93ea74e53)

	* xserver: remove index from CloseScreen (API/ABI breakage)

2017-04-07 16:20:47 +0200 Vadim Troshchinskiy (ab3974f22)

	* Merge remote-tracking branch
          'sunweaver-pr/pr/nxproxy-read-from-stdin' into 3.6.x

2017-02-05 23:29:41 +0100 Bernard Cafarelli (4c2fe0d97)

	* nxproxy: Support communication over stdin. Allow nxcl to use
          standard ssh instead of nxssh.

2017-04-07 13:48:56 +0200 Mike Gabriel (1441b02f0)

	* nxcomp/Loop.cpp: Fix server/client mode info cerr printing in
          PrintProcessInfo().

2017-04-07 10:32:28 +0200 Mike Gabriel (dcdbc102c)

	* Merge branch 'sunweaver-pr/drop-render-fullcolor-workaround' into
          3.6.x

2017-03-21 21:25:39 +0100 Mike Gabriel (6c8c95025)

	* NXpicturestr_PictSolidFill.h: Drop file and revert db8705. Not an
          issue anymore nowadays.

2017-04-06 14:09:19 +0200 Erkki Seppälä (c8a4e1e75)

	* record: avoid crash when calling RecordFlushReplyBuffer recursively

2017-04-06 12:17:54 +0200 Mihai Moldovan (0d7b4c365)

	* Merge branch 'sunweaver-pr/mesa-patching-with-quilt' into 3.6.x

2017-02-20 12:54:14 +0100 Mike Gabriel (2c9effed2)

	* Mesa subtree: Add quilt based patch system for bundled Mesa.

2017-04-05 11:19:54 +0200 Mike Gabriel (2767d32c0)

	* roll-tarball.sh: Fix ChangeLog creation, always create ChangeLog
          for the CHECKOUT, not the currently checked out branch.

2017-04-03 21:44:05 +0200 Mike Gabriel (25d38bf36)

	* Merge branch 'uli42-pr/cleanup_keystroke' into 3.6.x

2017-03-27 22:58:38 +0200 Ulrich Sibiller (ee18cd43d)

	* Keystrokes: rename left/up/right/down keystrokes to descriptive
          names

2017-03-27 22:46:47 +0200 Ulrich Sibiller (d28cf5574)

	* doc: rework keystroke documentation

2017-03-27 22:07:51 +0200 Ulrich Sibiller (9f0713c04)

	* doc: document debugging keystrokes

2017-03-23 23:48:46 +0100 Ulrich Sibiller (e3240d6b3)

	* keystrokes.cfg: remove debug keystrokes

2017-03-23 23:32:24 +0100 Ulrich Sibiller (bf27d58b7)

	* Keystroke.c: move some vars to inner scope

2017-03-23 23:11:32 +0100 Ulrich Sibiller (ba5183f80)

	* Init keystrokes at startup and reconnect

2017-03-23 23:01:09 +0100 Ulrich Sibiller (f12012b15)

	* Keystroke.c: avoid use of comparisons on "False"

2017-03-23 22:54:34 +0100 Ulrich Sibiller (2b9d7d274)

	* Keystroke.c: use Booleans where appropriate

2017-03-23 22:48:09 +0100 Ulrich Sibiller (076d458e7)

	* Keystroke.h: improve parse_keystroke_file()

2017-03-23 22:46:35 +0100 Ulrich Sibiller (79520f9c6)

	* Keystroke.c: introduce nxagentDumpKeystrokes()

2017-03-23 22:42:26 +0100 Ulrich Sibiller (a45a348c4)

	* keystrokes.cfg: add missing keystrokes

2017-03-23 22:22:05 +0100 Ulrich Sibiller (3c921ccb4)

	* Keystroke.c/h: completely disable keystrokes that are not active at
          compile time

2017-03-23 22:21:00 +0100 Ulrich Sibiller (811ce4902)

	* Keystroke.h: auto-enum keystrokes

2017-03-23 22:18:16 +0100 Ulrich Sibiller (4adb1911f)

	* Keystroke.h/Keyboard.h: cleanup mask variables

2017-03-21 22:33:29 +0100 Ulrich Sibiller (c693df127)

	* Keystroke.c: detect duplicate keystroke definitions

2017-03-21 22:32:00 +0100 Ulrich Sibiller (40f03399c)

	* Keystroke.c: use KEYSTROKE_NOTHING

2017-03-21 21:52:05 +0100 Ulrich Sibiller (51782cb25)

	* Args.c: add two missing options to help message

2017-04-03 20:52:05 +0200 Mike Gabriel (147371a28)

	* Merge branch
          'sunweaver-pr/xinerama-response-swapping-in-RRXineramaWriteMonitor'
          into 3.6.x

2017-03-10 14:16:26 +0100 Michal Srb (f34eff0a2)

	* xinerama: Swap the response in RRXineramaWriteMonitor

2017-04-03 20:39:06 +0200 Mike Gabriel (4e0e7c472)

	* Merge branch 'mikedep333-pr/cygwin-nxcomp-ftbfs' into 3.6.x

2017-03-29 21:52:25 -0400 Mike DePaulo (1a2bea981)

	* Remove EMX (MS-DOS & OS/2) support

2017-03-29 07:19:25 -0400 Mike DePaulo (995851206)

	* Cygwin nxcomp: Use Cygwin un.h

2017-03-27 16:39:28 +0200 Mike Gabriel (342758254)

	* regression fix for 52872a0: Keep index parameter in AddScreen() for
          now. Requires proper ABI backport. (was: copy+paste
          error).

2017-03-27 16:14:30 +0200 Mike Gabriel (d7d2aeea4)

	* Merge branch 'uli42-pr/libX11-HEAD' into 3.6.x

2017-02-01 15:02:41 +0100 Arthur Huillet (00405b278)

	* _XDefaultError: set XlibDisplayIOError flag before calling exit

2017-01-07 16:20:31 +0100 Julien Cristau (8ad49a03e)

	* Fix wrong Xfree in XListFonts failure path

2017-03-26 14:34:48 +0200 Mihai Moldovan (ac03b5172)

	* Merge branch 'sunweaver-pr/dix-dispatch-backports' into 3.6.x

2017-03-11 00:48:03 +0100 Mike Gabriel (c1fc4ba78)

	* dix: Remove insane BC hacks

2017-03-10 16:48:54 +0100 Mike Gabriel (cb9e50c2f)

	* Move AddScreen() comment where it actually belongs. Should be done
          in X.org, too.

2017-03-10 16:29:24 +0100 Mike Gabriel (52872a0de)

	* dix: Move AddScreen() over into dispatch.c and introduce
          init_screen()

2017-03-22 00:40:55 +0100 Mihai Moldovan (f5e7d555a)

	* Merge branch 'sunweaver-pr/various-os-backports' into 3.6.x

2017-03-20 13:22:50 +0100 Adam Jackson (565421ba1)

	* os: Remove the useless -x option

2017-03-15 15:46:32 +0000 Keith Packard (a95cfdf48)

	* os: FatalError if -displayfd writes fail AND Clear the -displayfd
          option after closing the file

2017-03-15 15:42:10 +0000 Alan Coopersmith (e96e810c2)

	* Use unique logfile names when starting server with -displayfd

2017-03-15 15:40:57 +0000 Jon TURNEY (faaba2661)

	* os: -displayfd should check ports up to 65535

2017-03-15 15:16:37 +0000 Keith Packard (c468be804)

	* os: Use NotifyFd interface for listen descriptors

2017-03-15 15:05:18 +0000 Jon TURNEY (3be144ffd)

	* Handle -displayfd and an explicit display number sensibly

2017-03-15 15:00:27 +0000 Mike Gabriel (506aedbcd)

	* Xserver/os/utils.c: Add NXAGENT_SERVER specific -nolisten
          parameter: ANY.

2017-03-15 14:56:17 +0000 Kristian Høgsberg (e8bc4c7e2)

	* os: Add a mechanism to prevent creating any listen sockets

2017-03-15 14:10:24 +0000 Chase Douglas (89496d987)

	* os: Add -displayfd option

2017-03-15 11:42:30 +0100 Keith Packard (eb4999611)

	* os: Use NotifyFd for ErrorConnMax

2017-03-15 12:08:46 +0100 Adam Jackson (f5301dee4)

	* Move SIGUSR1 notification as late as possible.

2017-02-16 10:54:19 +0000 Adam Jackson (4f76ed19b)

	* dix: Extend initial connection handshake for forwarding proxies

2017-02-16 10:51:40 +0000 Adam Jackson (ed52cb295)

	* dix: Pull client-is-local flag up to the ClientRec

2017-02-16 10:35:39 +0100 Pauli Nieminen (349b6dec5)

	* os: always check if client is local when connection is accepted

2017-02-15 16:42:14 +0100 Rami Ylimäki (239fe3d08)

	* os: Add facilities for client ID tracking.

2017-02-16 15:21:34 +0000 Mike Gabriel (366067b7c)

	* dix/os: backport various signal handling and smart scheduler
          changes from X.org

2017-02-16 15:04:43 +0000 Keith Packard (f14f738a6)

	* dix/os: Merge priority computation into SmartScheduleClient

2017-02-16 10:28:32 +0100 Pauli Nieminen (6c076cfe5)

	* os: Fix a memory leak

2017-02-15 14:42:48 +0000 Alan Coopersmith (8996f80a5)

	* Rework local client id finding code to be more uniform

2017-02-15 14:18:35 +0000 Alan Coopersmith (6bc37b980)

	* AUDIT messages should contain uid for local accesses (X.org bug
          #1997)

2017-02-15 14:11:46 +0000 Mike Gabriel (0338cbc3f)

	* LBX clean-up: Drop forgotten passage in Xserver/os/connection.c.

2017-02-15 13:51:26 +0000 Mike Gabriel (104307dd6)

	* Xserver/os/: Drop not-used-anymore MNX_TCPCONN macro.

2017-02-15 10:27:43 +0100 Mike Gabriel (7177caa70)

	* Xserver/os/Imakefile: Introduce the NULL variable and line-wrap
          various variable definitions for the sake of better
          readability.

2017-02-15 09:41:36 +0100 Adam Jackson (eac0a8fad)

	* Don't crash on unconfigured interfaces. (X.org bug #5218, Andrei
          Barbu)

2017-02-14 18:01:17 +0000 Alan Coopersmith (f9123570d)

	* Set padding bytes to 0 in WriteToClient

2017-02-14 15:47:10 +0000 Aaron Plattner (2ecd2a006)

	* os: Return BadLength instead of disconnecting BigReq clients
          (#4565)

2017-02-14 15:19:18 +0000 Peter Harris (cbc2d300b)

	* Fix overflow of ConnectionOutput->size and ->count

2017-02-15 08:13:57 +0000 Michel Dänzer (65b6a62bc)

	* dix: Pass ClientPtr to FlushCallback

2017-02-14 14:59:51 +0000 Keith Packard (af7c37500)

	* Xserver/os/io.c: Bail out early from FlushClient if nothing needs
          to be written.

2017-02-14 13:18:04 +0000 Chris Wilson (645b757df)

	* os: Immediately queue initial WriteToClient

2017-03-15 13:27:12 +0000 Mike Gabriel (074646707)

	* os/xdmcp: Remove dead 'restart' code

2017-03-19 22:24:59 +0100 Mike Gabriel (b7c389b9a)

	* Merge branch 'uli42-pr/ignore_caps' into 3.6.x

2017-03-19 21:59:17 +0100 Ulrich Sibiller (7065e0bf2)

	* Keystroke.c: ignore CapsLock and NumLock most of the time

2017-03-17 20:39:28 +0100 Mihai Moldovan (7fd5d934c)

	* Merge branch 'sunweaver-pr/setnotifyfd-ABI' into 3.6.x

2017-02-24 13:03:30 +0000 Mike Gabriel (f315ae066)

	* os: Initialize NotifyFds earlier in startup

2017-02-09 23:33:44 +0000 Keith Packard (761d74a68)

	* os: Implement support for NotifyFd X_NOTIFY_WRITE and removal of
          AddEnabledDevices/RemoveEnabledDevices

2017-02-09 21:28:12 +0000 Fredrik Höglund (6307e6fc7)

	* Move the code for resetting the DPMS mode in response to input
          events, from WaitForSomething to mieqProcessInputEvents.

2017-02-09 23:35:00 +0000 Mike Gabriel (9b934a447)

	* nxagent: Use SetNotifyFd to receive events.

2017-02-09 13:45:12 +0100 Keith Packard (86110d6ed)

	* os: Add NotifyFd interfaces

2017-02-09 12:32:16 +0000 Mike Gabriel (289e8ce56)

	* Xserver/include/list.h: Add list.h from X.org (from X.org commit
          63f83d1).

2017-02-10 00:22:03 +0100 Keith Packard (9f0008429)

	* os/xdmcp: Just send XDMCP keepalive packets once every three minute

2017-03-13 23:07:19 +0100 Mike Gabriel (6ac805ab4)

	* Merge branch 'uli42-pr/cleanup_keystroke' into 3.6.x

2017-03-13 22:19:17 +0100 Ulrich Sibiller (6f4eb1540)

	* Update keystroke readme

2017-03-13 22:07:58 +0100 Ulrich Sibiller (cb40cc448)

	* Keystroke.c: remove unneeded capital keys for default keystrokes

2017-03-13 22:00:23 +0100 Ulrich Sibiller (abf624212)

	* Keystroke.c: add new keystroke to reread keystroke config

2017-03-13 21:42:24 +0100 Ulrich Sibiller (aadcac452)

	* Keystroke.c: simplify parse_keystroke_file

2017-03-13 21:26:31 +0100 Ulrich Sibiller (f97bb3f13)

	* Keystroke.c: fix formatting

2017-03-13 21:19:48 +0100 Ulrich Sibiller (c134b93ac)

	* Keystroke.c: use an own environment variable for X2Go

2017-03-13 21:14:20 +0100 Ulrich Sibiller (8f2679abc)

	* Keystroke.c: make nxagentKeystrokeFileParsed local

2017-03-13 20:50:53 +0100 Ulrich Sibiller (3042c5064)

	* Keystroke.c: add missing Mod5 modifier

2017-03-13 20:27:50 +0100 Ulrich Sibiller (57081e55f)

	* Keystroke.c: fix code order

2017-03-13 20:25:15 +0100 Ulrich Sibiller (2c721f484)

	* Keystroke.h: sane struct init

2017-03-13 20:23:32 +0100 Ulrich Sibiller (d2c811564)

	* Keyboard.c: Introduce separate masks for Alt and Meta

2017-03-13 20:21:57 +0100 Ulrich Sibiller (5595e3d16)

	* Keystroke.c: Fix modifier handling

2017-03-13 20:20:53 +0100 Ulrich Sibiller (af5a83bba)

	* Keystroke.c: more/fixed debug output

2017-03-13 20:17:51 +0100 Ulrich Sibiller (af8e5e03a)

	* Keystroke: whitespace fixes

2017-03-11 00:21:53 +0100 Ulrich Sibiller (8f7b0b75b)

	* Keystroke.c: arrange switch_all_screens and fullscreen close
          together

2017-03-11 00:07:13 +0100 Ulrich Sibiller (8f0d885cd)

	* Keystroke.c: print keystroke name in TEST mode

2017-03-10 23:49:49 +0100 Ulrich Sibiller (b39ec4c45)

	* Keystroke.c: improve TEST output

2017-03-10 23:40:17 +0100 Ulrich Sibiller (93a360c5d)

	* Keystroke.c: add another FIXME

2017-03-10 23:31:27 +0100 Ulrich Sibiller (25db7413a)

	* Keystroke.c: Simplify read_binding_from_xmlnode

2017-03-10 23:30:02 +0100 Ulrich Sibiller (13a7c4a73)

	* Keystroke.c: use symbols instead of integers

2017-03-10 23:29:11 +0100 Ulrich Sibiller (f78e673fb)

	* Keystroke.c: Boolify read_binding_from_xmlnode

2017-03-10 23:09:24 +0100 Ulrich Sibiller (c80605a19)

	* Keystroke.c: Boolify nxagentCheckSpecialKeystroke

2017-03-10 23:08:40 +0100 Ulrich Sibiller (ac3794c5f)

	* Keystroke.c: reorder parse_keystroke_file

2017-03-10 22:58:27 +0100 Ulrich Sibiller (06c83be7e)

	* Keystroke.c: handle parsing state in parse_keystroke_file()

2017-03-10 22:55:37 +0100 Ulrich Sibiller (7804c9c69)

	* Keystroke.c: simplify nxagentCheckSpecialKeystroke

2017-03-10 22:53:09 +0100 Ulrich Sibiller (dfa8bb27b)

	* Keystroke.c: fix code formatting

2017-03-10 22:48:18 +0100 Ulrich Sibiller (7a61c62cd)

	* Keystroke.c: rework read_binding_from_xmlnode()

2017-03-10 22:47:18 +0100 Ulrich Sibiller (d8bc49135)

	* Keystroke.c: use Bool type where appropriate

2017-03-10 20:19:19 +0100 Mihai Moldovan (320cece2e)

	* Merge branch 'uli42-pr/misc_cherries' into 3.6.x

2017-03-04 01:12:24 +0100 Ulrich Sibiller (ee2a933c3)

	* Xext: fix compiler warning

2017-03-04 00:28:01 +0100 Ulrich Sibiller (e021bc231)

	* xfixes: fix compiler warning

2017-03-04 00:24:12 +0100 Ulrich Sibiller (914f78a23)

	* xfixes: fix compiler warnings

2017-03-04 00:15:08 +0100 Ulrich Sibiller (e79d3ac6b)

	* render/filter.c: add missing return value

2017-03-04 00:10:57 +0100 Ulrich Sibiller (a9d4a454b)

	* record.c: fix compiler warnings

2017-03-03 23:52:20 +0100 Ulrich Sibiller (c1ed00569)

	* fb: fix compiler warning

2017-03-03 23:43:50 +0100 Ulrich Sibiller (e17c42e55)

	* dix: Fix compiler warning

2017-03-03 23:32:52 +0100 Ulrich Sibiller (fe887d68a)

	* Display.c: remove unused logo code

2016-12-14 11:50:47 +0100 Ulrich Sibiller (2a6fcfc14)

	* Rootless.c: improve debugging output

2016-12-14 11:50:21 +0100 Ulrich Sibiller (a83022a4a)

	* Rootless.c: improve malloc failure handling

2016-12-14 11:49:40 +0100 Ulrich Sibiller (4e545710f)

	* Rootless.c: fix possible memleak

2016-12-13 10:05:40 +0100 Ulrich Sibiller (1b6b76b5b)

	* Display.c: pid is always 0, remove check

2016-12-13 02:02:29 +0100 Ulrich Sibiller (35e41467a)

	* Window.c: Fix reference before check for null pointer

2016-12-13 02:00:40 +0100 Ulrich Sibiller (4a1095fff)

	* Keyboard.c: Simplify if clause

2016-12-13 01:56:57 +0100 Ulrich Sibiller (fcb5e8a0e)

	* Rootless.c: Fix wrongly negated comparisons

2016-12-13 01:56:10 +0100 Ulrich Sibiller (df0fea79b)

	* Args.c: Fix missing parentheses

2017-03-09 10:32:45 +0100 Mihai Moldovan (fb55fc3ef)

	* nx-X11: use the "old", non-NX header location.

2017-03-09 09:22:03 +0100 Mihai Moldovan (dc8477f76)

	* nxcomp/ChannelEndPoint.cpp: we're not really testing for a
          character, but a pointer.

2017-03-09 08:29:23 +0100 Mihai Moldovan (4537ad4c2)

	* Refresh:   - 0016_nx-X11_install-location.debian.patch   -
          9900-dxpc-license-history.full+lite.patch

2017-03-09 08:24:28 +0100 Ulrich Sibiller (c2b050e30)

	* nx-X11: Backport CVE-2017-2624 (timingsafe_memcmp)

2017-03-07 23:53:21 +0100 Mihai Moldovan (d8a4f3be7)

	* Merge branch 'uli42-pr/backup_null_rulesfile' into 3.6.x

2008-12-03 15:06:37 +1000 Peter Hutterer (2794e674c)

	* xkb: Allow NULL as rulesFile in XkbSetRulesDflts.

2017-03-07 22:34:09 +0100 Mihai Moldovan (c6f0e6b2c)

	* Merge branch 'uli42-pr/cve-2017-2624' into 3.6.x

2017-03-04 16:10:38 +0100 Ulrich Sibiller (22f542626)

	* os: add timingsafe_memcmp to Imake

2017-03-03 22:46:33 +0100 Ulrich Sibiller (65c5d8ad7)

	* Backport CVE-2017-2624 (timingsafe_memcmp)

2017-03-03 22:44:58 +0100 Mike Gabriel (05aabb4e6)

	* Merge branch 'uli42-pr/fix_validatestring' into 3.6.x

2017-03-02 15:38:08 +0100 Ulrich Sibiller (06bb154df)

	* replace (DE)ALLOCATE_LOCAL by malloc/free

2017-03-03 21:46:33 +0100 Mike Gabriel (96e255603)

	* Merge branch 'uli42-pr/remove_allocate_local' into 3.6.x

2017-03-03 21:44:07 +0100 Ulrich Sibiller (6e8aee499)

	* nxagent: move validateString as inline func to Utils.h

2017-03-03 21:24:59 +0100 Ulrich Sibiller (19065e75e)

	* xkb: add missing const

2010-01-15 15:32:13 +1000 Peter Hutterer (9e29588dd)

	* xkb: remove XkbAtomGetString, replace with NameForAtom.

2011-02-13 21:36:03 -0800 Alan Coopersmith (bdfb52193)

	* Replace _XkbDupString with Xstrdup

2017-02-25 15:47:42 +0100 Ulrich Sibiller (e61e9795c)

	* nxagent: half number of NameForAtom calls

2017-03-02 15:38:08 +0100 Ulrich Sibiller (09ef99919)

	* replace (DE)ALLOCATE_LOCAL by malloc/free

2017-03-03 16:21:33 +0100 Mihai Moldovan (89ccf26d6)

	* Merge branch 'sunweaver-pr/really-enable-MITSHM-in-fboverlay-c'
          into 3.6.x

2017-02-05 23:25:35 +0000 Mike Gabriel (1c7b45d57)

	* Xserver/mi/miscrinit.c: Use new shmint.h for making
          ShmRegisterFbFuncs() available.

2017-02-05 23:23:52 +0000 Mike Gabriel (269651e47)

	* Xserver/fb/fboverlay.c: Define -DMITSHM at build as it is used in
          fboverlay.c.

2017-02-05 23:16:50 +0000 Mike Gabriel (dbfd7645a)

	* Xserver/Xext/shmint.h: Provide header file exporting
          ShmRegisterFunc and ShmRegisterFbFuncs (plus
          ShmSetPixmapFormat as a by-product).

2017-03-03 13:46:38 +0100 Mihai Moldovan (a54f3e0a8)

	* Merge branch 'sunweaver-pr/fix-unused-libNX_X11-files' into 3.6.x

2017-02-04 11:09:37 +0100 Mike Gabriel (09cf1bcc0)

	* libNX_X11: Fully drop loadable i18n module support in libNX_X11.

2017-02-04 10:55:12 +0100 Mike Gabriel (ba27cae63)

	* libNX_X11/lcUTF8.c: Drop not-used X11/lcUniConv/ascii.h.

2017-02-04 10:52:05 +0100 Mike Gabriel (949f5e04e)

	* doc/libNX_X11/lcUniConv: Move over the rather-documentary files
          8bit_tab_to_h.c and cjk_tab_to_h.c to nx-libs's doc/
          folder.

2017-02-04 10:50:49 +0100 Mike Gabriel (c9539417a)

	* doc/libNX_X11/lcUniConv: Pull over README from X.org's libX11 to
          document the origin and purpose of 8bit_tab_to_h.c and
          cjk_tab_to_h.c.

2017-03-03 13:09:15 +0100 Mike Gabriel (8cdccdcf1)

	* Merge branch 'sunweaver-pr/happyvalgrind-in-glXQueryVersion' into
          3.6.x

2017-03-03 11:06:58 +0100 Mike Gabriel (6e770378c)

	* Xserver/GL/glx/glxcmd.c: Fix uninitialized xGLXQueryVersionReply.

2016-09-16 23:58:54 +0000 Mihai Moldovan (7011de155)

	* misc nx-X11/programs/Xserver/randr/: switch to using xreallocarray,
          since it has been ported now.

2016-09-12 02:59:02 +0000 Mihai Moldovan (5413c5ec8)

	* misc nx-X11/programs/Xserver/{composite,dix,randr}/: switch to
          using reallocarray, since it has been ported now.

2016-08-17 04:51:32 +0000 Mihai Moldovan (cd1dcdb2b)

	* nx-X11/programs/Xserver/include/os.h: backport xallocarray().

2016-08-17 04:34:50 +0000 Mihai Moldovan (d189cb422)

	*
          nx-X11/{config/cf/{{Imake,X11}.tmpl,linux.cf},programs/Xserver/{include/os.h,os/{Imakefile,reallocarray.c}}:
          backport reallocarray() implementation.

2016-07-20 02:41:03 +0000 Mihai Moldovan (1a7fc41c2)

	* misc nx-X11/programs/Xserver/{hw/nxagent,miext,render}/: move code
          around so that we can drop
          nx-X11/programs/Xserver/render/miglyph.c (and by extension
          nx-X11/programs/Xserver/hw/nxagent/NXmiglyph.c.)

2016-09-12 02:33:22 +0000 Mihai Moldovan (d5a222b65)

	* nx-X11/programs/Xserver/mi/{Imakefile,mibank.{c,h}}: backport
          ffaae7c0c69a51a53a76146c79f3630ae197a443.

2017-03-03 11:42:06 +0100 Mike Gabriel (50c589eb9)

	* Merge branch
          'sunweaver-pr/happyvalgrind-nxagentResetSignalHandlers'
          into 3.6.x

2017-03-03 11:17:22 +0100 Mike Gabriel (46f9afb35)

	* hw/nxagent/Display.c: Fix uninitialized newAction in
          nxagentResetSignalHandlers().

2017-03-03 11:04:10 +0100 Mike Gabriel (20029dbc8)

	* Merge branch 'uli42-pr/happyvalgrind' into 3.6.x

2017-02-25 02:17:18 +0100 Ulrich Sibiller (3e315cd17)

	* Fix "uninitialised byte(s)" complaints from valgrind

2017-03-02 11:24:18 +0100 Mihai Moldovan (9d41e84ea)

	* Merge branch 'sunweaver-pr/allow-empty-nx-options-string' into
          3.6.x

2017-02-05 12:47:57 +0100 Mike Gabriel (ce037f4e3)

	* nxcomp/Loop.cpp: Allow nx/nx:<disp> as DISPLAY variable (i.e. an
          empty nx/nx options string.

2017-02-05 12:41:28 +0100 Mike Gabriel (a4be1b89f)

	* nxcomp/Loop.cpp: Ignore, options= nx/nx parameter, if file options
          path starts with /dev/, /proc/, or /sys/.

2017-03-02 11:01:43 +0100 Mihai Moldovan (554a6fa76)

	* Merge branch 'sunweaver-pr/constify-atom-name-strings' into 3.6.x

2017-02-27 13:52:29 +0000 Mike Gabriel (9c3669c6b)

	* Xserver/dix/atom.c (et al.): Constify atom name strings.

2017-03-01 15:19:26 +0100 Mihai Moldovan (f42d36fb7)

	* Merge branch
          'sunweaver-pr/randr-regression-fix-re-adding-RegisterResourceName-calls'
          into 3.6.x

2017-02-27 11:20:38 +0100 Mike Gabriel (bdc212b84)

	* nx-libs.spec: Add BR filesystem for SUSE builds (as it provides
          /usr/share/fonts).

2017-02-14 09:35:32 +0000 Mike Gabriel (f90e92bca)

	* nx-libs.spec: Add BR for Fedora/RHEL builds: xorg-x11-font-utils.

2017-02-09 08:59:48 +0100 Mike Gabriel (2174721a0)

	* nx-libs.spec: Versioned BR on libXfont-devel (and alike) (>=
          1.4.2).

2017-02-09 08:59:15 +0100 Mike Gabriel (2556d40fb)

	* debian/control: Versioned B-D on libXfont (>= 1.4.2).

2017-02-09 08:55:07 +0100 Tiago Vignatti (ec30a857e)

	* dix: use one single function to register fpe fonts

2017-02-08 13:57:42 +0100 Mike Gabriel (7bf444621)

	* nx-libs.spec: Handle fonts dir symlinking and install
          /usr/share/nx/fonts symlink into nxagent bin:pkg. This
          change probably needs more fine-tuning for the various
          other RPM distros and versions out there.

2017-02-05 21:35:33 +0000 Mike Gabriel (bd98ba2d7)

	* For consistency, apply patch from previous commit (630a7c3) to the
          original Xserver/dix/dixfonts.c file, although the code is
          undef'ed when NXAGENT_SERVER is defined.

2017-02-05 17:06:55 +0000 Mike Gabriel (d981d938d)

	* {dix/,hw/nxagent/NX}dixfont.{c,h}: Support using builtin-fonts.
          Makes dependency on X11's misc fonts package obsolete.

2017-02-05 21:04:46 +0000 Mike Gabriel (d8eac7cce)

	* Xserver/dix/main.c: ErrorF requires a string to end with an EOL
          char.

2017-02-05 19:34:33 +0000 Mike Gabriel (7866430ed)

	* debian/nx-x11-common.{links,dirs}: Make sure /usr/share/fonts/X11
          are reachable for nxagent (via placing a symlink to
          /usr/share/nx/fonts).

2017-02-05 20:19:49 +0000 Mike Gabriel (6537f7ece)

	* Xserver/hw/nxagent/Font.c: Drop references to
          /usr/NX/share/fonts/base as default font path, entirely.

2017-02-05 20:18:13 +0000 Mike Gabriel (b11dd91a8)

	* Xserver/hw/nxagent/Font.c: Change (alternative) default font path
          order to make font path search compliant with latest FHS
          for X11 fonts (though, prefer /usr/share/nx/fonts as
          default path).

2017-02-05 19:54:40 +0000 Mike Gabriel (b816d361f)

	* Xserver/hw/nxagent/Font.c: Drop NXAGENT_ALTERNATE_FONT_PATH_4
          (pointing to /usr/NX/share/fonts/base) entirely.

2017-02-05 19:19:44 +0000 Mike Gabriel (2161edef0)

	* nx-X11/config/cf/X11.tmpl: Set a more appropriate font directory
          (recommended: /usr/{,local/}share/nx/fonts).

2017-02-06 15:33:35 +0100 Mike Gabriel (628281ea9)

	* debian/patches: Update/rebase
          016_nx-X11_install-location.debian.patch.

2017-02-06 14:30:03 +0100 Mike Gabriel (398e238ff)

	* nx-libs.spec: Drop non-shipped-anymore rgb(.txt) file from list of
          to-be-installed files.

2017-02-06 15:20:18 +0100 Mike Gabriel (41c79bfc6)

	* debian/nxagent.*: Drop conffile /etc/nxagent/rgb utilizing
          dpkg-maintscript-helper.

2017-02-06 15:19:47 +0100 Mike Gabriel (7e99ae375)

	* Xserver/os/oscolor.c: Follow X.org in dropping the rgb.txt file
          entirely. Content of that file is now hard-coded.

2017-02-24 22:22:47 +0000 Mike Gabriel (095ba65b0)

	* release 3.5.99.4

2017-02-19 00:06:54 +0100 Ulrich Sibiller (1d24554ff)

	* dix: fix incomplete commit

2017-02-15 09:59:00 +0100 Mike Gabriel (52c3c80d7)

	* Naming change: Security*Access -> Dix*Access

2017-02-17 12:43:06 +0000 Mike Gabriel (efc0dae05)

	* Switch from using libNX_X11's deprecated XKeycodeToKeysym()
          function to using XGetKeyboardMapping().

2017-02-09 14:05:32 +0100 Mathieu Bérard (e70448087)

	* The smart scheduler is not optional.

2017-02-08 16:33:40 +0100 Mike Gabriel (f781b8e4c)

	* Makefile: Fix flawed uninstall-* targets. Spotted by Ionic while
          reviewing the nxagent RPATH changeset. Thanks!

2017-02-08 16:31:00 +0100 Mike Gabriel (29fee5b46)

	* debian/patches: Update comment header of
          016_nx-X11_install-location.debian.patch.

2017-02-04 19:02:16 +0100 Mike Gabriel (d16caa78a)

	* debian/patches: Update 016_nx-X11_install-location.debian.patch.
          Adapt path to recent upstream changes.

2017-02-04 19:00:00 +0100 Mike Gabriel (0a7ef09c8)

	* Load libNX_X11 / faked libX11 via RPATH setting rather than
          fidgeting with LD_LIBRARY_PATH in the nxagent wrapper
          script.

2017-02-08 15:03:58 +0100 Mike Gabriel (6777fac08)

	* Makefile: Allow longer names for variables that we want to allow
          distro maintainers to override.

2017-02-04 18:54:21 +0100 Mike Gabriel (14e4005b2)

	* Makefile: Actively set/override USRLIBDIR and SHLIBDIR when calling
          Xserver's make process.

2017-02-04 18:53:25 +0100 Mike Gabriel (5d3c4dda7)

	* debian/rules: Don't manually override SHLIBDIR via the
          dh_auto_build call. The default in the main Makefile
          should work fine.

2017-02-04 18:52:56 +0100 Mike Gabriel (cfb097af0)

	* nx-libs.spec: Don't manually override SHLIBDIR via the .spec file.
          The default in the main Makefile should work fine.

2017-02-04 18:52:04 +0100 Mike Gabriel (1e1f1246b)

	* Makefile: Align variable names USRLIBDIR, SHLIBDIR (and NX_DIR)
          with nx-X11 internal naming schemes (and use
          /usr/<lib>/nx/X11 rather than /usr/<lib>/nx-X11).

2017-02-08 11:06:17 +0100 Mike Gabriel (af11c3123)

	* nx-X11/include/Xos_r.h: Drop one _POSIX_REENTRANT_FUNCTIONS macro
          block, where offenders AIXV3, AIXV4 and __osf__ are gone
          now.

2017-02-04 16:25:13 +0100 Daniel Stone (bf1b3c6cf)

	* dix: remove staggeringly broken vendor workarounds

2016-11-15 22:03:39 +0100 Mike Gabriel (8c1a21b45)

	* drop platform support: unifdef sgi.

2016-11-15 21:51:55 +0100 Mike Gabriel (5c3776d25)

	* drop platform support: unifdef QNX.

2016-11-15 21:41:57 +0100 Mike Gabriel (29401f29b)

	* drop platform support: unifdef DGUX.

2016-11-15 21:32:46 +0100 Mike Gabriel (0a9f9a951)

	* drop platform support: unifdef __osf__.

2016-11-15 21:20:22 +0100 Mike Gabriel (cc1350ace)

	* drop platform support: unifdef AIXV3, AIXV4 (and AIXrt, AIX386).

2016-11-15 20:59:35 +0100 Mike Gabriel (f6dcf2feb)

	* drop platform support: unifdef hpux and __hppa__.

2016-11-15 19:20:13 +0100 Mike Gabriel (19edfab78)

	* drop platform support: unifdef Lynx.

2016-11-15 18:41:52 +0100 Mike Gabriel (0f9a11a94)

	* drop platform support: unifdef __UNIXOS2__.

2017-02-08 21:43:45 +0100 Ulrich Sibiller (f22e873e6)

	* Screen.c: clean up superfluous whitespace

2017-02-08 21:13:38 +0100 Ulrich Sibiller (baf7a9267)

	* Screen.c: Ensure that an output is unused before destroying it

2017-02-05 19:16:54 +0000 Mike Gabriel (da82328b2)

	* nx-X11/config/cf/X11.tmpl: Fix DefaultRGBDatabase path to
          $(USRDATADIR)/rgb (not $(LIBDIR)/rgb).

2017-02-04 15:41:18 +0100 Mike Gabriel (ce153d401)

	* debian/copyright{,.in}: Adopt from Debian's upload candidate, being
          DEP-5 compliant and up-to-date for 3.5.99.3.

2017-02-27 13:11:33 +0100 Mike Gabriel (5e68c1283)

	* Merge branch 'sunweaver-pr/support-builtin-fonts' into 3.6.x

2017-02-27 11:20:38 +0100 Mike Gabriel (3e8d98f33)

	* nx-libs.spec: Add BR filesystem for SUSE builds (as it provides
          /usr/share/fonts).

2017-02-14 09:35:32 +0000 Mike Gabriel (b981dd16f)

	* nx-libs.spec: Add BR for Fedora/RHEL builds: xorg-x11-font-utils.

2017-02-09 08:59:48 +0100 Mike Gabriel (6c9e3ebdb)

	* nx-libs.spec: Versioned BR on libXfont-devel (and alike) (>=
          1.4.2).

2017-02-09 08:59:15 +0100 Mike Gabriel (6fd724366)

	* debian/control: Versioned B-D on libXfont (>= 1.4.2).

2017-02-09 08:55:07 +0100 Tiago Vignatti (cb760f14d)

	* dix: use one single function to register fpe fonts

2017-02-08 13:57:42 +0100 Mike Gabriel (899254993)

	* nx-libs.spec: Handle fonts dir symlinking and install
          /usr/share/nx/fonts symlink into nxagent bin:pkg. This
          change probably needs more fine-tuning for the various
          other RPM distros and versions out there.

2017-02-05 21:35:33 +0000 Mike Gabriel (2ba23b3bc)

	* For consistency, apply patch from previous commit (630a7c3) to the
          original Xserver/dix/dixfonts.c file, although the code is
          undef'ed when NXAGENT_SERVER is defined.

2017-02-05 17:06:55 +0000 Mike Gabriel (ed40c3db1)

	* {dix/,hw/nxagent/NX}dixfont.{c,h}: Support using builtin-fonts.
          Makes dependency on X11's misc fonts package obsolete.

2017-02-05 21:04:46 +0000 Mike Gabriel (82a7f72ca)

	* Xserver/dix/main.c: ErrorF requires a string to end with an EOL
          char.

2017-02-05 19:34:33 +0000 Mike Gabriel (8383b1925)

	* debian/nx-x11-common.{links,dirs}: Make sure /usr/share/fonts/X11
          are reachable for nxagent (via placing a symlink to
          /usr/share/nx/fonts).

2017-02-05 20:19:49 +0000 Mike Gabriel (18794d26c)

	* Xserver/hw/nxagent/Font.c: Drop references to
          /usr/NX/share/fonts/base as default font path, entirely.

2017-02-05 20:18:13 +0000 Mike Gabriel (7e3bb3f19)

	* Xserver/hw/nxagent/Font.c: Change (alternative) default font path
          order to make font path search compliant with latest FHS
          for X11 fonts (though, prefer /usr/share/nx/fonts as
          default path).

2017-02-05 19:54:40 +0000 Mike Gabriel (66d9b3e8b)

	* Xserver/hw/nxagent/Font.c: Drop NXAGENT_ALTERNATE_FONT_PATH_4
          (pointing to /usr/NX/share/fonts/base) entirely.

2017-02-05 19:19:44 +0000 Mike Gabriel (55854645c)

	* nx-X11/config/cf/X11.tmpl: Set a more appropriate font directory
          (recommended: /usr/{,local/}share/nx/fonts).

2017-02-27 04:08:51 +0100 Mihai Moldovan (0a5d26d12)

	* Merge branch 'sunweaver-pr/hard-code-rgb-colors' into 3.6.x

2017-02-06 15:33:35 +0100 Mike Gabriel (fff875549)

	* debian/patches: Update/rebase
          016_nx-X11_install-location.debian.patch.

2017-02-06 14:30:03 +0100 Mike Gabriel (0b3447540)

	* nx-libs.spec: Drop non-shipped-anymore rgb(.txt) file from list of
          to-be-installed files.

2017-02-06 15:20:18 +0100 Mike Gabriel (744e288d1)

	* debian/nxagent.*: Drop conffile /etc/nxagent/rgb utilizing
          dpkg-maintscript-helper.

2017-02-06 15:19:47 +0100 Mike Gabriel (f6a114027)

	* Xserver/os/oscolor.c: Follow X.org in dropping the rgb.txt file
          entirely. Content of that file is now hard-coded.

2017-02-24 22:22:47 +0000 Mike Gabriel (e1f2902bb)

	* release 3.5.99.4 (tag: 3.5.99.4)

2017-02-24 12:23:51 +0100 Mihai Moldovan (31426a3d2)

	* Merge branch 'uli42-fix_#306_#322' into 3.6.x

2017-02-19 00:06:54 +0100 Ulrich Sibiller (3d8575c21)

	* dix: fix incomplete commit

2017-02-20 10:33:52 +0100 Mihai Moldovan (3c322ffbb)

	* Merge branch 'sunweaver-pr/security-acl-naming-change' into 3.6.x

2017-02-15 09:59:00 +0100 Mike Gabriel (104a3e9e2)

	* Naming change: Security*Access -> Dix*Access

2017-02-20 10:21:01 +0100 Mike Gabriel (c79f2d289)

	* Merge branch
          'sunweaver-pr/use-xgetkeyboardMapping-instead-of-deprecated-xkeycodetokeysym'
          into 3.6.x

2017-02-17 12:43:06 +0000 Mike Gabriel (38ac74d6f)

	* Switch from using libNX_X11's deprecated XKeycodeToKeysym()
          function to using XGetKeyboardMapping().

2017-02-18 10:24:21 +0100 Mihai Moldovan (73ec915bc)

	* Merge branch 'sunweaver-pr/smart-scheduler-is-not-optional' into
          3.6.x

2017-02-09 14:05:32 +0100 Mathieu Bérard (6884e6a5b)

	* The smart scheduler is not optional.

2017-02-10 00:47:32 +0100 Mihai Moldovan (0a7df0770)

	* Merge branch 'sunweaver-pr/use-rpath-for-nxagent' into 3.6.x

2017-02-08 16:33:40 +0100 Mike Gabriel (99c130f15)

	* Makefile: Fix flawed uninstall-* targets. Spotted by Ionic while
          reviewing the nxagent RPATH changeset. Thanks!

2017-02-08 16:31:00 +0100 Mike Gabriel (52760b6e8)

	* debian/patches: Update comment header of
          016_nx-X11_install-location.debian.patch.

2017-02-04 19:02:16 +0100 Mike Gabriel (a474b9f93)

	* debian/patches: Update 016_nx-X11_install-location.debian.patch.
          Adapt path to recent upstream changes.

2017-02-04 19:00:00 +0100 Mike Gabriel (ba620a054)

	* Load libNX_X11 / faked libX11 via RPATH setting rather than
          fidgeting with LD_LIBRARY_PATH in the nxagent wrapper
          script.

2017-02-08 15:03:58 +0100 Mike Gabriel (9d1da072c)

	* Makefile: Allow longer names for variables that we want to allow
          distro maintainers to override.

2017-02-04 18:54:21 +0100 Mike Gabriel (4c4d3dfba)

	* Makefile: Actively set/override USRLIBDIR and SHLIBDIR when calling
          Xserver's make process.

2017-02-04 18:53:25 +0100 Mike Gabriel (4a01be659)

	* debian/rules: Don't manually override SHLIBDIR via the
          dh_auto_build call. The default in the main Makefile
          should work fine.

2017-02-04 18:52:56 +0100 Mike Gabriel (0ae1fd5d3)

	* nx-libs.spec: Don't manually override SHLIBDIR via the .spec file.
          The default in the main Makefile should work fine.

2017-02-04 18:52:04 +0100 Mike Gabriel (c45cab1ba)

	* Makefile: Align variable names USRLIBDIR, SHLIBDIR (and NX_DIR)
          with nx-X11 internal naming schemes (and use
          /usr/<lib>/nx/X11 rather than /usr/<lib>/nx-X11).

2017-02-09 22:01:31 +0100 Mihai Moldovan (0a314adfa)

	* Merge branch 'sunweaver-pr/drop-support-for-ancient-platforms' into
          3.6.x

2017-02-08 11:06:17 +0100 Mike Gabriel (029bae127)

	* nx-X11/include/Xos_r.h: Drop one _POSIX_REENTRANT_FUNCTIONS macro
          block, where offenders AIXV3, AIXV4 and __osf__ are gone
          now.

2017-02-04 16:25:13 +0100 Daniel Stone (7dae94814)

	* dix: remove staggeringly broken vendor workarounds

2016-11-15 22:03:39 +0100 Mike Gabriel (2d45d8d80)

	* drop platform support: unifdef sgi.

2016-11-15 21:51:55 +0100 Mike Gabriel (c6250a864)

	* drop platform support: unifdef QNX.

2016-11-15 21:41:57 +0100 Mike Gabriel (754e48ac0)

	* drop platform support: unifdef DGUX.

2016-11-15 21:32:46 +0100 Mike Gabriel (a9c30796d)

	* drop platform support: unifdef __osf__.

2016-11-15 21:20:22 +0100 Mike Gabriel (4b178918b)

	* drop platform support: unifdef AIXV3, AIXV4 (and AIXrt, AIX386).

2016-11-15 20:59:35 +0100 Mike Gabriel (184c5d778)

	* drop platform support: unifdef hpux and __hppa__.

2016-11-15 19:20:13 +0100 Mike Gabriel (ace255eda)

	* drop platform support: unifdef Lynx.

2016-11-15 18:41:52 +0100 Mike Gabriel (d12f95241)

	* drop platform support: unifdef __UNIXOS2__.

2017-02-08 22:34:53 +0100 Mike Gabriel (86a6a340f)

	* Merge branch 'uli42-pr/fix_#293' into 3.6.x

2017-02-08 21:43:45 +0100 Ulrich Sibiller (3790a28fe)

	* Screen.c: clean up superfluous whitespace

2017-02-08 21:13:38 +0100 Ulrich Sibiller (184c07e24)

	* Screen.c: Ensure that an output is unused before destroying it

2017-02-06 21:57:50 +0100 Mihai Moldovan (083051f66)

	* Merge branch 'sunweaver-pr/fix-DefaultRGBDatabase-path' into 3.6.x

2017-02-05 19:16:54 +0000 Mike Gabriel (34889920c)

	* nx-X11/config/cf/X11.tmpl: Fix DefaultRGBDatabase path to
          $(USRDATADIR)/rgb (not $(LIBDIR)/rgb).

2017-02-04 15:41:18 +0100 Mike Gabriel (d6f475f67)

	* debian/copyright{,.in}: Adopt from Debian's upload candidate, being
          DEP-5 compliant and up-to-date for 3.5.99.3.

2017-02-04 15:22:20 +0100 Mike Gabriel (ff6126f44)

	* Xserver/randr: Regression fix introduced by c2b1f48. Re-introduce
          RegisterResourceName() calls after each
          CreateNewResourceType() call.

2017-02-03 14:58:06 +0100 Mike Gabriel (1cd73ccb7)

	* Makefile: Don't create superfluous symlink for libX11.so ->
          ../libNX_X11.so. The libNX_X11.so is only required at
          build time, so need to use it for faking libX11.so in
          nxagent.

2017-02-03 14:40:19 +0100 Mike Gabriel (b0d28c8a6)

	* debian/changelog: Cosmetic fix, restoring correct version number
          for 3.5.99.2 release stanza.

2017-01-12 10:23:02 +0100 Mike Gabriel (93447eb2b)

	* Merge branch 'opoplawski-symlink' into 3.6.x

2017-01-05 16:43:17 -0700 Orion Poplawski (f92820948)

	* Be consistent with macros

2017-01-05 16:35:34 -0700 Orion Poplawski (c392bc0a8)

	* Use Obsoletes instead of Conflicts.  Drop unneeded %{?_isa}
          versions

2017-01-12 10:21:51 +0100 Mike Gabriel (42b136811)

	* Merge branch 'opoplawski-fedora' into 3.6.x

2017-01-11 15:19:24 -0700 Orion Poplawski (c9ab60e89)

	* Install missing libNX_X11.so.6 symlink - fixes gh-287

2017-01-05 16:43:17 -0700 Orion Poplawski (bdcc867e2)

	* Be consistent with macros

2017-01-05 16:35:34 -0700 Orion Poplawski (13f3bdc00)

	* Use Obsoletes instead of Conflicts.  Drop unneeded %{?_isa}
          versions

2016-12-22 20:12:53 +0100 Mike Gabriel (7d845e7f4)

	* hw/nxagent/Init.c: Amend artifact in license header.

2016-12-22 15:30:07 +0100 Mike Gabriel (9c0d52807)

	* helper scripts: Add license headers to files.

2016-12-20 10:33:48 +0100 Mike Gabriel (b425f071e)

	* nxcomp: Fix artifacts in copyright headers.

2016-12-20 10:27:07 +0100 Mike Gabriel (8a8ec60cc)

	* nxcompext: Drop folder with .gitignore file. nxcompext has been
          moved into nxagent DDX.

2016-12-20 09:04:11 +0100 Mike Gabriel (02546c560)

	* roll-tarballs.sh: Adapt to recent changes in nx-libs, keep legacy
          support for older 3.6.x and 3.5.x releases.

2016-12-19 15:03:09 +0100 Mike Gabriel (9acd13e50)

	* release 3.5.99.3 (tag: 3.5.99.3)

2016-12-14 13:32:23 +0100 Mike Gabriel (8be276d27)

	* Merge branch 'theqvd-fix-loopback-bind' into 3.6.x

2016-12-13 12:00:43 +0100 Vadim Troshchinskiy (920f423a5)

	* Make nxagent only bind to loopback when requested

2016-12-14 10:57:39 +0100 Mike Gabriel (e466a9387)

	* Merge branch 'theqvd-fix-accept-host-message' into 3.6.x

2016-12-13 12:19:09 +0100 Vadim Troshchinskiy (77188865e)

	* Fix reversed logic in acceptHost setting

2016-12-10 21:49:10 +0100 Mike Gabriel (2b8f59261)

	* Merge branch 'uli42-pr/improve_xinerama_debug' into 3.6.x

2016-12-07 21:50:40 +0100 Ulrich Sibiller (6f3fb5248)

	* Screen.c: more debug output formatting improvements

2016-12-07 21:17:26 +0100 Ulrich Sibiller (e14309892)

	* Screen.c: fix uninitalized variable

2016-12-07 21:15:59 +0100 Ulrich Sibiller (ce76009d2)

	* Screen.c: fix compile warnings in DEBUG mode

2016-12-07 21:42:03 +0100 Ulrich Sibiller (6882b08d8)

	* Screen.c: fix formatting

2016-12-07 20:18:09 +0100 Ulrich Sibiller (c806956c2)

	* Screen.c: improve debugging output

2016-12-05 10:26:28 +0000 Mike Gabriel (5bdb2fcdf)

	* debian/control: B-D alternatively on libxfont1-dev or libxfont-dev.
          Fix FTBFS on Debian stretch which has libxfont2-dev as
          default now.

2016-12-04 21:45:33 +0100 Mike Gabriel (c893ad65c)

	* Merge branch 'sunweaver-pr/drop-glx-ansic' into 3.6.x

2016-11-02 20:30:07 +0100 Mike Gabriel (4e33fd4be)

	* Mesa: Convert some files with MSDOS EOL style to Unix EOL style.

2016-11-01 21:30:22 +0100 Kristian Høgsberg (4146d1aa7)

	* Drop xf86glx.h, so we can finally drop Xserver/GL/include/
          entirely.

2016-10-31 15:06:37 +0100 Kristian Høgsberg (cee997dac)

	* Drop glx_ansic.h wrapper and call malloc, realloc, free and
          str-funcs directly.

2016-12-04 21:14:24 +0100 Mike Gabriel (b38d5b97d)

	* Merge branch 'sunweaver-pr/extmod-xfree86loader-cleanup' into 3.6.x

2016-10-29 11:28:02 +0200 Eric Anholt (508d2deae)

	* Remove libcwrapper usage from xorg server modules. The libcwrapper
          is not used in nxagent.

2016-12-04 21:09:52 +0100 Mike Gabriel (62f8e50e7)

	* Merge branch 'uli42-pr/compilation_fixes_and_debug_improvements'
          into 3.6.x

2016-12-03 23:31:26 +0100 Ulrich Sibiller (b0106e75a)

	* slightly improve rrxinerama debug output

2016-12-03 23:06:32 +0100 Ulrich Sibiller (c5e06d408)

	* Fix compilation warnings

2016-11-30 08:13:54 +0100 Mike Gabriel (a0a429cc7)

	* Update auto-generated debian/copyright.in.

2016-11-18 00:07:19 +0100 Mike Gabriel (cb8af80ae)

	* .gitignore: Don't ignore myself.

2016-11-18 00:06:30 +0100 Mike Gabriel (edeca4aff)

	* Merge branch 'uli42-pr/gitignore' into 3.6.x

2016-11-03 23:53:46 +0100 Ulrich Sibiller (7993d28f1)

	* add .gitignore files

2016-11-17 20:49:53 +0100 Mike Gabriel (1f6070437)

	* Merge branch 'uli42-pr/remove_xlibi18n' into 3.6.x

2016-11-04 00:25:25 +0100 Ulrich Sibiller (de4eca171)

	* LibX11: drop unused xlibi18n

2016-11-15 17:06:18 +0100 Mike Gabriel (cb8bcbec8)

	* Merge branch 'sunweaver-pr/testscripts-file-headers' into 3.6.x

2016-11-07 12:32:09 +0100 Mike Gabriel (00725f16a)

	* testscripts: Use non-NoMachine file headers for our testscripts.

2016-11-15 17:02:11 +0100 Mike Gabriel (91d06723b)

	* New helper script: regenerate-symbol-docs.sh. Plus update symbols
          usage of libNX_X11 and nxcompext in nxagent, nxcompext and
          libNX_X11.

2016-11-15 16:42:39 +0100 Mike Gabriel (8c5a1b071)

	* Merge branch 'sunweaver-pr/move-nxcompext-into-Xserver' into 3.6.x

2016-11-09 16:45:47 +0100 Mike Gabriel (9ad0aae5d)

	* Xserver/Imakefile: Some whitespace fixes.

2016-11-03 00:19:26 +0100 Mike Gabriel (80b5de3f5)

	* nxcompext: Move code into Xserver subtree, as nxcompext requires
          Xserver includes at build time.

2016-11-03 08:30:49 +0100 Mike Gabriel (cae394b45)

	* Xserver/hw/nxagent/Imakefile: Introduce the NULL variable.

2016-11-08 08:00:44 +0100 Mihai Moldovan (b1d3f2ca5)

	* Merge branch 'uli42-pr/keyboard_fixes' into arctica-3.6.x

2016-10-27 01:00:23 +0200 Ulrich Sibiller (2f2ade61a)

	* Keyboard.c: evdev is only existing on Linux

2006-10-02 20:58:33 +0300 Daniel Stone (926e90abc)

	* xkb: remove the world's most staggeringly broken vendor workaround

2016-10-26 11:01:57 +0200 Ulrich Sibiller (08ed062c4)

	* Keyboard.c: move variable to inner scope

2016-10-26 10:39:37 +0200 Ulrich Sibiller (d37f9f311)

	* Reconnect.c: simplify code by using strndup

2016-10-25 23:40:13 +0200 Ulrich Sibiller (e52799d5c)

	* Keyboard.c: replace malloc/strcpy by str(n)dup

2016-10-25 22:59:35 +0200 Ulrich Sibiller (718c5b9f1)

	* Keyboard.c: more whitespace/formatting fixes

2016-10-25 22:53:39 +0200 Ulrich Sibiller (b5cc3c94e)

	* Keyboard.c: improve keyboard file creation

2016-10-25 22:53:07 +0200 Ulrich Sibiller (52848b785)

	* Keyboard.c: use NULL instead of 0

2016-10-25 22:52:43 +0200 Ulrich Sibiller (3ea601bcb)

	* Keyboard.c: remove superfluous whitespace

2016-10-25 21:50:11 +0200 Ulrich Sibiller (2901aca36)

	* Keyboard.c: Fix wrong error msg prefix

2016-10-25 21:41:11 +0200 Ulrich Sibiller (2f7f39b49)

	* Keyboard.c: Fix and simplify keyboard config file handling

2016-10-25 21:40:10 +0200 Ulrich Sibiller (8793e362b)

	* Improve DEBUG/TEST output regarding keyboard stuff

2016-10-25 21:39:24 +0200 Ulrich Sibiller (e3ac55bc2)

	* Drop unused define NXAGENT_KEYMAP_DIR_FILE

2016-11-05 05:20:31 +0000 Mihai Moldovan (7b79e8d83)

	* Makefile: fix up a9b145d4.

2016-11-05 05:18:06 +0000 Mihai Moldovan (c7e01938d)

	* nx-X11/lib/X11/Imakefile: essentially revert 5a90a63.

2016-11-04 14:19:07 +0100 Vadim Troshchinskiy (e5091e002)

	* Added sample slave agent and test script

2016-11-03 22:51:56 +0100 Mihai Moldovan (53d304ef7)

	* Merge branch 'sunweaver-pr/drop-fbmmx' into arctica-3.6.x

2016-10-29 14:23:58 +0200 Mike Gabriel (f5c5cb10f)

	* Xserver/fb: Drop fbmmx.[ch] files and code passages wrapped-in by
          USE_MMX macro.

2016-10-29 14:23:25 +0200 Mike Gabriel (89e1457d1)

	* Xserver/fb/Imakefile: Introduce NULL variable.

2016-11-03 09:36:23 +0100 Mike Gabriel (d12b77543)

	* Merge branch 'uli42-pr/libX11_xtrans_silence_compiler_warnings'
          into 3.6.x

2016-11-02 23:57:43 +0100 Ulrich Sibiller (47fab08aa)

	* xtrans: fix const warnings for SocketConnectConnInfo

2016-11-02 23:55:23 +0100 Ulrich Sibiller (882c034c3)

	* xtrans: silence compiler warning regarding is_numeric

2016-11-02 23:37:30 +0100 Ulrich Sibiller (90612d25c)

	* libX11 + Xserver: fix missing define warning

2016-11-02 23:36:50 +0100 Ulrich Sibiller (2631603b6)

	* xtrans: Fix compile warning

2016-11-02 23:14:52 +0100 Ulrich Sibiller (5d06f46e5)

	* xtrans: fix compilation warnings because of missing XTRANS_SEND_FDS

2016-11-02 19:59:23 +0100 Mike Gabriel (8dc0d18c1)

	* debian/libnx-x11-6.symbols: Update after upgrade of xtrans library
          files.

2016-11-02 19:50:24 +0100 Mike Gabriel (107e72b03)

	* Merge branch 'uli42-pr/upgrade_xtrans' into 3.6.x

2016-11-02 11:48:23 +0100 Ulrich Sibiller (6a186b921)

	* Whitespace fixes

2016-10-31 02:29:18 +0100 Ulrich Sibiller (e65b106a8)

	* Xtrans: update to Xorg/xtrans upstream (1.3.5+)

2016-10-13 21:53:17 +0200 Ulrich Sibiller (793d587b4)

	* Remove __UNIXOS2__ references

2016-05-18 12:38:02 -0400 Adam Jackson (603fe2554)

	* remove CLTS code

2016-10-13 19:08:37 +0200 Ulrich Sibiller (247e1f72e)

	* use %p in format strings

2016-10-13 00:51:03 +0200 Ulrich Sibiller (c3f43e832)

	* replace PRMSG by prmsg

2016-10-13 00:35:04 +0200 Ulrich Sibiller (c4b775f6d)

	* align license headers with Xorg/xtrans upstream

2016-10-13 00:31:51 +0200 Ulrich Sibiller (6957b3daa)

	* move helper functions to file end

2008-02-10 19:04:40 -0800 Jeremy Huddleston (f686bc3eb)

	* Fixed #ifdef checks that were using i386 to use __i386__

2016-10-13 00:16:30 +0200 Ulrich Sibiller (64d51869f)

	* whitespace cleanup

2008-08-07 10:32:11 -0400 Adam Jackson (e5b4532ab)

	* Drastically simplify TRANS_OPEN_MAX.

2016-10-12 22:28:41 +0200 Ulrich Sibiller (0ca6e5999)

	* undef __QNX__

2016-10-12 22:27:34 +0200 Ulrich Sibiller (4ab02b27c)

	* undef Lynx

2016-10-12 22:47:36 +0200 Ulrich Sibiller (89cea600a)

	* undef AIXV3

2016-10-12 22:44:21 +0200 Ulrich Sibiller (eb4ee6c32)

	* undef hpux

2016-10-12 22:24:09 +0200 Ulrich Sibiller (175a3416e)

	* undef __UNIXOS2__

2016-10-12 22:05:26 +0200 Ulrich Sibiller (97d651fcf)

	* Remove OS2PIPECONN transport

2016-10-12 21:33:00 +0200 Ulrich Sibiller (0cbc89221)

	* Remove unused TLI ("STREAMSCONN") code

2016-10-12 21:06:36 +0200 Ulrich Sibiller (b5bfd3a49)

	* remove DECnet support

2016-11-02 19:38:08 +0100 Mike Gabriel (a9b145d46)

	* Makefile: Make sure libNX_X11.so.6.2 does not get installed as
          symlink but as actual file. (Follow-up for 5a90a63).

2016-11-02 17:54:24 +0100 Mike Gabriel (1d1d1fc21)

	* Merge branch 'pr/unused_files' into 3.6.x

2016-10-30 19:05:56 +0100 Ulrich Sibiller (7d884049b)

	* remove unused mkks.sh

2016-10-30 19:02:36 +0100 Ulrich Sibiller (bac5ce7b5)

	* remove unused jump_* files from libX11

2016-10-30 18:54:04 +0100 Ulrich Sibiller (331497b88)

	* drop unused xtest1.frags

2016-10-30 18:48:31 +0100 Ulrich Sibiller (6b9ce7da4)

	* remove unused fb24_32.h

2016-10-30 18:47:04 +0100 Ulrich Sibiller (a29a2b656)

	* remove unused registry.h

2016-10-30 18:43:38 +0100 Ulrich Sibiller (89f9212ef)

	* remove unused XInput.h

2016-10-30 18:40:10 +0100 Ulrich Sibiller (881979bd1)

	* Remove unused Xv and XvMC headers

2016-10-30 18:01:11 +0100 Ulrich Sibiller (ba87cf406)

	* drop unused glu.h

2016-10-30 17:58:59 +0100 Ulrich Sibiller (903d5ce8a)

	* drop ap_keysym.h

2016-10-30 17:55:53 +0100 Ulrich Sibiller (1832ab62f)

	* remove unused registry file

2016-10-30 17:54:46 +0100 Ulrich Sibiller (b7daac272)

	* remove *-def.cpp

2016-10-29 23:26:05 +0200 Ulrich Sibiller (4271b9ebd)

	* nxcomp: remove unused Utils.cpp

2016-10-29 22:52:53 +0200 Ulrich Sibiller (96c9aafd6)

	* Imake: drop DoLoadableServer, MakeDllModules and IHaveModules

2016-10-29 11:18:41 +0200 Mike Gabriel (8dab7c21d)

	* Remove extmod from nx-X11/programs/Xserver/Xext/.

2016-11-02 17:53:15 +0100 Mike Gabriel (6eb8d3ec6)

	* Merge branch 'uli42-pr/add_libX11_links' into 3.6.x

2016-10-28 23:38:17 +0200 Ulrich Sibiller (5a90a638f)

	* libX11/Imakefile: handle libX11 links

2016-10-28 23:37:17 +0200 Ulrich Sibiller (f1d420baa)

	* libX11/Imakefile: add missing dependencies on ks_tables.h

2016-10-31 12:44:52 +0100 Mike Gabriel (4c59a3c58)

	* Merge branch 'sunweaver-pr/clean-up-old-vcs-comments' into 3.6.x

2016-10-29 15:30:20 +0200 Mike Gabriel (fcf61d341)

	* Imakefile cleanup: Delete all ancient Vcs comments stemming from
          SVN times of X.org and XFree86.

2016-10-30 23:52:44 +0100 Mike Gabriel (6b3080d54)

	* Merge branch 'sunweaver-pr/drop-mfb-maskbits-h' into 3.6.x

2016-10-30 21:36:53 +0100 Mike Gabriel (b99c78721)

	* Xserver/Imakefile: Drop references to already removed afb code.

2016-10-30 21:36:03 +0100 Mike Gabriel (65e25bd47)

	* Xserver/Imakefile: Drop all references to building already removed
          cfb* implementations.

2016-10-30 20:16:53 +0100 Adam Jackson (cc0350202)

	* Death to mfb (removing last remnants from NX code).

2016-10-30 18:31:54 +0100 Adam Jackson (3c0e426f0)

	* Disinfect mi/ of mfb.

2016-10-30 14:32:04 +0100 Mike Gabriel (23c66f400)

	* Merge branch 'sunweaver-pr/drop-nxlibint-h' into 3.6.x

2016-10-30 13:11:38 +0100 Mike Gabriel (1ddbe39ad)

	* nxcompext: Drop (nowadays) no-op file NXlibint.h.

2016-10-30 14:25:57 +0100 Mike Gabriel (23ad270b5)

	* Merge branch 'uli42-misc_fixes' into 3.6.x

2016-10-30 13:46:11 +0100 Ulrich Sibiller (16947012d)

	* nxagent.keyboard: add quotes

2016-10-30 13:45:33 +0100 Ulrich Sibiller (903cc0657)

	* Imakefile: remove references to non-existing subdirs

2016-10-30 02:32:35 +0200 Ulrich Sibiller (162a627c4)

	* saver.c: fix unused variable warnings

2016-10-29 10:32:51 +0200 Mike Gabriel (a375d178f)

	* Merge branch 'sunweaver-pr/build-includes-robustness' into 3.6.x

2016-10-28 15:19:10 +0200 Mike Gabriel (2f2a5a920)

	* Imake.rules: Make BuildIncludes{,Top}() more robust in case people
          attempt providing path names instead of file names via
          srclist.

2016-10-29 10:30:27 +0200 Mike Gabriel (ecd335fa6)

	* Merge branch 'uli42-pr/remove_xf86' into 3.6.x

2016-10-28 01:05:03 +0200 Ulrich Sibiller (4aeed7ad9)

	* remove hw/xfree86 altogether

2016-10-28 00:30:25 +0200 Ulrich Sibiller (6c7f9cdaa)

	* remove xf86Version.h and xf86Date.h

2016-10-28 14:51:52 +0200 Mike Gabriel (4cdcd9145)

	* debian/patches: Rebase
          102_xserver-xext_set-securitypolicy-path.debian.patch.

2016-10-28 14:48:25 +0200 Mike Gabriel (c9da511cf)

	* Merge branch 'theqvd-slave-channel' into 3.6.x

2016-10-24 13:27:52 +0200 Vadim Troshchinskiy (c7eac1f95)

	* Add description of NX_SLAVE_CMD to man and help

2016-10-18 09:19:28 +0200 Vadim Troshchinskiy (30af52eb3)

	* Slave channel implementation

2016-10-28 05:42:02 +0200 Mihai Moldovan (a5de79181)

	* Merge branch 'uli42-pr/backup_memleak' into arctica-3.6.x

2016-10-25 21:30:15 +0200 Emilio Pozuelo Monfort (8d1126e97)

	* Plug a memory leak

2016-10-20 22:56:41 +0200 Mike Gabriel (5d4a7e071)

	* debian/rules: Re-enable (+pie) hardening flags again when building
          .deb packages.

2016-10-20 10:31:24 +0200 Mike Gabriel (61b8d44f1)

	* Merge branch 'uli42-pr/fix_compile_warnings' into 3.6.x

2016-10-20 00:15:20 +0200 Ulrich Sibiller (50eb5e4a9)

	* sendexev.c: Fix return of unitialized variable

2011-05-24 18:33:17 +0200 Cyril Brulebois (151e0b16d)

	* xfixes: Remove unused variable.

2006-02-14 08:11:41 +0000 Benjamin Herrenschmidt (c26621610)

	* Remove useless line of code that contained a bug and triggered a
          gcc warning. This variable will be overriden before being
          used anyway. (Bugzilla #5595)

2009-01-11 08:25:17 +0100 Julien Cristau (4f99f854c)

	* dix: fix cast from pointer to integer

2014-12-09 09:30:57 -0800 Keith Packard (e3e4062c3)

	* dbe: Call to DDX SwapBuffers requires address of int, not unsigned
          int [CVE-2014-8097 pt. 2]

2016-10-19 21:58:06 +0200 Ulrich Sibiller (01eaab831)

	* LRGB.c: Fix label defined but not used

2016-06-04 17:19:59 +0200 walter harms (ddc5ed4c9)

	* Fixes: warning: variable 'req' set but not,used

2016-04-26 16:31:27 +0200 walter harms (21405f62b)

	* fix: warning: pointer targets in passing argument 2 of '_XSend'
          differ in signedness [-Wpointer-sign]

2016-04-26 16:34:11 +0200 walter harms (3f9ebf33d)

	* no need to check args for Xfree()

2016-04-26 16:23:46 +0200 walter harms (897b8b28b)

	* remove stray extern

2016-10-16 02:15:13 +0200 Ulrich Sibiller (2c59fbe30)

	* Fix warnings in XlibInt.c

2016-10-16 00:41:11 +0200 Ulrich Sibiller (0a28292ec)

	* xkb.c: fix 'assignment makes integer from pointer without a cast'

2016-10-16 00:19:47 +0200 Ulrich Sibiller (057ddde08)

	* xkmread.c: use _X_UNUSED to avoid compiler warning when result is
          not needed

2016-10-16 00:07:21 +0200 Ulrich Sibiller (33b5911f2)

	* xcmisc.c: remove HAVE_STDINT

2016-10-16 00:02:41 +0200 Ulrich Sibiller (c180a2147)

	* security.c: fix compiler warnings

2016-10-15 23:01:59 +0200 Ulrich Sibiller (185fbdaf9)

	* Loop.cpp: Fix output of SetCore()

2016-10-15 22:02:06 +0200 Ulrich Sibiller (d238db344)

	* Window.c: Fix function assignment warning

2016-10-15 21:45:30 +0200 Ulrich Sibiller (81a7c6cf4)

	* Display.c: remove unused variable

2016-10-15 21:42:54 +0200 Ulrich Sibiller (54b7561f9)

	* Colormap.c: add cast to avoid warning

2016-10-15 21:41:03 +0200 Ulrich Sibiller (3c5621c37)

	* Args.c: fix string format warning

2016-10-15 18:21:48 +0200 Ulrich Sibiller (e3c9bc392)

	* imLcIm.c: Fix unused variables

2016-10-15 18:03:18 +0200 Ulrich Sibiller (babaf67c9)

	* Pending.c: Fix compilation warning

2016-10-15 17:51:11 +0200 Ulrich Sibiller (ae8ec6b14)

	* Fix libX11 implicit declaration warnings

2016-10-20 10:08:14 +0200 Mike Gabriel (da01dc8da)

	* Drop nx-X11/lib/X11/libX11.elist. Not needed for anything nowadays.
          Probably never was needed in nx-X11.

2016-10-20 09:58:37 +0200 Mike Gabriel (44c76cacf)

	* debian/libnx-x11-6.symbols: Update symbols list.

2016-10-20 09:52:45 +0200 Mike Gabriel (a559592dc)

	* XKeysymDB: ... got removed.

2016-10-19 22:15:01 +0200 Mike Gabriel (70ac75f4a)

	* Merge branch 'uli42-pr/libX11_further_backports' into 3.6.x

2016-09-25 21:25:25 +0200 Tobias Stoeckmann (70e9d346f)

	* Validation of server responses in XGetImage()

2016-09-25 21:22:57 +0200 Tobias Stoeckmann (b17557f9f)

	* The validation of server responses avoids out of boundary accesses.

2016-02-06 14:18:32 -0800 Alan Coopersmith (68e3ee67c)

	* xcms: use size_t for pointer offsets passed to strncmp

2016-02-06 13:32:44 -0800 Alan Coopersmith (8d8d5cfd8)

	* xcms: use unsigned indexes when looping through unsigned values

2016-02-06 13:01:25 -0800 Alan Coopersmith (327d2cc60)

	* xcms: use size_t for strlen/sizeof values instead of converting to
          int & back

2015-03-26 07:52:58 +0100 Dominik Muth (de4047722)

	* Xlib.h: Fix macros imitating C functions.

2016-01-21 11:54:19 +0100 Olivier Fourdan (a3759f323)

	* XKB: fix XkbGetKeyboardByName with Xming server

2015-12-19 18:03:41 -0800 Alan Coopersmith (50192b720)

	* lcPubWrap: replace malloc(strlen) + strcpy with strdup

2015-12-19 10:21:04 -0800 Alan Coopersmith (7a1fc1759)

	* XlcDL.c: reduce code duplication

2015-12-19 10:19:25 -0800 Alan Coopersmith (c9ebd122f)

	* XlcDL.c: replace strcpy+strcat sequences with snprintf

2015-12-19 10:05:42 -0800 Alan Coopersmith (2874fd14b)

	* XDefaultOMIF: Remove comments referring to ancient Sun bug ids

2015-12-19 10:00:22 -0800 Alan Coopersmith (d980be3c2)

	* XDefaultOMIF: additional code simplification

2015-12-19 09:46:31 -0800 Alan Coopersmith (c00196d2d)

	* XDefaultOMIF: replace strlen+Xmalloc+strcpy with strdup

2015-12-19 09:20:55 -0800 Alan Coopersmith (f7254c69f)

	* Use strdup instead of Xmalloc+strcpy in _XDefaultOpenIM

2015-12-04 22:20:53 -0800 Alan Coopersmith (b912a4042)

	* Delete #if 0 hunks of code

2015-12-03 23:38:07 -0800 Alan Coopersmith (9dec6c18b)

	* Bug 93183: _XDefaultOpenIM memory leaks in out-of-memory error
          paths

2015-12-03 23:19:48 -0800 Alan Coopersmith (8d6d95d74)

	* Bug 93184: read_EncodingInfo invalid free

2015-11-28 13:18:11 -0800 Alan Coopersmith (8339e6803)

	* Remove unused definition of XCONN_CHECK_FREQ

2015-09-27 18:38:32 -0700 Alan Coopersmith (f857c70f8)

	* Get rid of some extraneous ; at the end of C source lines

2015-07-19 10:22:45 +0200 Thomas Klausner (fc524ddbb)

	* Do not return() after exit().

2015-05-18 14:49:01 +0100 Ross Burton (1445735ef)

	* Add missing NULL checks to ICWrap

2015-06-04 20:51:17 -0700 Alan Coopersmith (39dd37d57)

	* Replace Xmalloc+memset pairs with Xcalloc calls

2015-06-04 19:07:12 -0700 Bhavi Dhingra (a402ed016)

	* omGeneric.c: Correct the parameter usage of sizeof

2015-05-19 12:30:22 +1000 Peter Hutterer (73f2d66e0)

	* Fix three "use of uninitialized variable" coverity warnings

2015-05-18 07:55:17 +1000 Peter Hutterer (e14489988)

	* Fix potential memory leak

2015-02-03 13:23:50 -0500 Ran Benita (8e3e7bb77)

	* compose: fix the description of modifiers in compose sequences

2014-07-11 10:34:08 -0700 Alan Coopersmith (0f1fa85fe)

	* Use C99 named initializers to fill in events passed to XSendEvent

2014-07-06 11:13:49 -0700 Alan Coopersmith (f20f91ee8)

	* Fix validation of ctrls parameter to XkbGetPerClientControls()

2014-07-06 10:54:57 -0700 Alan Coopersmith (37b8d6883)

	* Fix map->num_types check in XkbAddKeyType()

2014-06-07 12:03:17 +0200 walter harms (aa7053b3e)

	* lcDefConv.c: fix use before check

2014-06-07 11:54:34 +0200 walter harms (dd6dc2ddf)

	* rm redundant null checks

2014-06-07 15:17:27 +0200 walter harms (a98260726)

	* libX11: rm redundante NULL checks

2014-06-06 22:53:05 +0200 walter harms (1ff696123)

	* Remove more redundant null checks before Xfree()

2014-06-05 18:37:40 +0200 walter harms (fc26b97ea)

	* Remove redundant null checks before free

2014-06-04 17:12:31 +0200 walter harms (191d1575f)

	* libX11/lcUTF8.c fix: dereferenced before check

2014-06-04 17:10:20 +0200 walter harms (861fe5aee)

	* libX11/XKBNames.c fix: dereferenced before check

2014-06-04 17:08:12 +0200 walter harms (e7528f581)

	* libX11/lcGenConv.c fix: dereferenced before check

2014-05-09 18:21:05 -0400 Owen W. Taylor (afc7138f9)

	* Fix XNextRequest() after direct usage of XCB

2014-02-11 13:26:16 +0200 Ran Benita (88d496598)

	* Remove dead USE_OWN_COMPOSE-protected code

2014-02-06 13:48:08 -0800 Alan Coopersmith (3e8df1a2e)

	* Fix typos in Xrm.c comments

2013-12-26 09:26:13 -0800 Alan Coopersmith (101419b10)

	* _XkbReadGeomOverlay: check for NULL first, then use pointer

2013-12-26 09:22:49 -0800 Alan Coopersmith (1b0df5da6)

	* XkbSelectEventDetails: remove unnecessary assignments

2010-10-07 18:46:08 +0100 Jon TURNEY (4fad46e9c)

	* Don't try so hard to find a matching font with the given encoding

2013-12-02 21:51:27 -0800 Alan Coopersmith (f45ac4ae3)

	* unifdef -UISC

2013-11-16 20:21:54 -0800 Alan Coopersmith (35dc4784b)

	* Drop X_LOCALE fallback for OS'es without setlocale()

2013-08-24 17:27:43 -0700 Alan Coopersmith (f04e1a6d1)

	* Bug 68413 - [Bisected]Error in `xterm': realloc(): invalid next
          size

2013-08-16 21:04:02 -0700 Alan Coopersmith (ba86b7a2e)

	* Stop checking for HAVE_DIX_CONFIG_H on the client side

2013-08-16 18:27:28 -0700 Alan Coopersmith (2824899d2)

	* Rearrange some variable declarations & initializations in XKB

2013-08-11 13:29:33 -0700 Alan Coopersmith (3c5880e72)

	* Reindent XKB code to X.Org standard style

2013-08-16 18:14:14 -0700 Alan Coopersmith (3cd822526)

	* Fix overflow checks in _XkbReadKeySyms when key_sym_map is already
          created

2013-08-11 17:02:21 -0700 Alan Coopersmith (c22524d30)

	* Remove long unused udcInf.c

2013-08-11 00:07:33 -0700 Alan Coopersmith (26256188b)

	* Remove unnecessary casts of pointers to (char *) in calls to
          Xfree()

2013-08-10 23:57:55 -0700 Alan Coopersmith (d33cf0446)

	* Don't cast sizeof() results to unsigned when passing to
          Xmalloc/Xcalloc

2013-08-10 23:51:08 -0700 Alan Coopersmith (c161df4fe)

	* Remove even more casts of return values from Xmalloc/Xrealloc

2013-08-10 23:05:13 -0700 Alan Coopersmith (5d6cda4f6)

	* xlibi18n: fix argsize argument to _XlcParsePath

2013-08-10 22:32:42 -0700 Alan Coopersmith (069c1f4d5)

	* i18n modules: Fix some const cast warnings

2013-08-10 22:21:54 -0700 Alan Coopersmith (d8358c6ef)

	* xlibi18n: Fix a bunch of const cast warnings

2013-08-10 22:18:00 -0700 Alan Coopersmith (e667b9054)

	* Fix const handling in XSetLocaleModifiers

2013-08-10 21:46:37 -0700 Alan Coopersmith (d2671c285)

	* Constify lc_name argument to _XlcLocaleDirName() &
          _XlcLocaleLibDirName()

2013-08-10 13:37:53 -0700 Alan Coopersmith (22377a799)

	* init_om: remove unneeded extra copy of string to local buffer

2013-08-10 12:34:53 -0700 Alan Coopersmith (92591316d)

	* Delete unused XKB_INSURE_SIZE macro from XKBlibint.h

2013-08-10 12:19:17 -0700 Alan Coopersmith (be32fbb31)

	* miRegionOp(): ensure region size is not updated if realloc fails

2013-08-10 12:19:17 -0700 Alan Coopersmith (ad51fbdb4)

	* miRegionCopy(): handle realloc failure better

2013-08-10 11:27:22 -0700 Alan Coopersmith (105cd4711)

	* Avoid memory leak/corruption if realloc fails in Xregion.h:MEMCHECK
          macro

2013-08-10 12:07:51 -0700 Alan Coopersmith (180991ce2)

	* Avoid memory leak/corruption if realloc fails in
          imLcPrs.c:parseline()

2013-08-10 12:30:39 -0700 Alan Coopersmith (7156a20bc)

	* lcDB.c: ensure buffer size is updated correctly if realloc fails

2013-08-10 11:07:47 -0700 Alan Coopersmith (0574a55eb)

	* Avoid memory leak/corruption if realloc fails in
          XlcDL.c:resolve_object()

2013-08-09 23:33:03 -0700 Alan Coopersmith (a6d9409b0)

	* omGeneric.c: convert sprintf calls to snprintf

2013-08-09 23:30:30 -0700 Alan Coopersmith (d03ab1de0)

	* ximcp/imRm.c: convert sprintf calls to snprintf

2013-08-09 23:02:12 -0700 Alan Coopersmith (a1b0fdb2c)

	* xlibi18n: convert sprintf calls to snprintf

2013-08-09 23:02:12 -0700 Alan Coopersmith (bde3d8b14)

	* lcfile: skip over any null entries in args list

2013-08-09 22:00:09 -0700 Alan Coopersmith (7bca34528)

	* Fix file leak on malloc error in XlcDL.c:resolve_object()

2012-12-18 15:28:05 +0000 ISHIKAWA,chiaki (ce482d4fd)

	* Fix bogus timestamp generated by XIM

2011-06-16 17:28:39 +0200 Egbert Eich (ed53aca1d)

	* XIM: Fix race on focus change: set 'FABRICATED' only when keyev
          filters in place.

2013-07-27 01:03:18 -0700 Alan Coopersmith (adcf3894a)

	* omGeneric: remove space between struct name & member name

2013-07-23 22:11:34 -0700 Alan Coopersmith (6d64c4164)

	* XSetModifierMapping: Use Data instead of GetReqExtra

2013-06-09 11:13:42 -0700 Kees Cook (ea8239650)

	* libX11: check size of GetReqExtra after XFlush

2013-06-25 22:35:29 +0200 Thomas Klausner (39c6e5aa8)

	* Tighten out-of-range comparisons.

2013-06-25 18:34:32 +0200 Thomas Klausner (ac3d26251)

	* Fix out-of-range comparison in _XF86BigfontQueryFont

2013-06-25 18:33:56 +0200 Thomas Klausner (61fdf93ef)

	* Check for symbol existence with #ifdef, not #if

2013-06-25 18:31:32 +0200 Thomas Klausner (d122d7545)

	* Stop truncating source to destination length if it is larger.

2013-06-24 23:02:05 -0700 Alan Coopersmith (88edf8083)

	* Require ANSI C89 pre-processor, drop pre-C89 token pasting support

2016-10-08 00:20:48 +0200 Ulrich Sibiller (7f98ab03b)

	* update Xfuncproto.h

2016-10-07 23:46:05 +0200 Ulrich Sibiller (e2e45b2b3)

	* Align files with upstream libX11-1.6.0

2012-12-16 17:44:42 -0800 Alan Coopersmith (878040bf0)

	* Tell clang not to report -Wpadded warnings on public headers we
          can't fix

2010-09-08 10:44:23 -0400 Adam Jackson (9b5f99c37)

	* Zero buffer data in BufAlloc()

2011-01-31 14:02:10 +0200 Erkki Seppälä (13fe4d475)

	* GetProp: Zero-initialized error so its resourceID field is
          initialized

2013-03-01 18:37:37 -0800 Alan Coopersmith (7992a9873)

	* integer overflow in ReadInFile() in Xrm.c [CVE-2013-1981 7/13]

2011-01-31 14:01:58 +0200 Erkki Seppälä (78b0ca2fe)

	* ximcp/imRmAttr: Handle leaking colormap_ret

2011-02-21 15:56:54 +0100 Samuel Thibault (b00312f5d)

	* Fix status reporting for braille patterns

2016-10-07 22:16:24 +0200 Ulrich Sibiller (a2fded2e3)

	* Revert incomplete "Fix status reporting for braille patterns"

2010-09-03 23:11:53 -0700 Alan Coopersmith (bd43a0640)

	* Sun's copyrights are now owned by Oracle

2016-10-07 21:16:39 +0200 Ulrich Sibiller (5dbcf1987)

	* Assume size_t is always available, since it was defined in C89

2016-10-07 21:00:20 +0200 Ulrich Sibiller (1078f9770)

	* rename xf86bigfstr.h to xf86bigfproto.h

2013-06-02 11:49:54 -0700 Thomas Klausner (e03d8c215)

	* cmsMath.c: Add missing stdio header for printf(3) in DEBUG build.

2013-05-17 15:26:21 -0700 Niveditha Rau (26f7239a0)

	* Make sure internal headers include required headers

2013-05-16 23:05:36 -0700 Alan Coopersmith (71fb99cb4)

	* Free fs->properties in XF86BigfontQueryFont overflow error path

2013-05-23 20:39:46 +0200 Julien Cristau (78ed23330)

	* xkb: fix off-by-one in _XkbReadGetNamesReply and
          _XkbReadVirtualModMap

2016-10-06 23:34:06 +0200 Ulrich Sibiller (082e83130)

	* Revert "Add a couple fixups for the security patches"

2013-03-07 23:46:05 -0800 Alan Coopersmith (e15023b2a)

	* Remove more unnecessary casts from Xmalloc/calloc calls

2013-03-16 18:30:56 -0700 Alan Coopersmith (47d0ea1ba)

	* Move big request comment in XOpenDisplay to the right place

2013-03-08 22:33:28 -0800 Alan Coopersmith (4988e9bd9)

	* Fix very weird indenting in nx-X11/lib/X11/GetFProp.c

2013-03-08 15:37:33 -0800 Alan Coopersmith (001aeb55b)

	* XAllocClassHint: Assume calloc sets pointers in allocated memory to
          NULL

2013-03-08 17:13:09 -0800 Alan Coopersmith (7ddc5b90f)

	* _xudc_code_to_glyph: check for NULL pointer *before* writing to it,
          not after

2013-03-01 18:10:27 -0800 Alan Coopersmith (e18ccaaae)

	* Assume size_t is always available, since it was defined in C89

2013-03-01 18:09:07 -0800 Alan Coopersmith (2393e1acd)

	* unifdef XKB_IN_SERVER

2013-02-16 10:42:23 -0800 Alan Coopersmith (d31b81c10)

	* Convert more sprintf calls to snprintf

2013-02-15 23:43:12 -0800 Alan Coopersmith (d43f4c398)

	* XKeysymToString: move variable declarations to the scope of their
          usage

2013-02-15 23:34:40 -0800 Alan Coopersmith (5e0584c43)

	* Preserve constness in casting arguments through the Data*()
          routines

2013-02-15 23:25:38 -0800 Alan Coopersmith (d91c145a4)

	* XStringToKeysym: preserve constness when casting off unsignedness
          for strcmp

2013-02-15 23:14:40 -0800 Alan Coopersmith (641704516)

	* XRebindKeysym: Drop unnecessary const-removing cast

2013-02-15 22:45:19 -0800 Alan Coopersmith (5608b67f2)

	* cmsColNm.c: maintain constness of arguments to qsort helper
          function

2012-12-26 22:57:39 -0800 Alan Coopersmith (19275f9e1)

	* Remove unused DECnet ("DNETCONN") code from Xlib

2012-12-26 22:56:38 -0800 Alan Coopersmith (acceb2cf6)

	* Remove unused TLI ("STREAMSCONN") code from Xlib

2011-05-20 18:25:24 +0200 Egbert Eich (53e2e92e3)

	* Don't hard code path to Xcms.txt file.

2012-10-22 13:54:11 -0500 Yaakov Selkowitz (11d6dac92)

	* XIM: remove Private and Public macros

2012-06-29 23:08:04 -0700 Alan Coopersmith (97b9864ea)

	* Convert XCreate{Pix,Bit}map...Data to use C99 designated
          initializers

2012-06-29 22:57:13 -0700 Alan Coopersmith (7a8721b8a)

	* XCreate{Pix,Bit}map...Data: Free pixmap in error path if XCreateGC
          fails

2010-12-22 15:14:05 +0000 Philipp Reh (c86806148)

	* Events: Store event cookie when dequeuing event

2011-05-03 09:32:53 -0700 Jeremy Huddleston (5062342d4)

	* clang analyzer: Don't warn about Xmalloc(0)

2011-05-08 09:08:07 -0700 Jeremy Huddleston (c19cda6d6)

	* Silence clang static analysis warnings for SetReqLen

2011-05-17 20:49:59 -0700 Alan Coopersmith (c300a430d)

	* Fix man page and comment references to use XFreeModifiermap
          (lowercase map)

2011-10-10 14:09:17 -0700 Jeremy Huddleston (f3bbb81c4)

	* Mark XKeycodeToKeysym as _X_DEPRECATED

2011-10-10 16:40:52 +0200 Bodo Graumann (cc4d5260e)

	* libX11: Fixing modifier key range in Xutil.h (Bug #21910)

2011-10-27 13:24:10 +1000 Peter Hutterer (3bf350742)

	* Switch GetEmptyReq and GetResReq to call _XGetRequest

2011-10-14 14:51:06 +1000 Peter Hutterer (3597915f6)

	* include: Add GetReqSized() for request buffers of specific size

2011-10-27 13:53:22 +1000 Peter Hutterer (3155b9bb2)

	* Use GetReqSized for GetReq and GetReqExtra

2011-01-31 14:01:59 +0200 Erkki Seppälä (79cb50e4c)

	* ximcp/imRmAttr: Handle leaking missing_list

2011-01-31 14:02:01 +0200 Erkki Seppälä (44e472068)

	* ximcp/imRm: Handle leaking colormap_ret

2011-01-31 14:02:14 +0200 Erkki Seppälä (89dc7ccfb)

	* ximcp/imTrX: Handle failing XGetWindowProperty

2011-01-31 14:02:15 +0200 Erkki Seppälä (81422098f)

	* ximcp/imLckup: Handle negative return value from _Xlcwctomb

2011-01-31 14:02:13 +0200 Ander Conselvan de Oliveira (a8598e062)

	* lc/def/lcDefConv: Use Xcalloc to avoid use of uninitialized memory

2011-02-21 15:56:54 +0100 Samuel Thibault (93a4f5c47)

	* Fix status reporting for braille patterns

2011-02-21 21:54:17 +0100 Samuel Thibault (2cca621e3)

	* Make the Local XIM request key releases for braille

2011-01-10 16:22:45 +0200 Erkki Seppälä (e4815126b)

	* im/ximcp: release modifiermap before returning

2011-04-12 20:50:42 -0700 Alan Coopersmith (018d938aa)

	* Fix "attrinute" typo in comments in ximcp

2011-03-24 16:24:29 +0200 Ander Conselvan de Oliveira (4aa79f1f1)

	* Fix leaks in _XimEncodingNegotiation error paths.

2011-03-24 19:36:56 +0200 Ander Conselvan de Oliveira (3720ed7bf)

	* Fix memory leaks on _XimProtoCreateIC error paths.

2011-03-24 19:48:44 +0200 Ander Conselvan de Oliveira (b7cc762ba)

	* Fix memory leaks on _XimWriteCachedDefaultTree error paths.

2011-03-24 19:52:05 +0200 Ander Conselvan de Oliveira (7024f3d90)

	* Fix memory leak on _XimCommitRecv error path.

2011-03-24 19:55:33 +0200 Ander Conselvan de Oliveira (60840dc31)

	* Fix memory leaks on _XimCbDispatch error path.

2011-03-24 20:40:41 +0200 Ander Conselvan de Oliveira (9fa1e98dd)

	* om: Fix memory leak on read_EncodingInfo error path.

2011-03-25 16:06:15 +0200 Ander Conselvan de Oliveira (748cf8946)

	* om: Fix potential memory leak in init_om.

2011-03-25 14:47:35 +0200 Ander Conselvan de Oliveira (6fe8d44ca)

	* om: Fix memory leaks on get_font_name error paths.

2011-10-09 02:26:45 -0700 Jeremy Huddleston (73a2898af)

	* Fix potential uninitialized variable access in _XimMakeICAttrIDList

2011-10-09 17:56:45 +0200 Yann Droneaud (bec22fe97)

	* Return name instead of value in XGetIMValues() and XSetIMValues()

2011-10-11 17:27:59 +0200 Yann Droneaud (cded3305d)

	* Return name instead of False in XSetICValues()

2011-10-14 17:39:21 -0700 Xue Wei (8d1e05940)

	* mbtocs should not truncate input

2011-10-14 17:53:00 -0700 Alan Coopersmith (2f49f62a8)

	* Fix "nomal" -> "normal" typo in several comments

2011-11-08 20:18:09 +0000 Andreas Wettstein (4ef27790b)

	* XIM: Allow modifier releases in compose sequences (#26705)

2011-02-21 17:27:38 +0100 Samuel Thibault (b8b885daf)

	* Match braille patterns with compose tree

2012-04-30 16:36:47 +1000 Peter Hutterer (79a5330db)

	* Typo fix

2012-03-15 22:03:21 -0700 Alan Coopersmith (4c7f0af73)

	* Remove "register" qualifier that annoys Solaris Studio compiler

2012-03-04 02:00:13 -0800 Keith Packard (3d37513eb)

	* Block for other threads in _XUserLockDisplay

2011-02-20 17:09:43 +0200 Marko Myllynen (e8e91b69e)

	* Provide translation from XK_permille (ad5) to Unicode (U2030)

2012-01-01 21:04:52 +0000 Ryan Pavlik (fd7157723)

	* Use pthreads on MinGW also

2011-12-14 02:17:55 -0500 Kusanagi Kouichi (5eb1147cc)

	* XQueryColors: Split a request into multiple requests if necessary

2011-11-29 23:56:57 -0800 Alan Coopersmith (30d4454e3)

	* Reject negative string counts in copy_string_list

2011-11-09 21:00:36 -0800 Alan Coopersmith (0f089824e)

	* XlcSL.c: convert old-style function definitions to ANSI C89 style

2011-10-17 09:45:15 +1000 Peter Hutterer (02dad70a8)

	* Add _XGetRequest as substitute for GetReq/GetReqExtra

2011-10-13 07:58:02 +0900 Choe Hwanjin (1871ff031)

	* XIM: Make Xim handle NEED_SYNC_REPLY flag

2011-05-04 15:34:31 -0700 Jeremy Huddleston (7efa7da59)

	* XKB: XkbComputeSectionBounds: Check correct bounds in default
          switch-case

2011-05-04 11:35:31 -0700 Jeremy Huddleston (1d806a555)

	* Dead code removal

2011-04-21 16:21:04 -0700 Alan Coopersmith (8127b17dc)

	* Delete special case code to append "/sparcv9" to i18n module path

2011-04-12 22:30:45 -0700 Alan Coopersmith (dde00b2f6)

	* Convert malloc(strlen()); strcpy() sets to strdup

2011-04-12 21:27:45 -0700 Alan Coopersmith (7d7224d85)

	* Replace Xmalloc+bzero pairs with Xcalloc calls

2011-03-24 19:42:36 +0200 Ander Conselvan de Oliveira (369c95668)

	* Fix memory leaks on _XimGetAttributeID error paths.

2011-03-30 15:06:10 +0300 Ander Conselvan de Oliveira (f50e651e8)

	* xcms: Fix memory leaks on LINEAR_RGB_InitSCCData error path.

2011-03-30 15:19:28 +0300 Ander Conselvan de Oliveira (fefb909a0)

	* xcms: Fix error on LINEAR_RGB_InitSCCData error path.

2011-03-24 14:17:44 +0200 Ander Conselvan de Oliveira (dce81504f)

	* FSWrap: fix potential leak in copy_string_list

2011-03-23 14:36:22 +0200 Ander Conselvan de Oliveira (0f7148695)

	* Fix memory leak with broken bitmap files in XReadBitmapFileData

2011-03-21 14:49:37 +0000 Harshula Jayasuriya (417e04111)

	* Add #define XK_SINHALA

2011-01-18 15:58:20 +0200 Erkki Seppälä (29ad23b98)

	* xkb: XkbPropertyPtr determined allocation success from wrong
          variables

2011-01-10 16:37:22 +0200 Erkki Seppälä (bbeee4fd1)

	* keyBind: Use Xcalloc to initialize allocated _XKeytrans

2011-02-11 14:49:17 -0800 Alan Coopersmith (2618bd3fc)

	* Clean up memory when first XCreateRegion succeeds and second fails

2011-02-03 17:08:57 +0200 Erkki Seppälä (07fae919a)

	* cmsProp: don't deal with uninitialized values, fail instead

2011-01-31 14:02:07 +0200 Ander Conselvan de Oliveira (ae4e7538e)

	* xcms/LRGB: don't double-free property_return

2011-02-02 08:58:45 -0800 Alan Coopersmith (26270ab1c)

	* Xrm.c: ReadInFile: refactor fstat error handling

2011-02-02 08:56:00 -0800 Alan Coopersmith (563318af9)

	* Expand GetSizeOfFile() macro at the one place it's called

2011-01-31 14:01:57 +0200 Erkki Seppälä (20470a83e)

	* XlibInt: Use strncpy+zero termination instead of strcpy to enforce
          buffer size

2011-01-31 14:02:16 +0200 Erkki Seppälä (7576f5f15)

	* xlibi18n/lcFile: Removed superfluous check for NULL target_dir

2011-01-31 14:02:12 +0200 Ander Conselvan de Oliveira (698270c47)

	* XlibInt: info_list->watch_data was reallocated, but result was
          discarded

2011-02-01 11:07:25 +0200 Ander Conselvan de Oliveira (7482afcaa)

	* xcms/LRGB: Add a label for freeing property_return.

2011-01-31 14:02:08 +0200 Ander Conselvan de Oliveira (8f5a56474)

	* xcms/LRGB: Fix potential resource leak.

2011-01-31 14:02:05 +0200 Erkki Seppälä (afd1d4eb5)

	* Xrm: NEWTABLE had a memory leak after a memory allocation error

2011-01-31 14:02:03 +0200 Erkki Seppälä (1ac1b691d)

	* ImUtil: Handle a memory leak in one early return branch

2011-01-31 14:01:56 +0200 Erkki Seppälä (52d2c3558)

	* xlibi18n/lcGeneric: Initialize uninitialized local variable

2011-01-31 14:01:54 +0200 Erkki Seppälä (865043ea0)

	* xcmx/cmxColNm: Removed unused assignments to pBuf (in two
          functions)

2011-02-01 12:30:56 +0200 Alan Coopersmith (54550ebb2)

	* XDefaultOMIF.c: Fix memory leaks in get_font_name

2011-01-18 12:49:48 +0200 Erkki Seppälä (b7694b0b5)

	* Comparing array against NULL is not useful "&xkb->server->vmods !=
          NULL"

2011-01-12 15:51:11 +0200 Erkki Seppälä (3147ddbf4)

	* Variable "entry" tracked as NULL was dereferenced.

2011-01-27 09:54:00 +0200 Erkki Seppälä (e17558786)

	* Dereferencing possibly NULL "str" in call to function "memcpy"
          (Deref assumed on the basis of 'nonnull' parameter
          attribute.)

2011-01-10 16:17:47 +0200 Erkki Seppälä (8aacb3fab)

	* Using freed pointer "e"

2011-01-03 12:25:28 -0500 Pauli Nieminen (1a72bc414)

	* Initialize event type

2010-06-04 13:20:17 -0700 Alan Coopersmith (8ff526111)

	* LINEAR_RGB_InitSCCData: When malloc fails, don't try to free
          unallocated bits

2010-07-09 18:13:13 +0100 Daniel Stone (93b55eeec)

	* XStringToKeysym: Cope with 0x1234cafe-style input

2010-07-08 16:49:51 +0100 Daniel Stone (b414bc2c6)

	* XStringToKeysym: Check strdup() return value

2010-06-15 18:49:43 +0100 Daniel Stone (c1b175d3d)

	* Delete now-redundant XKeysymDB

2010-06-15 18:47:37 +0100 Daniel Stone (f0b87f3de)

	* XStringToKeysym: Special case for XF86 keysyms

2016-10-14 16:49:08 +0200 Mike Gabriel (6c303d9e4)

	* debian/rules: Don't use -pie -fPIE at build time for 3.5.99.2 as it
          causes nxagent to segfault. Investigating the reasons
          behind it is in process...

2016-10-14 02:31:38 +0000 Mihai Moldovan (75e080800)

	* nx-X11/programs/Xserver/GL/glx/Imakefile: typo fix, leading to
          glcontextmodes.c not being compiled.

2016-10-13 14:10:28 +0200 Mike Gabriel (29e29342e)

	* release 3.5.99.2 (tag: 3.5.99.2)

2016-10-13 15:05:37 +0200 Mike Gabriel (64aa45a61)

	* debian/*.triggers: Call ldconfig via a trigger for all shared
          libraries.

2016-10-13 15:05:31 +0200 Mike Gabriel (440c675c2)

	* debian/rules: Don't modify/create post{inst,rm} scripts during
          dh_makeshlibs. This avoids adding ldconfig calls to such
          scripts.

2016-10-13 14:45:37 +0200 Mike Gabriel (bd25086c3)

	* hw/nxagent/{Clipboard|Events}.c: Typo fix in error messages.

2016-10-13 14:44:27 +0200 Mike Gabriel (d2fb76d8b)

	* nxcomp/{Client|}Proxy.cpp: Typo fix in error messages.

2016-10-13 14:17:55 +0200 Mike Gabriel (0006fc04b)

	* debian/libnx-x11-6.symbols: Update symbols for new backports in
          libNX_X11 API.

2016-10-07 21:19:07 +0200 Ulrich Sibiller (97c26978b)

	* Pending.c: conditionally include stdio.h

2016-10-10 01:00:38 +0200 Ulrich Sibiller (0bf52dc99)

	* nxcomp: Fix typo in usage message.

2016-10-13 14:02:51 +0200 Mike Gabriel (133c91f73)

	* Merge branch 'uli42-pr/libX11_debian_backports' into 3.6.x

2013-05-21 21:54:55 +0200 Julien Cristau (a9f623f0a)

	* Add a couple fixups for the security patches

2013-05-08 19:33:09 +0200 Matthieu Herrb (838108c29)

	* XListFontsWithInfo: Re-decrement flist[0] before calling free() on
          it.

2013-03-31 12:22:35 -0700 Alan Coopersmith (dc749a457)

	* _XkbReadGetMapReply: reject maxKeyCodes smaller than the minKeyCode

2013-03-16 10:03:13 -0700 Alan Coopersmith (37f8d3eb8)

	* Use calloc in XOpenDisplay to initialize structs containing
          pointers

2013-03-02 12:39:58 -0800 Alan Coopersmith (e386187e9)

	* Unbounded recursion in _XimParseStringFile() when parsing include
          files [CVE-2013-2004 2/2]

2013-03-02 12:01:39 -0800 Alan Coopersmith (bddfee4a9)

	* Unbounded recursion in GetDatabase() when parsing include files
          [CVE-2013-2004 1/2]

2013-03-02 15:08:21 -0800 Alan Coopersmith (dbc117193)

	* Avoid overflows in XListExtensions() [CVE-2013-1997 15/15]

2013-03-02 15:08:21 -0800 Alan Coopersmith (77edd88e1)

	* Avoid overflows in XGetFontPath() [CVE-2013-1997 14/15]

2013-03-02 15:08:21 -0800 Alan Coopersmith (f6c5069ac)

	* Avoid overflows in XListFonts() [CVE-2013-1997 13/15]

2013-03-02 11:25:25 -0800 Alan Coopersmith (0284afb80)

	* unvalidated length in _XimXGetReadData() [CVE-2013-1997 12/15]

2013-03-02 11:11:08 -0800 Alan Coopersmith (0bf09b4bb)

	* unvalidated index/length in _XkbReadGetNamesReply() [CVE-2013-1997
          11/15]

2013-03-02 11:01:04 -0800 Alan Coopersmith (e6d8856ef)

	* unvalidated index in _XkbReadVirtualModMap() [CVE-2013-1997 10/15]

2013-03-02 11:04:44 -0800 Alan Coopersmith (e27df8070)

	* unvalidated index in _XkbReadExplicitComponents() [CVE-2013-1997
          9/15]

2013-03-02 10:51:51 -0800 Alan Coopersmith (7564bf7ef)

	* unvalidated index in _XkbReadModifierMap() [CVE-2013-1997 8/15]

2013-03-02 10:39:21 -0800 Alan Coopersmith (8f2c05082)

	* unvalidated index in _XkbReadKeyBehaviors() [CVE-2013-1997 7/15]

2013-03-02 09:40:22 -0800 Alan Coopersmith (4c19cd0c7)

	* unvalidated index in _XkbReadKeyActions() [CVE-2013-1997 6/15]

2013-03-02 09:28:33 -0800 Alan Coopersmith (5dae1d3f4)

	* unvalidated index in _XkbReadKeySyms() [CVE-2013-1997 5/15]

2013-03-02 09:18:26 -0800 Alan Coopersmith (e6fbdea84)

	* unvalidated indexes in _XkbReadGetGeometryReply() [CVE-2013-1997
          4/15]

2013-03-02 09:12:47 -0800 Alan Coopersmith (0445730b1)

	* unvalidated indexes in _XkbReadGeomShapes() [CVE-2013-1997 3/15]

2013-03-01 22:49:01 -0800 Alan Coopersmith (b06952603)

	* unvalidated index in _XkbReadGetDeviceInfoReply() [CVE-2013-1997
          2/15]

2013-03-01 19:30:09 -0800 Alan Coopersmith (2a1fbb181)

	* unvalidated lengths in XAllocColorCells() [CVE-2013-1997 1/15]

2013-03-09 11:04:37 -0800 Alan Coopersmith (e03f3922a)

	* Make XGetWindowProperty() always initialize returned values

2013-03-02 13:03:55 -0800 Alan Coopersmith (b20710586)

	* Move repeated #ifdef magic to find PATH_MAX into a common header

2013-03-02 16:56:16 -0800 Alan Coopersmith (05b72b8da)

	* Convert more _XEatData callers to _XEatDataWords

2013-03-02 15:08:21 -0800 Alan Coopersmith (306ca006a)

	* integer overflow in XGetModifierMapping() [CVE-2013-1981 13/13]

2013-03-02 15:08:21 -0800 Alan Coopersmith (748af521e)

	* integer overflow in XGetPointerMapping() & XGetKeyboardMapping()
          [CVE-2013-1981 12/13]

2013-03-02 15:08:21 -0800 Alan Coopersmith (9501bce22)

	* integer overflow in XGetImage() [CVE-2013-1981 11/13]

2013-03-08 22:25:35 -0800 Alan Coopersmith (361d36770)

	* integer overflow in XGetWindowProperty() [CVE-2013-1981 10/13]

2013-03-02 13:18:48 -0800 Alan Coopersmith (25172302a)

	* integer overflows in TransFileName() [CVE-2013-1981 9/13]

2013-03-01 18:37:37 -0800 Alan Coopersmith (8468165ae)

	* integer truncation in _XimParseStringFile() [CVE-2013-1981 8/13]

2013-03-01 18:37:37 -0800 Alan Coopersmith (00d7a2e5b)

	* integer overflow in ReadInFile() in Xrm.c [CVE-2013-1981 7/13]

2013-03-02 11:44:19 -0800 Alan Coopersmith (0349af114)

	* Integer overflows in stringSectionSize() cause buffer overflow in
          ReadColornameDB() [CVE-2013-1981 6/13]

2013-03-01 22:49:01 -0800 Alan Coopersmith (8673bf071)

	* integer overflow in XListHosts() [CVE-2013-1981 5/13]

2013-03-01 22:49:01 -0800 Alan Coopersmith (7d18bbe93)

	* integer overflow in XGetMotionEvents() [CVE-2013-1981 4/13]

2013-03-01 22:49:01 -0800 Alan Coopersmith (29779559c)

	* integer overflow in XListFontsWithInfo() [CVE-2013-1981 3/13]

2013-03-01 21:05:27 -0800 Alan Coopersmith (dda0c652f)

	* integer overflow in _XF86BigfontQueryFont() [CVE-2013-1981 2/13]

2013-03-01 21:05:27 -0800 Alan Coopersmith (de2d3cb6b)

	* integer overflow in _XQueryFont() on 32-bit platforms
          [CVE-2013-1981 1/13]

2013-01-22 10:03:00 -0500 Nickolai Zeldovich (e8ada07fa)

	* XListFontsWithInfo: avoid accessing realloc'ed memory

2011-02-11 14:20:24 -0800 Alan Coopersmith (290f94aea)

	* ximcp: Prevent memory leak & double free if multiple %L in string

2011-01-31 14:02:06 +0200 Erkki Seppälä (936154728)

	* Xrm: Handle the extremely unlikely situation of fstat failing

2016-10-12 08:32:04 +0200 Mike Gabriel (051d521f6)

	* Merge branch 'uli42-pr/upgrade_libX11' into 3.6.x

2016-10-09 17:49:20 +0200 Ulrich Sibiller (b8de7bf65)

	* Use both __APPLE__ and __DARWIN__ defines

2015-04-15 10:16:18 +0200 Karl Tomlinson (01865335b)

	* MakeBigReq: don't move the last word, already handled by Data32
          (X.Org CVE-2013-7439).

2013-04-19 14:30:40 -0700 Alan Coopersmith (670b8ef64)

	* Give GNU & Solaris Studio compilers hints about XEatData branches

2011-12-13 19:58:30 -0800 Alan Coopersmith (6165dafda)

	* makekeys: move buf declaration from global to main to silence gcc
          -Wshadow

2011-09-22 18:44:13 -0400 Derek Buitenhuis (62e5b0ff8)

	* makekeys: Fix build/target word size mismatch when cross-compiling

2016-08-27 03:24:22 +0200 Ulrich Sibiller (0bcb4bba2)

	* adapt Imakefile to call makekeys correctly after update

2010-06-15 18:48:48 +0100 Daniel Stone (c98265ab4)

	* makekeys: Scan vendor keysyms as well as core

2009-03-17 15:42:19 -0700 Alan Coopersmith (70327993a)

	* When makekeys fails to find a good hash, print error instead of
          divide-by-zero

2008-10-25 09:13:08 -0400 James Cloos (f57365400)

	* Increase size of working arrays in the makekeys utility program.

2016-08-27 02:24:46 +0200 Ulrich Sibiller (9a3096a2a)

	* Update keysym includes

2016-08-27 02:13:27 +0200 Ulrich Sibiller (1baa27d09)

	* update files from modules dir of libX11 1.3.4

2016-08-27 02:13:02 +0200 Ulrich Sibiller (da3e7fd28)

	* Xutil.h: Fix wrong include path

2016-08-27 01:44:41 +0200 Ulrich Sibiller (d3ae0b2c9)

	* replace {x11,xim}trans.c links by libX11 1.3.4 solution

2016-08-27 01:22:46 +0200 Ulrich Sibiller (385dc2b07)

	* update xlibi18n files to libX11 1.3.4

2016-08-27 01:00:43 +0200 Ulrich Sibiller (e868fbbfd)

	* update xcms files to libX11 1.3.4

2016-08-27 00:37:53 +0200 Ulrich Sibiller (274929053)

	* Update some missing files to libX11 1.3.4

2016-08-27 00:31:05 +0200 Ulrich Sibiller (8a5f30fb1)

	* Add (Free|Get)EventData.c from libX11 1.3.4

2016-08-27 00:16:07 +0200 Ulrich Sibiller (efa70b0cf)

	* remove more NEED_REPLIES/EVENTS

2016-08-27 00:24:37 +0200 Ulrich Sibiller (0079db696)

	* Purge more remaining VCS refs

2016-08-27 00:04:03 +0200 Ulrich Sibiller (af1f7cee0)

	* Lift XKB*.c to libX11 1.3.4

2016-08-25 21:43:53 +0200 Ulrich Sibiller (3e75c816d)

	* XlibInt.c: shorten one ifdef

2016-08-24 16:52:58 +0200 Ulrich Sibiller (a497ebf88)

	* update X.h and Xproto.h because of GenericEvent

2016-08-03 19:19:58 +0200 Ulrich Sibiller (22652155f)

	* set USE_XCB define to 0 to prevent compiler complaints

2016-08-02 01:06:35 +0200 Ulrich Sibiller (e51b961a7)

	* Remove CRAY support

2016-08-02 01:23:54 +0200 Ulrich Sibiller (35270a3d9)

	* adapt include files to libX11 1.3.4

2016-08-02 00:51:13 +0200 Ulrich Sibiller (7b0bdde5c)

	* update makekeys.c to libX11 1.3.4 (+ fix)

2016-08-01 23:54:34 +0200 Ulrich Sibiller (b4571a8ff)

	* update lcUniConv subdir to libX11 1.3.4

2016-07-29 00:44:38 +0200 Ulrich Sibiller (687d44b6e)

	* update src files *[ch] to libX11 1.3.4

2016-07-26 23:19:36 +0200 Ulrich Sibiller (ea24f0b0e)

	* add XLOCALELIBDIR

2016-07-26 23:18:33 +0200 Ulrich Sibiller (ef5565f8e)

	* improve header guards

2016-07-26 00:34:34 +0200 Ulrich Sibiller (593073142)

	* update all files with NX relevant changes to libX11 1.3.4

2016-08-24 16:41:42 +0200 Ulrich Sibiller (a053df0a7)

	* fix wrong include in XlibInt.c

2016-10-08 21:31:17 +0200 Mike Gabriel (6dce607ba)

	* Merge branch 'uli42-pr/decouple-xserver' into 3.6.x

2016-10-08 00:40:36 +0200 Ulrich Sibiller (b0622729a)

	* xserver: add missing xkbfile.h

2016-10-07 13:12:39 +0200 Vadim Troshchinskiyddd (f55852c2e)

	* Fix nxproxy hostname parsing.

2016-10-07 13:58:57 +0200 Vadim Troshchinskiy (85f5fdfd2)

	* Check if unixPath is NULL before accessing it; this fixes crashing
          of nxagent when TEST is enabled.

2016-10-07 21:38:18 +0200 Mike Gabriel (3039a34cb)

	* Merge branch 'uli42-pr/decouple-xserver' into 3.6.x

